# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| C4b XPHONE |  |  |  | Unknown | [link](https://www.c4b.com/de/news/log4j.php) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Campbell Scientific | All |  |  | Unknown | [link](https://s.campbellsci.com/documents/us/miscellaneous/log4j2-vulnerability.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| Camunda |  |  |  | Unknown | [link](https://forum.camunda.org/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228/31910) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Canary Labs | All |  |  | Unknown | [link](https://helpcenter.canarylabs.com/t/83hjjk0/log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Canon | Canon DR Products CXDI_NE) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) | Such as Omnera, FlexPro, Soltus |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | CT Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Eye-Care Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | MR Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | NM Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | UL Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | Vitrea Advanced 7.x | All |  | Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | VL Alphenix Angio Workstation (AWS) | All |  | Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | VL Infinix-i Angio Workstation (AWS) |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Canon | XR Medical Imaging Products |  |  | Not Affected | [link](https://global.medical.canon/service-support/securityinformation/apache_log4j_vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| CapStorm | Copystorm |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| CarbonBlack |  |  |  | Unknown | [link](https://www.vmware.com/security/advisories/VMSA-2021-0028.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Carestream |  |  |  | Unknown | [link](https://www.carestream.com/en/us/services-and-support/cybersecurity-and-privacy) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Carrier |  |  |  | Unknown | [link](https://www.corporate.carrier.com/product-security/advisories-resources/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CAS genesisWorld |  |  |  | Unknown | [link](https://helpdesk.cas.de/CASHelpdesk/FAQDetails.aspx?gguid=0x79F9E881EE3C46C1A71BE9EB3E480446) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cato Networks |  |  |  | Unknown | [link](https://www.catonetworks.com/blog/cato-networks-rapid-response-to-the-apache-log4j-remote-code-execution-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cepheid | C360 |  |  | Unknown | [link](https://www.cepheid.com/en_US/legal/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Cepheid | GeneXpert |  |  | Unknown | [link](https://www.cepheid.com/en_US/legal/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Cerberus FTP |  |  |  | Unknown | [link](https://support.cerberusftp.com/hc/en-us/articles/4412448183571-Cerberus-is-not-affected-by-CVE-2021-44228-log4j-0-day-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Chaser Systems | discrimiNAT Firewall |  |  | Not Affected | [link](https://chasersystems.com/discrimiNAT/blog/log4shell-and-its-traces-in-a-network-egress-filter/#are-chasers-products-affected) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | CloudGuard |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Harmony Endpoint &amp; Harmony Mobile |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Infinity Portal |  |  | Unknown | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Quantum Security Gateway |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | Quantum Security Management |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) | Where used, uses the 1.8.0\_u241 version of the JRE that protects against this attack by default. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | SMB |  |  | Not Affected | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Check Point | ThreatCloud |  |  | Unknown | [link](https://supportcontent.checkpoint.com/solutions?id=sk176865) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CheckMK |  |  |  | Unknown | [link](https://forum.checkmk.com/t/checkmk-not-affected-by-log4shell/28643/3) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ciphermail |  |  |  | Unknown | [link](https://www.ciphermail.com/blog/ciphermail-gateway-and-webmail-messenger-are-not-vulnerable-to-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CircleCI | CircleCI |  |  | Unknown | [link](https://discuss.circleci.com/t/circleci-log4j-information-cve-2021-4422) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| CIS |  |  |  | Unknown | [link](https://cisecurity.atlassian.net/servicedesk/customer/portal/15/article/2434301961) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | AppDynamics |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ACI Multi-Site Orchestrator |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ACI Virtual Edge |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Adaptive Security Appliance (ASA) Software |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Advanced Web Security Reporting Application |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco AMP Virtual Private Cloud Appliance |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco AnyConnect Secure Mobility Client |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Application Policy Infrastructure Controller (APIC) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco ASR 5000 Series Routers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Broadcloud Calling |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco BroadWorks |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Catalyst 9800 Series Wireless Controllers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Suite Admin |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CloudCenter Workload Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Cognitive Intelligence |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Common Services Platform Collector |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Computer Telephony Integration Object Server (CTIOS) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Connected Grid Device Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Connected Mobile Experiences |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Connectivity |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Contact Center Domain Manager (CCDM) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Contact Center Management Portal (CCMP) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Crosswork Change Automation |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco CX Cloud Agent Software |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Data Center Network Manager (DCNM) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Defense Orchestrator |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco DNA Assurance |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco DNA Center |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco DNA Spaces |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Elastic Services Controller (ESC) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Emergency Responder |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Enterprise Chat and Email |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Enterprise NFV Infrastructure Software (NFVIS) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Evolved Programmable Network Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Extensible Network Controller (XNC) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Finesse |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Management Center |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Firepower Threat Defense (FTD) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco GGSN Gateway GPRS Support Node |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco HyperFlex System |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Identity Services Engine (ISE) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Integrated Management Controller (IMC) Supervisor |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Intersight |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Intersight Virtual Appliance |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOS and IOS XE Software |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IoT Field Network Director (formerly Cisco Connected Grid Network Management System) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IoT Operations Dashboard |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IOx Fog Director |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco IP Services Gateway (IPSG) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Kinetic for Cities |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco MDS 9000 Series Multilayer Switches |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Meeting Server |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco MME Mobility Management Entity |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Modeling Labs |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Assessment (CNA) Tool |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Assurance Engine |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Convergence System 2000 Series |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Planner |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Network Services Orchestrator (NSO) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 5500 Platform Switches |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 5600 Platform Switches |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 6000 Series Switches |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 7000 Series Switches |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus 9000 Series Fabric Switches in Application Centric Infrastructure (ACI) mode |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Dashboard (formerly Cisco Application Services Engine) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Data Broker |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Nexus Insights |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Optical Network Planner |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Packaged Contact Center Enterprise |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Paging Server |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Paging Server (InformaCast) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco PDSN/HA Packet Data Serving Node and Home Agent |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco PGW Packet Data Network Gateway |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Policy Suite |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Central for Service Providers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Collaboration Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Collaboration Provisioning |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Infrastructure |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime License Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Network |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Optical for Service Providers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Provisioning |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Prime Service Catalog |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Registered Envelope Service |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 1000 Series Routers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 2000 Series Routers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge 5000 Series Routers |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vEdge Cloud Router Platform |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SD-WAN vManage |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Secure Network Analytics (SNA), formerly Stealthwatch |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco SocialMiner |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco System Architecture Evolution Gateway (SAEGW) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco TelePresence Management Suite |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS Director |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco UCS Performance Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Umbrella |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Advanced |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Business Edition |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Department Edition |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Enterprise Edition |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Attendant Console Premium Edition |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Communications Manager Cloud |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Enterprise |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Enterprise - Live Data server |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Contact Center Express |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified Intelligent Contact Management Enterprise |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Unified SIP Proxy Software |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Video Surveillance Operations Manager |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Virtual Topology System - Virtual Topology Controller (VTC) VM |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Virtualized Voice Browser |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Vision Dynamic Signage Director |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco WAN Automation Engine (WAE) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Web Security Appliance (WSA) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Cloud-Connected UC (CCUC) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Meetings Server |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Webex Teams |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Cisco Wide Area Application Services (WAAS) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Duo |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | DUO network gateway (on-prem/self-hosted) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | duo network gateway (on-prem/self-hosted) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Exony Virtualized Interaction Manager (VIM) |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cisco | Managed Services Accelerator (MSX) Network Access Control Service |  |  | Unknown | [link](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-log4j-qRuKNEbd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Citrix | Citrix ADC (NetScaler ADC) and Citrix Gateway (NetScaler Gateway) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Application Delivery Management (NetScaler MAS) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Cloud Connector |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Connector Appliance for Cloud Services |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Content Collaboration (ShareFile Integration)–Citrix Files for Windows, Citrix Files for Mac, Citrix Files for Outlook |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Endpoint Management (Citrix XenMobile Server) |  | 10.14 RP2, 10.13 RP5, 10.12 RP10 | Fixed | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Hypervisor (XenServer) |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix License Server |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix SD-WAN |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Virtual Apps and Desktops (XenApp &amp; XenDesktop) |  | Linux Virtual Delivery Agent 2112 | Fixed | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | Citrix Workspace App |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Citrix | ShareFile Storage Zones Controller |  |  | Not Affected | [link](https://support.citrix.com/article/CTX335705) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Claris |  |  |  | Unknown | [link](https://support.claris.com/s/article/CVE-2021-44228-Apache-Log4j-Vulnerability-and-Claris-products?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | AM2CM Tool |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Ambari | Only versions 2.x, 1.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Arcadia Enterprise | Only version 7.1.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDH, HDP, and HDF | Only version 6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDP Operational Database (COD) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDP Private Cloud Base | Only version 7.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDS 3 Powered by Apache Spark | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | CDS 3.2 for GPUs | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Cybersecurity Platform | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Engineering (CDE) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Engineering (CDE) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Flow (CFM) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Science Workbench (CDSW) | Only versions 2.x, 3.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Visualization (CDV) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Warehouse (CDW) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Data Warehouse (CDW) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera DataFlow (CDF) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Edge Management (CEM) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Enterprise | Only version 6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Flow Management (CFM) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Machine Learning (CML) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Machine Learning (CML) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR) and Replication Manager) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR) and Replication Manager) | Only versions 7.0.x, 7.1.x, 7.2.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Manager (Including Backup Disaster Recovery (BDR)) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Runtime (including Cloudera Data Hub and all Data Hub templates) | Only versions 7.0.x, 7.1.x, 7.2.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Stream Processing (CSP) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Streaming Analytics (CSA) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Cloudera Streaming Analytics (CSA) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Analytics Studio (DAS) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Catalog |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Lifecycle Manager (DLM) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Data Steward Studio (DSS) | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks Data Flow (HDF) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks Data Platform (HDP) | Only versions 7.1.x, 2.7.x, 2.6.x |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Hortonworks DataPlane Platform |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Management Console | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Management Console for CDP Public Cloud |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Replication Manager |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | SmartSense |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload Manager |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload XM | All versions |  | Affected | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudera | Workload XM (SaaS) |  |  | Unknown | [link](https://my.cloudera.com/knowledge/TSB-2021-545-Critical-vulnerability-in-log4j2-CVE-2021-44228?id=332019) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CloudFlare |  |  |  | Unknown | [link](https://blog.cloudflare.com/cve-2021-44228-log4j-rce-0-day-mitigation/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudian HyperStore |  |  |  | Unknown | [link](https://cloudian-support.force.com/s/article/SECURITY-Cloudian-HyperStore-Log4j-vulnerability-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudogu | Ecosystem | All |  | Affected | [link](https://community.cloudogu.com/t/security-vulnerability-log4shell-cve-2021-44228/417) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudogu | SCM-Manager |  |  | Unknown | [link](https://scm-manager.org/blog/posts/2021-12-13-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cloudron |  |  |  | Unknown | [link](https://forum.cloudron.io/topic/6153/log4j-and-log4j2-library-vulnerability?lang=en-US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Clover |  |  |  | Unknown | [link](https://community.clover.com/articles/35868/apache-log4j-vulnerability-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Code42 | Code42 App |  | 8.8.1 | Fixed | [link](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Code42 | Crashplan |  | All | Fixed | [link](https://success.code42.com/hc/en-us/articles/4416158712343-RELEASE-NOTIFICATION-Code42-Vulnerability-Mitigation-for-CVE-2021-44228-and-other-updates) | The CrashPlan app is EOL and is now called Code42.  If you detect CrashPlan installed, it is vulnerable. You can update easily to Code42 8.8.1 or newer. | [https://www.crashplan.com/en-us/business/resources/crashplan-for-small-business-updates-its-desktop-app/](https://www.crashplan.com/en-us/business/resources/crashplan-for-small-business-updates-its-desktop-app/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| CodeBeamer |  |  |  | Unknown | [link](https://codebeamer.com/cb/wiki/19872365) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Codesys |  |  |  | Unknown | [link](https://www.codesys.com/news-events/news/article/log4j-not-used-in-codesys.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cohesity |  |  |  | Unknown | [link](https://support.cohesity.com/s/article/Security-Advisory-Apache-Log4j-Remote-Code-Execution-RCE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CommVault |  |  |  | Unknown | [link](https://documentation.commvault.com/v11/essential/146231_security_vulnerability_and_reporting.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Concourse | Concourse |  |  | Unknown | [link](https://github.com/concourse/concourse/discussions/7887) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ConcreteCMS.com |  |  |  | Unknown | [link](https://www.concretecms.com/about/blog/security/concrete-log4j-zero-day-exploit) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Confluent | Confluent Cloud |  | N/A | Fixed | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent ElasticSearch Sink Connector | &lt;11.1.7 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent for Kubernetes |  |  | Not Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Google DataProc Sink Connector | &lt;1.1.5 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent HDFS 2 Sink Connector | &lt;10.1.3 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent HDFS 3 Sink Connector | &lt;1.1.8 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Kafka Connectors |  |  | Not Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Platform | &lt;7.0.1 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent Splunk Sink Connector | &lt;2.05 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Confluent | Confluent VMWare Tanzu GemFire Sink Connector | &lt;1.0.8 |  | Affected | [link](https://support.confluent.io/hc/en-us/articles/4412615410580-CVE-2021-44228-log4j2-vulnerability#impact-to-connectors) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Connect2id |  |  |  | Unknown | [link](https://connect2id.com/blog/connect2id-server-12-5-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ConnectWise |  |  |  | Unknown | [link](https://www.connectwise.com/company/trust/advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ContrastSecurity |  |  |  | Unknown | [link](https://support.contrastsecurity.com/hc/en-us/articles/4412612486548) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ControlUp |  |  |  | Unknown | [link](https://status.controlup.com/incidents/qqyvh7b1dz8k) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| COPADATA | All |  |  | Unknown | [link](https://www.copadata.com/fileadmin/user_upload/faq/files/InformationReport_CVE_2021_44228.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| CouchBase |  |  |  | Unknown | [link](https://forums.couchbase.com/t/ann-elasticsearch-connector-4-3-3-4-2-13-fixes-log4j-vulnerability/32402) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CPanel |  |  |  | Unknown | [link](https://forums.cpanel.net/threads/log4j-cve-2021-44228-does-it-affect-cpanel.696249/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Cradlepoint |  |  |  | Unknown | [link](https://cradlepoint.com/vulnerability-alerts/cve-2021-44228-apache-log4j-security-vulnerabilities/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Crestron |  |  |  | Unknown | [link](https://www.crestron.com/Security/Security_Advisories/Apache-Log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| CrushFTP |  |  |  | Unknown | [link](https://www.crushftp.com/download.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CryptShare |  |  |  | Unknown | [link](https://www.cryptshare.com/en/support/cryptshare-support/#c67572) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CyberArk | Privileged Threat Analytics (PTA) |  | N/A | Fixed | [link](https://cyberark-customers.force.com/s/article/Critical-Vulnerability-CVE-2021-44228) |  | This advisory is available to customers only and has not been reviewed by CISA. | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| Cybereason |  |  |  | Unknown | [link](https://www.cybereason.com/blog/cybereason-solutions-are-not-impacted-by-apache-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| CyberRes |  |  |  | Unknown | [link](https://community.microfocus.com/cyberres/b/sws-22/posts/summary-of-cyberres-impact-from-log4j-or-logshell-logjam-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
