# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| Daktronics | All Sport Pro |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dakronics Media Player |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dakronics Web Player | DWP-1000 |  | Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) | DWP-1000 is not present in our codebase, but awaiting confirmation from LG re webOS platform. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Data Vision Software (DVS) |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) | DVS has one microservice that uses Log4j, but it uses a version that is not impacted. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dynamic Messaging System (DMS) |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dynamic Messaging System - DMS Core Player |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dynamic Messaging System - DMS Player hardware |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Dynamic Messaging System - DMS Web Player |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) | DMS Web Player not present in our codebase, but awaiting confirmation from LG re webOS platform. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | IBoot - Dataprobe IBoot Devices |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Outdoor Smartlink Devices |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Routers - Cisco Meraki Z3/Z3c Routers |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Routers - Cisco Z1 Routers |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Routers - Sierra Wireless RV50x/RV50 | A-3350704 |  | Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Show Control System (SCS) |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Vanguard |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Venus 1500 |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Venus Control Suite (VCS) |  |  | Unknown | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Video Image Processors |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| Daktronics | Webcam - Mobotix |  |  | Not Affected | [link](https://www.daktronics.com/en-us/support/kb/000025337) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| DarkTrace | All |  |  | Unknown | [link](https://customerportal.darktrace.com/inside-the-soc/get-article/201) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Dassault Systèmes | All |  |  | Unknown | [link](https://kb.dsxclient.3ds.com/mashup-ui/page/resultqa?id=QA00000102301e) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Databricks | All |  |  | Unknown | [link](https://docs.google.com/document/d/e/2PACX-1vREjwZk17BAHGwj5Phizi4DPFS9EIUbAMX-CswlgbFwqwKXNKZC8MrT-L6wUgfIChsSHtvd_QD3-659/pub) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Datadog | Datadog Agent |  | &gt;=6.17.0, &lt;=6.32.2, &gt;=7.17.0, &lt;=7.32.2 | Fixed | [link](https://www.datadoghq.com/log4j-vulnerability/) | JMX monitoring component leverages an impacted version of log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Datadog | datadog-kafka-connect-logs |  | &lt; 1.0.2 | Fixed | [link](https://www.datadoghq.com/log4j-vulnerability/) | Version 1.0.2 of the library uses version 2.16.0 of Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Datadog | datadog-lambda-java |  | &lt; 1.0.2 | Fixed | [link](https://www.datadoghq.com/log4j-vulnerability/) | Following AWS recommendation, library updated using the latest version of amazon-lambda-java-log4j2 (1.4.0). |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Dataminer | All |  |  | Unknown | [link](https://community.dataminer.services/responding-to-log4shell-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Datev |  |  |  | Unknown | [link](https://www.datev-community.de/t5/Freie-Themen/Log4-J-Schwachstelle/m-p/258185/highlight/true#M14308) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Datto | All |  |  | Unknown | [link](https://www.datto.com/blog/dattos-response-to-log4shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| DBeaver | All |  |  | Not Affected | [link](https://www.dcache.org/post/log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| dCache.org | All |  |  | Unknown | [link](https://www.dcache.org/post/log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Debian | Apache-log4j.1.2 |  |  | Not Affected | [link](https://security-tracker.debian.org/tracker/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Debian | Apache-log4j2 |  |  | Unknown | [link](https://security-tracker.debian.org/tracker/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Decos | Cloud |  |  | Not Affected | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | EvenementenAssistent + InkomensAssistent + Leerlingenvervoer + AIM online |  |  | Not Affected | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | Fixi |  |  | Not Affected | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | Integrations (StUF/ZGW/Doclogic-DataIntegrator) |  |  | Not Affected | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | JOIN Klant Contact |  |  | Not Affected | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | JOIN Zaak &amp;I  Document (on-premise) |  | All | Fixed | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) | The solution contains Elasticsearch (vulnerable). Mitigating actions available on our WIKI. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Decos | JOIN Zaak &amp;I  Document (on-premise) |  | All | Fixed | [link](https://decos.freshdesk.com/nl/support/solutions/articles/17000121598) | The SaaS hosted solution contains Logstash + Elasticsearch (vulnerable). Mitigating actions taken. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-01 |
| Deepinstinct | All |  |  | Unknown | [link](https://www.deepinstinct.com/blog/log4shell-cve-2021-44228-what-you-need-to-know) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Dell | Alienware Command Center |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Alienware OC Controls |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Alienware On Screen Display |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Alienware Update |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | APEX Console |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Cloud environment patched. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | APEX Data Storage Services |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Cloud environment patch in progress. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Atmos |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Avamar vproxy |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | CalMAN Powered Calibration Firmware |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | CalMAN Ready for Dell |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Centera |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Chameleon Linux Based Diagnostics |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Chassis Management Controller (CMC) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | China HDD Deluxe |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Client Platforms (Latitude, OptiPlex, Alienware, Inspiron, Precision, XPS, Vostro, ChengMing) BIOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Cloud IQ |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Cloud environment patched. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Cloud Mobility for Dell EMC Storage |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Cloud Tiering Appliance |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | CloudIQ Collector |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Common Event Enabler |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Connectrix (Cisco MDS 9000 switches) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Connectrix (Cisco MDS DCNM) | V, e, r, s, i, o, n, s,  , p, r, i, o, r,  , t, o,  , 1, 1, ., 5, (, 1, x, ) |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/23/21. | [DSA-2021-302](https://www.dell.com/support/kbdoc/en-us/000194797/dsa-2021-302-dell-connectrix-mds-dcnm-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Connectrix B-Series SANnav | 2.1.1 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 2/28/2022. | [DSA-2021-266](https://www.dell.com/support/kbdoc/en-us/000194461/dsa-2021-266-dell-emc-connectrix-b-series-sannav-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Connextrix B Series |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | CyberSecIQ Application |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | CyberSense for PowerProtect Cyber Recovery |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Data Domain OS | Versions from 7.3.0.5 to 7.7.0.6 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-274 | [DSA-2021-274](https://www.dell.com/support/kbdoc/en-us/000194503/dsa-2021-274-dell-emc-data-domain-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell BSAFE Crypto-C Micro Edition |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell BSAFE Crypto-J |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell BSAFE Micro Edition Suite |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Calibration Assistant |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Cinema Color |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Cloud Command Repository Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Cloud Management Agent |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Color Management |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Configure |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Integration Suite for System Center |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Intel vPro Out of Band |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Monitor |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Power Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command PowerShell Provider |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Command Update |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Customer Connect |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Data Guardian* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Data Protection* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Data Recovery Environment |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Data Vault |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Data Vault for Chrome OS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Deployment Agent |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Digital Delivery |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Direct USB Key |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Display Manager 1.5 for Windows / macOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Display Manager 2.0 for Windows / macOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC AppSync |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Avamar | 18.2, 19.1, 19.2, 19.3, 19.4 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/20/21. | [DSA-2021-277](https://www.dell.com/support/kbdoc/en-us/000194480/dsa-2021-277-dell-emc-avamar-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC BSN Controller Node |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-305 | [DSA-2021-305](https://www.dell.com/support/kbdoc/en-us/000194631/dsa-2021-305-dell-emc-bsn-controller-node-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Cloud Disaster Recovery | Versions from 19.6 and later |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch pending | [DSA-2021-289](https://www.dell.com/support/kbdoc/en-us/000194663/dsa-2021-289-dell-emc-cloud-disaster-recovery-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-and-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Cloudboost |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC CloudLink |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Container Storage Modules |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Data Computing Appliance (DCA) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Data Protection Advisor |  | 18.x (or earlier) -standalone DPA is EOSL, 18.2.x (IDPA), 19.1.x, 19.2.x, 19.3.x, 19.4.x, 19.5.x, 19.6.0 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  | [DSA-2021-309](https://www.dell.com/support/kbdoc/en-us/000194651/dsa-2021-309-dell-emc-dpa-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Data Protection Central |  | 18.2.x-19.4.x, 19.5.0-19.5.0.7 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-269 | [DSA-2021-269](https://www.dell.com/support/kbdoc/en-us/000194557/dsa-2021-269-dell-emc-data-protection-central-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Data Protection Search | Versions before 19.6 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-279 | [DSA-2021-279](https://www.dell.com/support/kbdoc/en-us/000194629/dsa-2021-279-dell-emc-data-protection-search-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC DataIQ |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Disk Library for Mainframe |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Enterprise Storage Analytics for vRealize Operations | &lt;6.0.0, 6.1.0, 6.2.x |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-278 | [DSA-2021-278](https://www.dell.com/support/kbdoc/en-us/000194488/dsa-2021-278) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC GeoDrive |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Integrated System for Azure Stack HCI |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Dell EMC Integrated System for Azure Stack HCI is not impacted by this advisory. If Dell EMC SupportAssist Enterprise (SAE) or Dell EMC Secure Connect Gateway (SCG) were optionally installed with Dell EMC Integrated System for Azure Stack HCI monitor the following advisories. See DSA-2021-307. | [DSA-2021-307](https://www.dell.com/support/kbdoc/en-us/000194622/dsa-2021-307-dell-emc-integrated-system-for-azure-stack-hci-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Integrated System for Microsoft Azure Stack Hub |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 2022-01-31. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Isilon InsightIQ |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC License Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Metro Node | Versions before 7.0.1 P2 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-308 | [DSA-2021-308](https://www.dell.com/support/kbdoc/en-us/000194630/dsa-2021) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC NetWorker | 19.4.x, 19.5.x |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/20/21 | [DSA-2021-280](https://www.dell.com/support/kbdoc/en-us/000194541/dsa-2021-280-dell-emc-networker-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC NetWorker VE | 19.4.x, 19.5.x |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/20/21 | [DSA-2021-280](https://www.dell.com/support/kbdoc/en-us/000194541/dsa-2021-280-dell-emc-networker-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Networking Onie |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Networking Virtual Edge Platform with VersaOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage Ansible Modules |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage Enterprise Services | Version 1.2 and earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/20/21 | [DSA-2021-276](https://www.dell.com/support/kbdoc/en-us/000194652/dsa-2021-276-dell-emc-openmanage-enterprise-services-security-update-for-apache-log4j-remote-code-execution-vulnerabilities-cve-2021-44228-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage integration for Splunk |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage Integration for VMware vCenter |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage Management pack for vRealize Operations |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC OpenManage Operations Connector for Micro Focus Operations Bridge Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerFlex Appliance |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-293. | [DSA-2021-293](https://www.dell.com/support/kbdoc/en-us/000194579/dsa-2021-293-dell-powerflex-appliance-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerFlex Rack | RCM 3.3 train - all versions up to 3.3.11.0, RCM 3.4 train - all versions up to 3.4.6.0, RCM 3.5 train - all versions up to 3.5.6.0, RCM 3.6 train - all versions up to 3.6.2.0 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-292. | [DSA-2021-292](https://www.dell.com/support/kbdoc/en-us/000194578/dsa-2021-292-dell-powerflex-rack-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerFlex Software (SDS) | 3.5, 3.5.1, 3.5.1.1, 3.5.1.2, 3.5.1.3, 3.5.1.4, 3.6, 3.6.0.1, 3.6.0.2 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-272. | [DSA-2021-272](https://www.dell.com/support/kbdoc/en-us/000194548/dsa-2021-272-dell-powerflex-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerPath |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerPath Management Appliance |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerProtect Cyber Recovery |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerProtect Data Manager | All versions 19.9 and earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-286. | [DSA-2021-286](https://www.dell.com/support/kbdoc/en-us/000194549/dsa-2021-286-dell-emc-power-protect-data-manager-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerProtect DP Series Appliance (iDPA) | 2.7.0 and earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA 2021-285. | [DSA-2021-285](https://www.dell.com/support/kbdoc/en-us/000194532/dsa-2021-285-dell-emc-integrated-data-protection-appliance-powerprotect-dp-series-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerScale OneFS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerShell for PowerMax |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerShell for Powerstore |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerShell for Unity |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerStore | Versions before 2.0.1.3-1538564 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-295. | [DSA-2021-295](https://www.dell.com/support/kbdoc/en-us/000194739/dsa-2021-295-dell-emc-powerstore-family-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-and-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerSwitch Z9264F-ON BMC |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerSwitch Z9432F-ON BMC |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC PowerVault ME4 Series Storage Arrays |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC RecoverPoint | All |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA 2021-284. | [DSA 2021-284](https://www.dell.com/support/kbdoc/en-us/000194531/dsa-2021-284-dell-emc-recoverpoint-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Repository Manager (DRM) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Ruckus SmartZone 100 Controller |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-303 | [DSA-2021-303](https://www.dell.com/support/kbdoc/en-us/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Ruckus SmartZone 300 Controller |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-303 | [DSA-2021-303](https://www.dell.com/support/kbdoc/en-us/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Ruckus Virtual Software |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-303 | [DSA-2021-303](https://www.dell.com/support/kbdoc/en-us/000194616/dsa-2021-303-dell-emc-ruckus-wireless-controller-and-virtual-software-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC SourceOne |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC SRM |  | Versions before 4.6.0.2 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-301. | [DSA-2021-301](https://www.dell.com/support/kbdoc/en-us/000194613/dsa-2021-301) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Streaming Data Platform | 1.1, 1.2, 1.2 HF1, 1.3, 1.3.1 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-297. | [DSA-2021-297](https://www.dell.com/support/kbdoc/en-us/000194627/dsa-2021-297-dell-emc-streaming-data-platform-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Systems Update (DSU) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Unisphere 360 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Unity |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-294. | [DSA-2021-294](https://www.dell.com/support/kbdoc/en-us/000194826/dsa-2021-294-dell-emc-unity-dell-emc-unityvsa-and-dell-emc-unity-xt-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046-and-cve-2021-45105) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC Virtual Storage Integrator |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC VPLEX |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC vProtect | 19.5-19.9 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2022-007. | [DSA-2022-007](https://www.dell.com/support/kbdoc/en-us/000195003/title-dsa-2022-007-dell-emc-vprotect-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC VxRail | 4.5.x, 4.7.x, 7.0.x |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-265. | [DSA-2021-265](https://www.dell.com/support/kbdoc/en-us/000194466/dsa-2021-265-dell-emc-vxrail-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC XC |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-311. | [DSA-2021-311](https://www.dell.com/support/kbdoc/en-us/000194822/dsa-2021-311-dell-emc-xc-series-and-core-appliance-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046-and-cve-2021-45105) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell EMC XtremIO |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Encryption Enterprise* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Encryption Personal* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Endpoint Security Suite Enterprise* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Hybrid Client |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell ImageAssist |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Insights Client |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Linux Assistant |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Memory Solutions |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Mobile Connect |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Monitor ISP (Windows/Mac/Linux) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Monitor SDK |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Networking X-Series |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Change Management |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Enterprise | Versions before 3.8.2 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-275 | [DSA-2021-275](https://www.dell.com/support/kbdoc/en-us/000194638/dsa-2021-275-dell-emc-openmanage-enterprise-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Enterprise CloudIQ plugin |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Enterprise Modular | Versions before 1.40.10 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-268 | [DSA-2021-268](https://www.dell.com/support/kbdoc/en-us/000194625/dsa-2021-268-dell-emc-openmanage-enterprise-modular-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Enterprise Power Manager plugin |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Mobile |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OpenManage Server Administrator |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Optimizer |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell OS Recovery Tool |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Peripheral Manager 1.4 / 1.5 for Windows |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Platform Service |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Power Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Power Manager Lite |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Precision Optimizer |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Precision Optimizer for Linux |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Premier Color |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Recovery (Linux) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Remediation Platform |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Remote Execution Engine (DRONE) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Security Advisory Update - DSA-2021-088 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Security Management Server &amp; Dell Security Management Server Virtual* |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell SupportAssist SOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Thin OS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Threat Defense |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell True Color |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Trusted Device |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dell Update |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Dream Catcher |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | DUP Creation Service |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | DUP Framework (ISG) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | ECS |  | 3.3.x, 3.4.x, 3.5.x, 3.6.0.x, 3.6.1.x, 3.6.2.0 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-273. | [DSA-2021-273](https://www.dell.com/support/kbdoc/en-us/000194612/dsa-2021-273-dell-emc-ecs-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Embedded NAS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Embedded Service Enabler |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Enterprise Hybrid Cloud |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-270. | [DSA-2021-270](https://www.dell.com/support/kbdoc/en-us/000194490/dsa-2021-270-enterprise-hybrid-cloud-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Equallogic PS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Fluid FS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | iDRAC Service Module (iSM) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Infinity MLK (firmware) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Integrated Dell Remote Access Controller (iDRAC) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | ISG Accelerators |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | ISG Board &amp; Electrical |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | ISG Drive &amp; Storage Media |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | IsilonSD Management Server |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | IVE-WinDiag |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Mainframe Enablers |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | MDS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | My Dell |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | MyDell Mobile |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | NetWorker Management Console |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking BIOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking DIAG |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking N-Series |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking OS 10 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking OS 9 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking SD-WAN Edge SD-WAN |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking W-Series |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Networking X-Series |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OMIMSSC (OpenManage Integration for Microsoft System Center) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OMNIA |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Connections - Nagios |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Connections - ServiceNow |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Integration for Microsoft System Center for System Center Operations Manager |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Integration with Microsoft Windows Admin Center |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Network Integration |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | OpenManage Power Center |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerConnect N3200 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerConnect PC2800 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerConnect PC8100 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerEdge Accelerator Solutions |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerEdge BIOS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerEdge Networking Solutions |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerEdge Operating Systems |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerEdge RAID Controller Solutions |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PowerTools Agent |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PPDM Kubernetes cProxy |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | PPDM VMware vProxy |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Redtail |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Remotely Anywhere |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Riptide (firmware) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Rugged Control Center (RCC) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SD ROM Utility |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SDNAS |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Secure Connect Gateway (SCG) Appliance | &quot;5.00.00 5.00.05 and 4.0.06 and earlier versions (OVF and VHD)&quot; |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-282 | [] | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Secure Connect Gateway (SCG) Appliance |  | 5.00.00, 5.00.05, and 4.0.06 and earlier versions (OVF and VHD) | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-282 | [DSA-2021-282](https://www.dell.com/support/kbdoc/en-us/000194624/dsa-2021-282-dell-emc-secure-connect-gateway-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Secure Connect Gateway (SCG) Policy Manager |  | 5.00.00.10, 5.00.05.10 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-281 | [DSA-2021-281](https://www.dell.com/support/kbdoc/en-us/000194539/dsa-2021-281-dell-emc-policy-manager-for-secure-connect-gateway-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Server Storage |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Smart Fabric Storage Software |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SmartByte |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SMI-S |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Software RAID |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Solutions Enabler |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Solutions Enabler vApp |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Sonic |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SRS Policy Manager |  | 7.0 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-287. | [DSA-2021-287](https://www.dell.com/support/kbdoc/en-us/000194544/dsa-2021-287-dell-emc-srs-policy-manager-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SRS VE |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Storage Center - Dell Storage Manager | 16.x, 17.x, 18.x, 19.x, 20.1.1 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-310. | [DSA-2021-310](https://www.dell.com/support/kbdoc/en-us/000194790/dsa-2021-310-storage-center-dell-storage-manager-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Storage Center OS and additional SC applications unless otherwise noted |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SupportAssist Client Commercial |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SupportAssist Client Consumer |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | SupportAssist Enterprise | 2.0.70 and earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-283. | [DSA-2021-283](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | UCC Edge |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Unisphere Central |  | Versions before 4.0 SP 9.2 (4.0.9.1541235) | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-296. | [DSA-2021-296](https://www.dell.com/support/kbdoc/en-us/000194874/dsa-2021-296-dell-emc-unisphere-central-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228-cve-2021-45046-and-cve-2021-45105) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Unisphere for PowerMax |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Unisphere for PowerMax vApp |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Unisphere for VMAX |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Unisphere for VNX |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Update Manager Plugin |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Vblock |  |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch pending See vce6771 (requires customer login). This advisory is available to customer only and has not been reviewed by CISA. | [vce6771](https://support-dellemc-com.secure.force.com/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | ViPR Controller |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VMware vRealize Automation 8.x | 8.2 8.3 8.4 8.5 and 8.6 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/19/21 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VMware vRealize Orchestrator 8.x | 8.2 8.3 8.4 8.5 and 8.6 |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch expected by 12/19/21 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VNX Control Station |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VNX1 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VNX2 |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VNXe 1600 |  | Versions 3.1.16.10220572 and earlier | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-299 | [DSA-2021-299](https://www.dell.com/support/kbdoc/en-us/000194605/dsa-2021-299-dell-emc-vnxe1600-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228?lang=en) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VNXe 3200 |  | Version 3.1.15.10216415 and earlier | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-298 | [DSA-2021-298](https://www.dell.com/support/kbdoc/en-us/000194606/dsa-2021-298-dell-emc-vnxe3200-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228?lang=en) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VPLEX VS2/VS6 / VPLEX Witness |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRealize Data Protection Extension Data Management |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-290. | [DSA-2021-290](https://www.dell.com/support/kbdoc/en-us/000194614/dsa-2021-290-dell-emc-vrealize-data-protection-extension-for-vrealize-automation-vra-8-x-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRealize Orchestrator (vRO) Plug-ins for Dell EMC Storage |  |  | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300. | [DSA-2021-300](https://www.dell.com/support/kbdoc/en-us/000194610/dsa-2021-300) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRO Plugin for Dell EMC PowerMax |  | Version 1.2.3 or earlier | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRO Plugin for Dell EMC PowerScale |  | Version 1.1.0 or earlier | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRO Plugin for Dell EMC PowerStore | Version 1.1.4 or earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRO Plugin for Dell EMC Unity | Version 1.0.6 or earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | vRO Plugin for Dell EMC XtremIO | Version 4.1.2 or earlier |  | Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-300 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Vsan Ready Nodes |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | VxBlock |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | Patch pending See vce6771 (requires customer login). This advisory is available to customer only and has not been reviewed by CISA. | [vce6771](https://support-dellemc-com.secure.force.com/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Warnado MLK (firmware) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Wyse Management Suite |  | &lt; 3.5 | Fixed | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) | See DSA-2021-267 | [DSA-2021-267](https://www.dell.com/support/kbdoc/en-us/000194459/dsa-2021-267-dell-wyse-management-suite-security-update-for-apache-log4j-remote-code-execution-vulnerability-cve-2021-44228) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Wyse Proprietary OS (ThinOS) |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dell | Wyse Windows Embedded Suite |  |  | Not Affected | [link](https://www.dell.com/support/kbdoc/en-us/000194414/dell-response-to-apache-log4j-remote-code-execution-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Deltares | Delft-FEWS |  | &gt;2018.02 | Fixed | [link](https://publicwiki.deltares.nl/display/FEWSDOC/Delft-FEWS+and+Log4J+vulnerability) | Mitigations Only |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Denequa | All |  |  | Unknown | [link](https://denequa.de/log4j-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Device42 | All |  |  | Not Affected | [link](https://blog.device42.com/2021/12/13/log4j-zero-day/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Devolutions | All |  |  | Not Affected | [link](https://blog.devolutions.net/2021/12/critical-vulnerability-in-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Diebold Nixdorf | All |  |  | Unknown | [link](https://www.dieboldnixdorf.com/en-us/apache) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Digi International | AnywhereUSB Manager |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | ARMT |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Aview |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | AVWOB |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | CTEK G6200 family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | CTEK SkyCloud |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | CTEK Z45 family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi 54xx family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi 63xx family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi AnywhereUSB (G2) family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi AnywhereUSB Plus family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Connect EZ family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Connect family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Connect IT family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Connect Sensor family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Connect WS family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi ConnectPort family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi ConnectPort LTS family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Embedded Android |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Embedded Yocto |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi EX routers |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi IX routers |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi LR54 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Navigator |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi One family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Passport family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi PortServer TS family |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Remote Manager |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi TX routers |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR11 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR21 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR31 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR44R/RR |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR54 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi WR64 |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Digi Xbee mobile app |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Lighthouse |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Realport |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digi International | Remote Hub Config Utility |  |  | Not Affected | [link](https://www.digi.com/resources/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Digicert | All |  |  | Unknown | [link](https://knowledge.digicert.com/alerts/digicert-log4j-response.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Digital AI | All |  |  | Unknown | [link](https://support.digital.ai/hc/en-us/articles/4412377686674-Log4J-Vulnerability-to-Zero-Day-Exploit-and-Digital-ai#overview-0-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Digital Alert Systems | All |  |  | Unknown | [link](https://www.digitalalertsystems.com/default-2.htm) | Formerly Monroe Electronics, Inc. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| DirectAdmin | All |  |  | Not Affected | [link](https://forum.directadmin.com/threads/new-zero-day-exploit-for-log4j-java-library-is-an-enterprise-nightmare.65173/#post-339723) | Invidivual plugins not developed as part of DirectAdmin core may be vulnerable. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| DNSFilter | All |  |  | Unknown | [link](https://www.dnsfilter.com/blog/dnsfilter-response-to-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Docker | Infrastructure |  |  | Not Affected | [link](https://www.docker.com/blog/apache-log4j-2-cve-2021-44228/) | Docker infrastructure not vulnerable, Docker images could be vulnerable. For more info see source. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Docusign | All |  |  | Unknown | [link](https://www.docusign.com/trust/alerts/alert-docusign-statement-on-the-log4j2-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| DotCMS | Hybrid Content Management System |  |  | Fixed | [link](https://github.com/dotCMS/core/issues/21393) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| DrayTek | All |  |  | Not Affected | [link](https://www.draytek.com/about/security-advisory/log4shell-vulnerability-(cve-2021-44228)/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dropwizard | All |  |  | Not Affected | [link](https://twitter.com/dropwizardio/status/1469285337524580359) | Only vulnerable if you manually added Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Dräger | All |  |  | Not Affected | [link](https://static.draeger.com/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| DSpace | All |  |  | Unknown | [link](https://groups.google.com/g/dspace-community/c/Fa4VdjiiNyE) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Dynatrace | ActiveGate |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | Cloud Services |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) | Please see Dynatrace Communication for details |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | Extensions |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) | Please see Dynatrace Communication for details |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | FedRamp SAAS |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | Managed cluster nodes |  |  | Not Affected | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) | Please see Dynatrace Communication for details |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | OneAgent |  |  | Not Affected | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | SAAS |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | Synthetic Private ActiveGate |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) | Please see Dynatrace Communication for details |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Dynatrace | Synthetic public locations |  |  | Fixed | [link](https://www.dynatrace.com/news/security-alert/log4shell-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
