# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| EasyRedmine | All |  |  | Unknown | [link](https://www.easyredmine.com/news/easy-redmine-application-is-not-affected-by-the-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Eaton | All |  |  | Unknown | [link](https://www.eaton.com/content/dam/eaton/company/news-insights/cybersecurity/security-bulletins/Eaton-Security-Bulletin%20log4j_CVE_2021_44228_v1.0_Legal-Approved.pdf) | For security purposes direct notifications are being made to impacted customers.  Please stay tuned for more updates. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| EclecticIQ | TIP | &lt; 2.11 |  | Affected | [link](https://docs.eclecticiq.com/security-advisories/security-issues-and-mitigation-actions/eiq-2021-0016-2) | This advisory is available to customer only and has not been reviewed by CISA. The Threat Intel Platform includes Neo4j 3.5.12 (not vulnerable) and Elasticsearch and Logstash OSS 7.9.1 (vulnerable) see Elasticsearch below for mitigation. See link in their own fix for Logstash (Support account needed, ongoing investigation) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Eclipse Foundation | All |  |  | Unknown | [link](https://wiki.eclipse.org/Eclipse_and_log4j2_vulnerability_(CVE-2021-44228)) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Edwards | All |  |  | Not Affected | [link](https://www.edwards.com/devices/support/product-security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| EFI | All |  |  | Unknown | [link](https://communities.efi.com/s/article/Are-Fiery-Servers-vulnerable-to-CVE-2021-44228-Apache-Log4j2?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| eG Innovations | eG Enterprise |  |  | Not Affected | [link](https://www.eginnovations.com/brochures/eGEnterprise-and-Log4jShell-Vulnerability.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-06 |
| EGroupware | All |  |  | Unknown | [link](https://help.egroupware.org/t/uk-de-statement-log4j-log4shell/76430) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Elastic | APM Java Agent |  | 1.17.0 - 1.28.0 | Fixed | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) | Only vulnerable with specific configuration. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | APM Server |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Beats |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Cmd |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Agent |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Cloud |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Cloud Enterprise |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Cloud on Kubernetes |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Endgame |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elastic Maps Service |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Elasticsearch |  | 7.16.2 | Fixed | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Endpoint Security |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Enterprise Search |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Fleet Server |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Kibana |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Logstash |  | 6.8.22 | Fixed | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Machine Learning |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Elastic | Swiftype |  |  | Not Affected | [link](https://discuss.elastic.co/t/apache-log4j2-remote-code-execution-rce-vulnerability-cve-2021-44228-esa-2021-31/291476) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ellucian | Admin |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Analytics |  |  | Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Document Management (includes Banner Document Retention) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Event Publisher |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Integration for eLearning |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Integration for eProcurement |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Self Service |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Banner Workflow |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Colleague |  |  | Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) | On-prem and cloud deployements expect fixed 12/18/2021 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Colleague Analytics |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | CRM Advance |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | CRM Advise |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | CRM Recruit |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Advance Web Connector |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Data Access |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Design Path |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian ePrint |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Ethos API &amp; API Management Center |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Ethos Extend |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Ethos Integration |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian eTranscripts |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Experience |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Intelligent Platform (ILP) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian International Student and Scholar Management (ISSM) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Message Service (EMS) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Messaging Adapter (EMA) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Mobile |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Payment Gateway |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Portal |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian PowerCampus |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Solution Manager |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Ellucian Workflow |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Ellucian | Enterprise Identity Services (BEIS) |  |  | Not Affected | [link](https://www.ellucian.com/news/ellucian-response-apache-log4j-issue) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 148 Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 2051 Pressure Transmitter Family |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 2088 Pressure Transmitter Family |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 2090F/2090P Pressure Transmitters |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 215 Pressure Sensor Module |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 248 Configuration Application |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 248 Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 3051 &amp; 3051S Pressure transmitter families |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 3144P Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 326P Pressure Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 326T Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 327T Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 4088 Pressure Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 4088 Upgrade Utility |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 4600 Pressure Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 4732 Endeavor |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 550 PT Pressure Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 5726 Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 644 Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 648 Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | 848T Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Combustion - OCX OXT 6888 CX1100 6888Xi |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT2211 QCL Aerosol Microleak Detection System |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT3000 QCL Automotive OEM Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT4000 QCL Marine OEM Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT4215 QCL Packaging Leak Detection System |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT4400 QCL General Purpose Continuous Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT4404 QCL pMDI Leak Detection Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT5100 QCL Field Housing Continuous Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT5400 QCL General Purpose Continuous Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | CT5800 QCL Flameproof Housing Continuous Gas Analyzer |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | DHNC1 DHNC2 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | DHNC1 DHNC2 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Emerson Aperio software |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Engineering Assistant |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Fieldwatch and Service consoles |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Fieldwatch and Service consoles |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Flame Detection - 975UF &amp; 975UR Infrared Flame Detectors 975HR Infrared Hydrogen Flame Detector 975MR Multi-Spectrum Infrared Flame Detector |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Flarecheck FlowCheck Flowel &amp; PWAM software |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Flarecheck FlowCheck Flowel &amp; PWAM software |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Gas Analysis - X-STREAM Enhanced (XEGP XEGK XEGC XEGF XEFD XECLD) |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Gas Chromatographs - M500/2350A MON2000 700XA/1500XA 370XA MON2020 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Gas Detection - Millennium II Basic Single &amp; Dual Channel 928 Wireless Gas Monitor/628 Gas Sensor 935 &amp; 936 Open Path Gas Detector Millennium Air Particle Monitor |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Incus Ultrasonic gas leak detector |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | K-Series Coriolis Transmitters |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Liquid Transmitters - 5081 1066 1056 1057 56' |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Mark III Gas and Liquid USM |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | MPFM2600 &amp; MPFM5726 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Plantweb Advisor for Metrology and Metering Suite SDK |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Prolink Configuration Software |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Prolink Mobile Application &amp; ProcessViz Software |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount 2230 Graphical Field Display |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount 2240S Multi-input Temperature Transmitter |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount 2410 Tank Hub |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount 2460 System Hub |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount 3490 Controller |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount CMS/IOU 61 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount CMS/SCU 51/SCC |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount CMS/WSU 51/SWF 51 |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount IO-Link Assistant |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount Level Detectors (21xx) |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount Level Transmitters (14xx 33xx 53xx 54xx 56xx) |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount Radar Configuration Tool |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount Radar Level Gauges (Pro 39xx 59xx) |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount RadarMaster |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount RadarMaster Plus |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount Tank Radar Gauges (TGUxx) |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount TankMaster |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Rosemount TankMaster Mobile |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Spectrex family Flame Detectors and Rosemount 975 flame detector |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | USM 3410 and 3810 Series Ultrasonic Transmitters |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | USM 3410 and 3810 Series Ultrasonic Transmitters |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | Vortex and Magmeter Transmitters |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Emerson | WCM SWGM |  |  | Not Affected | [link](https://www.emerson.com/documents/automation/emerson-cyber-security-notification-en-7881618.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Enfocus | BoardingPass |  |  | Not Affected | [link](https://enfocus-community.force.com/customers/s/article/Are-the-Enfocus-products-impacted-by-the-log4j-security-vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Enfocus | Connect |  |  | Not Affected | [link](https://enfocus-community.force.com/customers/s/article/Are-the-Enfocus-products-impacted-by-the-log4j-security-vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Enfocus | PDF Review Module |  |  | Not Affected | [link](https://enfocus-community.force.com/customers/s/article/Are-the-Enfocus-products-impacted-by-the-log4j-security-vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Enfocus | PitStop |  |  | Not Affected | [link](https://enfocus-community.force.com/customers/s/article/Are-the-Enfocus-products-impacted-by-the-log4j-security-vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Enfocus | Switch |  |  | Not Affected | [link](https://enfocus-community.force.com/customers/s/article/Are-the-Enfocus-products-impacted-by-the-log4j-security-vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Enovation | All |  |  | Unknown | [link](https://enovationgroup.com/nl/nieuws/log4j-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| EnterpriseDT | All |  |  | Unknown | [link](https://enterprisedt.com/blogs/announcements/enterprisedt-does-not-use-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ESET | All |  |  | Not Affected | [link](https://support.eset.com/en/alert8188-information-regarding-the-log4j2-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ESET | Secure Authentication |  |  | Fixed | [link](https://support.eset.com/en/alert8188-information-regarding-the-log4j2-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ESRI | ArcGIS Data Store |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| ESRI | ArcGIS Enterprise |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| ESRI | ArcGIS GeoEvent Server |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| ESRI | ArcGIS Server |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| ESRI | ArcGIS Workflow Manager Server |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| ESRI | Portal for ArcGIS |  | All | Fixed | [link](https://www.esri.com/arcgis-blog/products/arcgis-enterprise/administration/arcgis-software-and-cve-2021-44228-aka-log4shell-aka-logjam/) | Requires script remediation.  ESRI has created scripts to remove the JndiLookup class, but has not issued patches to upgrade the Log4j versions |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Estos | All |  |  | Not Affected | [link](https://support.estos.de/de/sicherheitshinweise/estos-von-kritischer-schwachstelle-in-log4j-cve-2021-44228-nicht-betroffen) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| EVL Labs | JGAAP |  | &lt;8.0.2 | Fixed | [link](https://github.com/evllabs/JGAAP/releases/tag/v8.0.2) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Evolveum Midpoint | Midpoint |  |  | Not Affected | [link](https://evolveum.com/midpoint-not-vulnerable-to-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ewon | All |  |  | Not Affected | [link](https://hmsnetworks.blob.core.windows.net/www/docs/librariesprovider10/downloads-monitored/manuals/release-notes/ecatcher_releasenotes.txt?sfvrsn=4f054ad7_42) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Ewon | eCatcher |  | 6.7.6 | Fixed | [link](https://hmsnetworks.blob.core.windows.net/www/docs/librariesprovider10/downloads-monitored/manuals/release-notes/ecatcher_releasenotes.txt?sfvrsn=4f054ad7_42) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Exabeam | All |  |  | Unknown | [link](https://community.exabeam.com/s/discussions?t=1639379479381) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | AEC |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Audition |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | BoekhoudGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Bouw7 |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Business Suite |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | CommunicatieGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Consolidation powered by LucaNet |  |  | Fixed | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Digipoort |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | DigitaleFactuur |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Dimoni |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | EDI Gateway |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | FDS |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Financials |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | FiscaalGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Globe Core Product |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Globe E-report/Crystal Reports |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Go2UBL |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Gripp |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | HR &amp; SalarisGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Insights (Qlik) |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Officient |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Online All core products |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Online Elastic Search |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Online Samenwerken (OSW) |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Payroll Plus (Loket) |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | ProAcc |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | ProQuro |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | RapportageGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Reeleezee |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | ScanSys |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | SRXP |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Synergy Core Product |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Synergy Elastic Search |  | 6.6.2 | Fixed | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | WerkprogrammaGemak |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | Winbooks |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exact | WMS |  |  | Not Affected | [link](https://www.exact.com/news/general-statement-apache-leak) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Exivity | On-Premise |  |  | Not Affected | [link](https://docs.exivity.com/getting-started/releases/announcements#announcement-regarding-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extensis | Universal Type Server |  | &gt;=7.0.6 | Fixed | [link](https://help.extensis.com/hc/en-us/articles/4412767414299-Universal-Type-Server-7-and-Log4j-vulnerabilities) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ExtraHop | Reveal(x) | &lt;=8.4.6, &lt;=8.5.3, &lt;=8.6.4 |  | Affected | [link](https://forums.extrahop.com/t/extrahop-update-on-log4shell/8148) | Versions &gt;8.4.7, &gt;8.5.4, &gt;8.6.5 and &gt;=8.7 are fixed. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| eXtreme Hosting | All |  |  | Not Affected | [link](https://extremehosting.nl/log4shell-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | 200-series |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | BOSS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | EXOS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Extreme AirDefense |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Extreme Campus Controller (Extreme Cloud Appliance) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Extreme Fabric Automation (EFA) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Extreme Management Center (XMC) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Extreme Visibility Manager (XVM) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeAnalytics |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeCloud A3 |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeCloud IQ |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeConnect |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeControl |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeGuest |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeLocation |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | ExtremeWireless (IdentiFi) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Fabric Manager |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Guest and IoT Manager (GIM) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | HiveManager Classic On-Premises |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | HiveManager Classic Online |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Ipanema Ip | Engine |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Ipanema SALSA |  | 9.3.8, 9.4.3 | Fixed | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Ipanema SD-WAN Orchestrator |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | IQEngine (HiveOS) |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | IQVA |  | 21.1.22.1-IQVA | Fixed | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | NetIron OS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Network OS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | NSight |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | SLX-OS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | Traffic Sensor |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | VGVA |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | VOSS |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extreme Networks | WiNG |  |  | Not Affected | [link](https://extremeportal.force.com/ExtrArticleDetail?an=000100806) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Extron | All |  |  | Unknown | [link](https://www.extron.com/featured/Security-at-Extron/extron-security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
