# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| F-Secure | Elements Connector |  |  | Fixed | [link](https://community.f-secure.com/common-business-en/kb/articles/9226-the-log4j-vulnerability-cve-2021-44228-which-f-secure-products-are-affected-what-it-means-what-steps-should-you-take) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F-Secure | Endpoint Proxy |  | 13 through 15 | Fixed | [link](https://status.f-secure.com/incidents/sk8vmr0h34pd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F-Secure | Messaging Security Gateway |  |  | Fixed | [link](https://community.f-secure.com/common-business-en/kb/articles/9226-the-log4j-vulnerability-cve-2021-44228-which-f-secure-products-are-affected-what-it-means-what-steps-should-you-take) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F-Secure | Policy Manager |  | 13 through 15 | Fixed | [link](https://status.f-secure.com/incidents/sk8vmr0h34pd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F-Secure | Policy Manager Proxy |  | 13 through 15 | Fixed | [link](https://status.f-secure.com/incidents/sk8vmr0h34pd) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | BIG-IP (all modules) |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | BIG-IQ Centralized Management |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | F5OS |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX App Protect |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Controller |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Ingress Controller |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Instance Manager |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Open Source |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Plus |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Service Mesh |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | NGINX Unit |  |  | Not Affected | [link](https://support.f5.com/csp/article/K19026212) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| F5 | Traffix SDC | 5.x, 5.2.0 CF1, 5.1.0 CF-30 - 5.1.0 CF-33 |  | Affected | [link](https://support.f5.com/csp/article/K19026212) | Vulnerable components: EMS-ELK components (Fluentd + Elastic Search + Kibana), Element Management System |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FAST LTA | All |  |  | Unknown | [link](https://blog.fast-lta.de/en/log4j2-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fastly | All |  |  | Unknown | [link](https://www.fastly.com/blog/digging-deeper-into-log4shell-0day-rce-exploit-found-in-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FedEx | Ship Manager Software | 340x |  | Affected | [link](https://www.fedex.com/en-us/shipping/ship-manager/software.html#tab-4) | Note - FedEx is aware of the issue related to the Log4j Remote Code Execution vulnerability affecting various Apache products. We are actively assessing the situation and taking necessary action as appropriate. As a result, we are temporarily unable to provide a link to download the FedEx Ship Manager software or generate product keys needed for registration of FedEx Ship Manager software. We are working to have this resolved as quickly as possible and apologize for the inconvenience. For related questions or the most updated information, customers should check FedEx Updates for Apache Log4j Issue or contact their Customer Technology representative. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| FedEx | Ship Manager Software |  | 3509 | Fixed | [link](https://www.fedex.com/en-us/shipping/ship-manager/software.html#tab-4) | Note - FedEx is aware of the issue related to the Log4j Remote Code Execution vulnerability affecting various Apache products. We are actively assessing the situation and taking necessary action as appropriate. As a result, we are temporarily unable to provide a link to download the FedEx Ship Manager software or generate product keys needed for registration of FedEx Ship Manager software. We are working to have this resolved as quickly as possible and apologize for the inconvenience. For related questions or the most updated information, customers should check FedEx Updates for Apache Log4j Issue or contact their Customer Technology representative. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Fiix | Fiix CMMS Core |  | v5 | Fixed | [link](https://rockwellautomation.custhelp.com/app/answers/answer_view/a_id/1133605) | The product has been updated to Log4j version 2.15. An additional patch is being developed to update to 2.16. No user interaction is required. This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| FileCap | Plugins |  |  | Not Affected | [link](https://filecap.com/blog-posts/detecteer-log4shell-exploitatie-pogingen) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FileCap | Server |  | 5.1.3 | Fixed | [link](https://filecap.com/blog-posts/detecteer-log4shell-exploitatie-pogingen) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FileCatalyst | All |  |  | Unknown | [link](https://support.filecatalyst.com/index.php/Knowledgebase/Article/View/advisory-log4j-zero-day-security-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FileCloud | All |  |  | Unknown | [link](https://www.getfilecloud.com/supportdocs/display/cloud/Advisory+2021-12-2+Impact+of+Apache+Log4j2+Vulnerability+on+FileCloud+Customers) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FileWave | All |  |  | Unknown | [link](https://kb.filewave.com/display/KB/Security+Notice:+Apache+log4j+Vulnerability+CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FileZilla | All |  |  | Not Affected | [link](https://forum.filezilla-project.org/viewtopic.php?f=6&amp;t=54338) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FINVI | All |  |  | Unknown | [link](https://finvi.com/support/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FireDaemon | All |  |  | Unknown | [link](https://kb.firedaemon.com/support/solutions/articles/4000178630) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fisher &amp; Paykel Healthcare | All |  |  | Not Affected | [link](https://www.fphcare.com/us/our-company/contact-us/product-security/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Flexagon | All |  |  | Unknown | [link](https://flexagon.com/what-is-the-impact-of-log4j-vulnerability-cve-2021-44228-on-flexdeploy/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Flexera | All |  |  | Unknown | [link](https://community.flexera.com/t5/Community-Notices/Flexera-s-response-to-Apache-Log4j-2-remote-code-execution/ba-p/216934) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Advanced Malware Detection |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Behavioral Analytics |  |  | Unknown | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Bitglass SSE |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | CASB |  |  | Unknown | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Cloud Security Gateway (CSG) |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Content Gateway |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | DDP/DUP/DPS |  |  | Unknown | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Directory Synchronization |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | DLP Manager |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Email Security |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Insider Threat |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Next Generation Firewall (NGFW) |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | NGFW Security Management Center |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | NGFW Virtual SMC Appliances |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | NGFW VPN Client |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | One Endpoint |  |  | Not Affected | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Security Manager (Web, Email and DLP) |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Sidewinder |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | User ID service |  |  | Fixed | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forcepoint | Web Security |  |  | Unknown | [link](https://support.forcepoint.com/s/login/?ec=302&amp;startURL=%2Fs%2F) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Forescout | All |  |  | Unknown | [link](https://forescout.force.com/support/s/article/Important-security-information-related-to-Apache-Log4j-utility-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ForgeRock | Autonomous Identity |  |  | Fixed | [link](https://backstage.forgerock.com/knowledge/kb/book/b21824339#1_bzBa) | All other ForgeRock products not affected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | Autonomous Identity |  |  | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiADC |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAI |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAIOps |  | 1.0.2 | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAnalyzer |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAnalyzer Big Cloud |  | 6.4.7, 7.0.2 | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAnalyzer Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAP |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiAuthenticator |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiCache |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiCarrier |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiCASB |  |  | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiClient |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiClient Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiClient EMS |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiConnect |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiConverter Portal |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiCWP |  |  | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiDDoS |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiDDoS-F |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiDeceptor |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiEDR Agent |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiEDR Cloud |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiExtender Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiGate Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiGSLB Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiInsight |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiIsolator |  | 2.3.4 | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiLAN Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiMail |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiManager |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiManager Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiMonitor |  |  | Fixed | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiNAC |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiOS (includes FortiGate &amp; FortiWiFi) |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiPenTest |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiPhish Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiPolicy |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiPortal |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiPresence |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiProxy |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiRecorder |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSandbox |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSASE |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSIEM |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSOAR |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSwitch &amp; FortiSwitchManager |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiSwitch Cloud in FortiLANCloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiTester |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiToken Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiVoice |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiWeb Cloud |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiWLC |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | FortiWLM |  |  | Not Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fortinet | ShieldX |  |  | Affected | [link](https://www.fortiguard.com/psirt/FG-IR-21-245) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FTAPI | All |  |  | Unknown | [link](https://www.ftapi.com/blog/kritische-sicherheitslucke-in-log4j-ftapi-reagiert/#) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fuji Electric | MONITOUCH TS1000 series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | MONITOUCH TS1000S series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | MONITOUCH TS2000 series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | MONITOUCH V8 series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | MONITOUCH V9 series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | MONITOUCH X1 series |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | TELLUS and V-Server |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fuji Electric | V-SFT |  |  | Not Affected | [link](https://monitouch.fujielectric.com/site/download-e/other/NVD%20CVE-2021-44228_en.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-02 |
| Fujitsu | AIS Connect |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | Bean Connect |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | BS2000 Hardware |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | BS2000 Software |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | BX400 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | BX900 MMB |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | eLux RP on FUTRO |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS AB/HB |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS CS800 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS CS8000 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS DX/AF |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS JX |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS LT140/260 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS LT20/40/60 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS SF |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ETERNUS SF MA |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | FlexFrame |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | INTELLIEGDLE A/G |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | iRMC on PRIMERGY |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ISM for PRIMERGY, PQ |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | NECoP |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | openFT |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | openSEAS |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | openUTM |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | openUTM (WebAdm.) |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | PRIMEFLEX for MS S2D |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | PTC Axeda (AIS Con.) |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SBAX2 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SBAX3 |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SecDocs |  |  | Fixed | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView IM |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView OM |  |  | Fixed | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView OM/UM |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView RAID |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView Rem. Con. |  |  | Unknown | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | ServerView VIOM |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SOA Pro. Mgmt. Service |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SOA SysRollout Service |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SVS Services for ISM |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SVS UME + LinuxLife |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SVS VMware Op. Mgr. |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | SVS VMware vCenter |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Fujitsu | Web Transactions |  |  | Not Affected | [link](https://support.ts.fujitsu.com/ProductSecurity/content/Fujitsu-PSIRT-PSS-IS-2021-121000-Security-Notice-SF.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| FusionAuth | All |  |  | Not Affected | [link](https://fusionauth.io/blog/2021/12/10/log4j-fusionauth/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
