# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| HAProxy |  |  |  | Unknown | [link](https://www.haproxy.com/blog/december-2021-log4shell-mitigation/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HarmanPro AMX |  |  |  | Unknown | [link](https://help.harmanpro.com/apache-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Boundary |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Consul |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Consul Enterprise |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Nomad |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Nomad Enterprise |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Packer |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Terraform |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Terraform Enterprise |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Vagrant |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Vault |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Vault Enterprise |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HashiCorp | Waypoint |  |  | Unknown | [link](https://discuss.hashicorp.com/t/hcsec-2021-32-hashicorp-response-to-apache-log4j-2-security-issue-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HCL Software | BigFix Compliance |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Insights |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Insights for Vulnerability Remediation |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Inventory |  | &lt; 10.0.7 | Fixed | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Lifecycle |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Mobile |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HCL Software | BigFix Patch |  |  | Not Affected | [link](https://support.hcltechsw.com/csm?id=kb_article&amp;sysparm_article=KB0095486) | Not Affected for related CVE-2021-45046 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| HelpSystems Clearswift |  |  |  | Unknown | [link](https://community.helpsystems.com/kb-nav/kb-article/?id=37becc1c-255c-ec11-8f8f-6045bd006687) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HENIX | Squash TM |  | 1.21.7-1.22.9, 2.0.3-2.1.5, 2.2.0-3.0.2 | Fixed | [link](https://tm-en.doc.squashtest.com/v3/downloads.html#download-previous-versions) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| Hexagon |  |  |  | Unknown | [link](https://supportsi.hexagon.com/help/s/article/Security-Vulnerability-CVE-2021-44228-log4j-2?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Hikvision |  |  |  | Unknown | [link](https://video.xortec.de/media/pdf/87/e8/03/kw50_Update-for-Apache-Log4j2-Issue-Hikvision_official.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Hitachi Energy | 3rd party - Elastic Search, Kibana |  | Elasticsearch 5.0.0+ | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | Set the JVM option -Dlog4j2.formatMsgNoLookups=true and restart each node of the cluster. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | 3rd party - Oracle Database Components |  | 12.1, 12.2, 19c | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | As this is a third-party component, a separate patch management report will be provided to customers with the steps to apply the Oracle provided patches for these components. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Axis |  | 3.6 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | No action is required by customers. Axis is a fully SaaS hosted solution and the environment has been patched per the recommendations |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Counterparty Settlement and Billing (CSB) |  | v6 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | e-Mesh Monitor |  |  | Unknown | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | No end-user action needed. The affected e-Mesh Monitor part is at the cloud offering side of which the remediation is handled by Hitachi Energy team. Remediation is currently ongoing, and during this time period, e-Mesh Monitor edge device is not able to upload data to cloud. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | eSOMS |  |  | Unknown | [link](https://www.hitachienergy.com/offering/solutions/cybersecurity/alerts-and-notifications) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Hitachi Energy | FOXMAN-UN |  | R15A, R14B, R14A, R11B SP1 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | A patch is available for releases R15A, R14B, R14A and R11B SP1. . For details on how to apply such patch, please refer to the technical bulletin “FOXMAN-UN - Installation of Log4j Patch”, version A (1KHW029176) available in the Hitachi Energy Customer Connect Portal. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | FOXMAN-UN |  | R11A and R10 series | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | Apply General Mitigations and upgrade to latest version. For upgrades, please get in touch with your Hitachi Energy contacts. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Lumada APM On-premises |  |  | Unknown | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | See vendor advisory for instructions for various versions. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Lumada APM SaaS offering |  |  | Unknown | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | No action is required by customers. The SaaS offering has been patched per the recommendations. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Lumada EAM / FSM |  | v1.7.x, v1.8.x, v1.9.x | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | See Section Mitigation Strategy in vendor advisory. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | MMS Internal facing subcomponent. |  |  | Unknown | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Network Manager ADMS Network Model Server |  | 9.1.0.32-9.1.0.44 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | See vendor advisory for instructions on mitigation steps. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | Network Manager Outage Management Interface (CMI) |  | 9.0-9.10.44, 9.1.1, 10.3.4 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | See vendor advisory for instructions on mitigation steps. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | nMarket Global I-SEM |  | 3.7.15, 3.7.16 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | RelCare |  | 2.0.0 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | No action is required by customers. The RelCare SaaS hosted solution and the on-premises have been patched per the recommendations. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | UNEM |  | R15A, R14B, R14A, R11B SP1 | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | A patch is available for releases R15A, R14B, R14A and R11B SP1. For details on how to apply such patch, please refer to the technical bulletin “UNEM - Installation of Log4j Patch”, version A (1KHW029176) available in the Hitachi Energy Customer Connect Portal. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Energy | UNEM |  | R11A and R10 series | Fixed | [link](https://search.abb.com/library/Download.aspx?DocumentID=8DBD003132&amp;LanguageCode=en&amp;DocumentPartId=&amp;Action=Launch) | Apply General Mitigations and upgrade to latest version. For upgrades, please get in touch with your Hitachi Energy contacts. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Hitachi Vantara |  |  |  | Unknown | [link](https://knowledge.hitachivantara.com/Support_Information/Hitachi_Vantara_Security_Advisories/CVE-2021-44228_-_Apache_Log4j2) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HMS Industrial Networks AB | Cosy, Flexy and Ewon CD |  |  | Unknown | [link](https://www.hms-networks.com/docs/librariesprovider6/cybersecurity/hms-security-advisory-2021-12-13-001---ewon-information-log4shell.pdf?sfvrsn=55d7f4d7_11) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| HMS Industrial Networks AB | eCatcher Mobile applications |  |  | Unknown | [link](https://www.hms-networks.com/docs/librariesprovider6/cybersecurity/hms-security-advisory-2021-12-13-001---ewon-information-log4shell.pdf?sfvrsn=55d7f4d7_11) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| HMS Industrial Networks AB | eCatcher Windows software |  |  | Unknown | [link](https://www.hms-networks.com/docs/librariesprovider6/cybersecurity/hms-security-advisory-2021-12-13-001---ewon-information-log4shell.pdf?sfvrsn=55d7f4d7_11) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| HMS Industrial Networks AB | Netbiter Hardware including EC, WS, and LC |  |  | Unknown | [link](https://www.hms-networks.com/docs/librariesprovider6/cybersecurity/hms-security-advisory-2021-12-13-001---ewon-information-log4shell.pdf?sfvrsn=55d7f4d7_11) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| HMS Industrial Networks AB | Talk2M including M2Web |  |  | Unknown | [link](https://www.hms-networks.com/docs/librariesprovider6/cybersecurity/hms-security-advisory-2021-12-13-001---ewon-information-log4shell.pdf?sfvrsn=55d7f4d7_11) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| HOLOGIC | Advanced Workflow Manager (AWM) |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) | While the Hologic software itself does not utilize Java/Log4J, the installed APC PowerChute UPS with Business Edition v9.5 software installed may. APC is still assessing its PowerChute software to determine if it is vulnerable. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Affirm Prone Biopsy System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Brevera Breast Biopsy System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Cenova Image Analytics Server |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Dimensions / 3Dimensions Mammography System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Discovery Bone Densitometer |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Faxitron CT Specimen Radiography System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) | While the Hologic software itself does not utilize Java/Log4J, there is a utility program installed that may utilize Java and Log4J. This utility program does not run on startup and is not required for system operation. Please contact Hologic Service for assistance in removing this program. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Faxitron Specimen Radiography Systems |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Fluoroscan Insight Mini C-Arm |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Horizon DXA Bone Densitometer |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Rosetta DC Tomosynthesis Data Converter |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | SecurView DX Workstation |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | SecurXChange Router |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | SuperSonic Imagine Ultrasound Products (Aixplorer &amp; Aixplorer Mach) |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Trident HD Specimen Radiography System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Unifi Workspace |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) | While the Hologic software itself does not utilize Java/Log4J, the installed APC PowerChute UPS with Business Edition v9.5 software installed may. APC is still assessing its PowerChute software to determine if it is vulnerable. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| HOLOGIC | Windows Selenia Mammography System |  |  | Unknown | [link](https://www.hologic.com/support/usa/breast-skeletal-products-cybersecurity) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Honeywell |  |  |  | Unknown | [link](https://www.honeywell.com/us/en/press/2021/12/honeywells-statement-on-java-apache-log4j-logging-framework-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| HP | Teradici Cloud Access Controller |  | &lt; v113 | Fixed | [link](https://support.hp.com/us-en/document/ish_5268006-5268030-16) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| HP | Teradici EMSDK |  | &lt; 1.0.6 | Fixed | [link](https://support.hp.com/us-en/document/ish_5268006-5268030-16) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| HP | Teradici Management Console |  | &lt; 21.10.3 | Fixed | [link](https://support.hp.com/us-en/document/ish_5268006-5268030-16) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| HP | Teradici PCoIP Connection Manager |  | &lt; 21.03.6, &lt; 20.07.4 | Fixed | [link](https://support.hp.com/us-en/document/ish_5268006-5268030-16) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| HP | Teradici PCoIP License Server |  |  | Unknown | [link](https://support.hp.com/us-en/document/ish_5268006-5268030-16) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| HPE | 3PAR StoreServ Arrays |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | AirWave Management Platform |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Alletra 6000 |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Alletra 9k |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba Central |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba ClearPass Policy Manager |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba ClearPass Policy Manager |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba Instant (IAP) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba Location Services |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba NetEdit |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba PVOS Switches |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba SDN VAN Controller |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba User Experience Insight (UXI) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Aruba VIA Client |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | ArubaOS SD-WAN Controllers and Gateways |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | ArubaOS Wi-Fi Controllers and Gateways |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | ArubaOS-CX switches |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | ArubaOS-S switches |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | BladeSystem Onboard Administrator |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Brocade 16Gb Fibre Channel SAN Switch for HPE Synergy |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Brocade 16Gb SAN Switch for HPE BladeSystem c-Class |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Brocade 32Gb Fibre Channel SAN Switch for HPE Synergy |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Brocade Network Advisor |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | CloudAuth |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | CloudPhysics |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Compute Cloud Console |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Compute operations manager- FW UPDATE SERVICE |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | COS (Cray Operating System) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Cray Systems Management (CSM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Custom SPP Portal [Link](https://spp.hpe.com/custom) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Data Services Cloud Console |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Harmony Data Platform |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HOP public services (grafana, vault, rancher, Jenkins) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN2600B SAN Extension Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN4000B SAN Extension Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN6000B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN6500B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN6600B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN6650B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE B-series SN6700B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Customer Experience Assurance (CEA) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Hardware Support Manager plug-in for VMware vSphere Lifecycle Manager |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Home Location Register (HLR/I-HLR) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Infosight for Servers |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Integrated Home Subscriber Server (I-HSS) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Intelligent Messaging (IM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Intelligent Network Server (INS) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Multimedia Services Environment (MSE) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OC Convergent Communications Platform (OCCP) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OC Media Platform Media Resource Function (OCMP-MRF) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OC Service Access Controller (OC SAC) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OC Service Controller (OCSC) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OC Universal Signaling Platform (OC-USP-M) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE OneView |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE OneView for VMware vRealize Operations (vROps) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE OneView Global Dashboard |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Performance Cluster Manager (HPCM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Performance Manager (PM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Position Determination Entity (PDE) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Secure Identity Broker (SIB) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Service Activator (SA) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Service Governance Framework (SGF) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Service Orchestration Manager (SOM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Service Provisioner (SP) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Short Message Point-to-Point Gateway (SMPP) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Slingshot |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Smart Interaction Server (SIS) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE SN3000B Fibre Channel Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8000B 4-Slot SAN Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8000B 8-Slot SAN Backbone Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8600B 4-Slot SAN Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8600B 8-Slot SAN Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8700B 4-Slot Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE SN8700B 8-Slot Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Subscriber, Network, and Application Policy (SNAP) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Subscription Manager (SM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Synergy Image Streamer |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Systems Insight Manager (SIM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Telecom Application Server (TAS) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Unified Correlation and Automation (UCA) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Unified Mediation Bus (UMB) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Unified OSS Console (UOC) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Unified Topology Manager (UTM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Universal Identity Repository (VIR) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Universal SLA Manager (uSLAM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Virtual Connect |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Virtual Connect Enterprise Manager (VCEM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Virtual Provisioning Gateway (vPGW) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Virtual Server Environment (VSE) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | HPE Virtual Subscriber Data Management (vSDM) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE WebRTC Gateway Controller (WGW) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| HPE | HPE Wi-Fi Authentication Gateway (WauG) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Insight Cluster Management Utility (CMU) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrated Lights-Out (iLO) Amplifier Pack |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrated Lights-Out 4 (iLO 4) |  |  | Not Affected | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrated Lights-Out 5 (iLO 5) |  |  | Not Affected | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrity BL860c, BL870c, BL890c |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrity Rx2800/Rx2900 |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrity Superdome 2 |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Integrity Superdome X |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Intelligent Provisioning |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | iSUT integrated smart update tool |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Maven Artifacts (Atlas) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | MSA |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | NetEdit |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Nimble Storage |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | NS-T0634-OSM CONSOLE TOOLS |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | NS-T0977-SCHEMA VALIDATOR |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | OfficeConnect |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Primera Storage |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | RepoServer part of OPA (on Premises aggregator) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Resource Aggregator for Open Distributed Infrastructure Management |  |  | Not Affected | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | RESTful Interface Tool (iLOREST) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SAT (System Admin Toolkit) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Scripting Tools for Windows PowerShell (HPEiLOCmdlets) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SGI MC990 X Server |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SGI UV 2000 Server |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SGI UV 300, 300H, 300RL, 30EX |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SGI UV 3000 Server |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SN8700B 8-Slot Director Switch |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | StoreEasy |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | StoreEver CVTL |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | StoreEver LTO Tape Drives |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | StoreEver MSL Tape Libraries |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | StoreOnce |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | SUM (Smart Update Manager) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Superdome Flex 280 |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | Superdome Flex Server |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE | UAN (User Access Node) |  |  | Unknown | [link](https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&amp;docId=a00120086en_us) | Support Communication Cross Reference ID: SIK7387 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| HPE/Micro Focus | Data Protector |  | 9.09 | Fixed | [link](https://portal.microfocus.com/s/article/KM000003243) |  | [https://portal.microfocus.com/s/article/KM000003050](https://portal.microfocus.com/s/article/KM000003050) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Huawei |  |  |  | Unknown | [link](https://www.huawei.com/en/psirt/security-notices/huawei-sn-20211210-01-log4j2-en) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Hubspot |  |  |  | Unknown | [link](https://community.hubspot.com/t5/APIs-Integrations/Log4J-day-zero-exploit-CVE-2021-44228/td-p/541949) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
