# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| I-Net software |  |  |  | Unknown | [link](https://faq.inetsoftware.de/t/statement-about-cve-2021-44228-log4j-vulnerability-concerning-i-net-software-products/269/3) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| I2P |  |  |  | Unknown | [link](https://geti2p.net/en/blog/post/2021/12/11/i2p-unaffected-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBA-AG |  |  |  | Unknown | [link](https://www.iba-ag.com/en/security) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ibexa |  |  |  | Unknown | [link](https://developers.ibexa.co/security-advisories/cve-2021-44228-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | Analytics Engine |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | App Configuration |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | App Connect |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | App ID |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Application Gateway |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Aspera |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Aspera Endpoint |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Aspera Enterprise |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Aspera fasp.io |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Bare Metal Servers |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | BigFix Compliance |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | BigFix Inventory | VM Manager Tool &amp; SAP Tool |  | Affected |  | To verify if your instance is affected, go to the lib subdirectory of the tool (BESClient/LMT/SAPTOOL and BESClient/LMT/VMMAN) and check what version of log4j is included. Version is included in the name of the library. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | Block Storage |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Block Storage for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Block Storage Snapshots for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Case Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Certificate Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Client VPN for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloud Activity Tracker |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloud Backup |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloud Monitoring |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloud Object Storage |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloud Object Storage |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cloudant |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Code Engine |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cognos Command Center |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cognos Controller | 10.4.2 |  | Affected | [link](https://www.ibm.com/support/pages/node/6526468&gt;) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Cognos Integration Server |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose Enterprise |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for Elasticsearch |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for etcd |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for MongoDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for MySQL |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for PostgreSQL |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for RabbitMQ |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for Redis |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for RethinkDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Compose for ScyllaDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Container Registry |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Container Security Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Content Delivery Network |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Continuous Delivery |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Copy Services Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for DataStax |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for EDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for Elasticsearch |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for etcd |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for MongoDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for PostgreSQL |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Databases for Redis |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Datapower Gateway |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Dedicated Host for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Connect |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Connect on Classic |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Dedicated (2.0) |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Dedicated Hosting on Classic |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Dedicated on Classic |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Direct Link Exchange on Classic |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | DNS Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Emptoris Contract Management |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Emptoris Program Management |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Emptoris Sourcing |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Emptoris Spend Analysis |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Emptoris Supplier Lifecycle Management |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Enterprise Tape Controller Model C07 (3592) (ETC) |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Event Notifications |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Event Streams |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | File Storage |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Flash System 900 (&amp; 840) |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Flow Logs for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Functions |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | GSKit |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Guardium S-TAP for Data Sets on z/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Guardium S-TAP for DB2 on z/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Guardium S-TAP for IMS on z/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Hyper Protect Crypto Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Hyper Protect DBaaS for MongoDB |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Hyper Protect DBaaS for PostgreSQL |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Hyper Protect Virtual Server |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | i2 Analyst’s Notebook |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | i2 Base |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Application Runtime Expert for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Backup, Recovery and Media Services for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Db2 Mirror for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM HTTP Server |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM i Access Family |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM i Portfolio of products under the Group SWMA |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM PowerHA System Mirror for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Direct Browser User Interface |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Direct File Agent | See Vendor Links |  | Affected | [link](https://www.ibm.com/blogs/psirt/security-bulletin-apache-log4j-vulnerability-affects-ibm-sterling-connectdirect-for-unix-cve-2021-44228/) |  | [https://www.ibm.com/support/pages/node/6526688](https://www.ibm.com/support/pages/node/6526688), [https://www.ibm.com/support/pages/node/6528324](https://www.ibm.com/support/pages/node/6528324), [https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| IBM | IBM Sterling Connect:Direct for HP NonStop |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Direct for i5/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Direct for OpenVMS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Express for Microsoft Windows |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Express for UNIX |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | IBM Sterling Connect:Express for z/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Instana Agent | Timestamp lower than 12-11-2021 |  | Affected | [link](https://status.instana.io/incidents/4zgcd2gzf4jw) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| IBM | Internet Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Key Lifecycle Manager for z/OS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Key Protect |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Knowledge Studio |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Kubernetes Service |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Load Balancer for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Log Analysis |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Managed VMware Service |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Management Extender for VMware vCenter |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | Mass Data Migration |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Maximo EAM SaaS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Message Hub |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | MQ Appliance |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | MQ on IBM Cloud |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Natural Language Understanding |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | OmniFind Text Search Server for DB2 for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | OPENBMC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Planning Analytics Workspace | &gt;2.0.57 |  | Affected | [link](https://www.ibm.com/support/pages/node/6525700) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Power HMC | V9.2.950.0 &amp; V10.1.1010.0 |  | Affected | [link](https://www.ibm.com/support/pages/node/6526172?myns=pwrsmc&amp;mynp=OCSGGSNP&amp;mync=E&amp;cm_sp=pwrsmc-_-OCSGGSNP-_-E) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | PowerSC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | PowerVM Hypervisor |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | PowerVM VIOS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | QRadar Advisor |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Qradar Network Threat Analytics |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | QRadar SIEM |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Quantum Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Rational Developer for AIX and Linux |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Rational Developer for i |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Red Hat OpenShift on IBM Cloud |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Resilient |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | Robotic Process Automation |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | SAN Volume Controller and Storwize Family |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Satellite Infrastructure Service |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Schematics |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Secrets Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Secure Gateway |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Server Automation |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IBM | Spectrum Archive Library Edition |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Discover |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Client Management Service |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Databases: Data Protection for Oracle |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Databases: Data Protection for SQL |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Enterprise Resource Planning |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Mail: Data Protection for Domino |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Mail: Data Protection for Exchange |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for Workstations |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect for z/OS USS Client and API |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Plus Db2 Agent |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Plus Exchange Agent |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Plus File Systems Agent |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Plus MongoDB Agent |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Plus O365 Agent |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Server |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Snapshot for UNIX |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Spectrum Protect Snapshot for UNIX |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | SQL Query |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Gentran |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Order Management |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for ACORD |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for Financial Services |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for FIX |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for NACHA |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for PeopleSoft |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for SAP R/3 |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for SEPA |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for Siebel |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Pack for SWIFT |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Packs for EDI |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Packs for Healthcare |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Sterling Transformation Extender Trading Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage TS1160 |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage TS2280 |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage TS2900 Library |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage TS3100-TS3200 Library |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage TS4500 Library |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Storage Virtualization Engine TS7700 |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Tape System Library Manager |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | TDMF for zOS |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Total Storage Service Console (TSSC) / TS4500 IMC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Transit Gateway |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Tririga Anywhere |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | TS4300 |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Urbancode Deploy |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Virtual Private Cloud |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Virtual Server for Classic |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Virtualization Management Interface |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | VMware Solutions |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | VMware vCenter Server |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | VMware vSphere |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | VPN for VPC |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | vRealize Operations and Log Insight |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| IBM | Workload Automation |  |  | Unknown | [link](https://www.ibm.com/blogs/psirt/an-update-on-the-apache-log4j-cve-2021-44228-vulnerability/#list-of-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| ICONICS | All |  |  | Unknown | [link](https://iconics.com/News/Press-Releases/2021/ICONICS-Not-Subject-to-Apache-Log4j-Vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| IFS |  |  |  | Unknown | [link](https://community.ifs.com/announcements-278/urgent-bulletin-ifs-advisory-ifs-products-services-and-log4j-cve-2021-44228-16436) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IGEL |  |  |  | Unknown | [link](https://kb.igel.com/securitysafety/en/isn-2021-11-ums-log4j-vulnerability-54086712.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ignite Realtime |  |  |  | Unknown | [link](https://discourse.igniterealtime.org/t/openfire-4-6-5-released/91108) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| iGrafx |  |  |  | Unknown | [link](https://www.igrafx.com/igrafx-thwarts-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Illuminated Cloud |  |  |  | Unknown | [link](https://illuminatedcloud.blogspot.com/2021/12/illuminated-cloud-2-and-log4j-security.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Illumio | C-VEN |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | CLI |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | CloudSecure |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Core on-premise PCE |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Core SaaS PCE |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Edge SaaS PCE |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Edge-CrowdStrike |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Flowlink |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Kubelink |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | NEN |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | QRadar App |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | Splunk App |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Illumio | VEN |  |  | Unknown | [link](https://support.illumio.com/knowledge-base/articles/Customer-Security-Advisory-on-log4j-RCE-CVE-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| IManage |  |  |  | Unknown | [link](https://help.imanage.com/hc/en-us/articles/4412696236699-ADVISORY-Security-vulnerability-CVE-2021-44228-in-third-party-component-Apache-Log4j2#h_3164fa6c-4717-4aa1-b2dc-d14d4112595e) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Imperva |  |  |  | Unknown | [link](https://www.imperva.com/blog/how-were-protecting-customers-staying-ahead-of-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Inductive Automation | Ignition |  |  | Not Affected | [link](https://support.inductiveautomation.com/hc/en-us/articles/4416204541709-Regarding-CVE-2021-44228-Log4j-RCE-0-day) | Older versions of Ignition (7.8 and older) did use the Log4j library, but they used an older version (1.2) that was not affected by this vulnerability. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-19 |
| IndustrialDefender |  |  |  | Unknown | [link](https://www.industrialdefender.com/cve-2021-44228-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| infinidat |  |  |  | Unknown | [link](https://support.infinidat.com/hc/en-us/articles/4413483145489-INFINIDAT-Support-Announcement-2021-010-Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| InfluxData |  |  |  | Unknown | [link](https://www.influxdata.com/blog/apache-log4j-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Infoblox |  |  |  | Unknown | [link](https://support.infoblox.com/articles/Knowledge/Infoblox-NIOS-and-BloxOne-products-not-vulnerable-to-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Informatica |  |  |  | Unknown | [link](https://network.informatica.com/community/informatica-network/blog/2021/12/10/log4j-vulnerability-update) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Instana |  |  |  | Unknown | [link](https://status.instana.io/incidents/4zgcd2gzf4jw) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Instructure |  |  |  | Unknown | [link](https://community.canvaslms.com/t5/Community-Users/Instructure-amp-the-Apache-Log4j2-Vulnerability/ba-p/501907) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Intel | Audio Development Kit |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | Computer Vision Annotation Tool maintained by Intel |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | Datacenter Manager |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | Genomics Kernel Library |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | oneAPI sample browser plugin for Eclipse |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | Secure Device Onboard |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | Sensor Solution Firmware Development Kit |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | System Debugger |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Intel | System Studio |  |  | Unknown | [link](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00646.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Internet Systems Consortium(ISC) | BIND 9 |  |  | Not Affected | [link](https://www.isc.org/blogs/2021-log4j/) | no JAVA Code |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Internet Systems Consortium(ISC) | ISC DHCP, aka dhcpd |  |  | Not Affected | [link](https://www.isc.org/blogs/2021-log4j/) | no JAVA Code |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Internet Systems Consortium(ISC) | Kea DHCP |  |  | Not Affected | [link](https://www.isc.org/blogs/2021-log4j/) | no JAVA Code |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| InterSystems |  |  |  | Unknown | [link](https://www.intersystems.com/gt/apache-log4j2/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Intland | codebeamer | &lt;= 20.11-SP11, &lt;= 21.09-SP3 |  | Affected | [link](https://codebeamer.com/cb/wiki/19872365) | A fix has been released for [20.11](https://codebeamer.com/cb/wiki/13134438) and [21.09](https://codebeamer.com/cb/wiki/19418497), but not yet for [21.04](https://codebeamer.com/cb/wiki/16937839) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| IPRO | Netgovern |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| iRedMail |  |  |  | Unknown | [link](https://forum.iredmail.org/topic18605-log4j-cve202144228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ironnet |  |  |  | Unknown | [link](https://www.ironnet.com/blog/ironnet-security-notifications-related-to-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ISLONLINE |  |  |  | Unknown | [link](https://blog.islonline.com/2021/12/13/isl-online-is-not-affected-by-log4shell-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Ivanti | Application Control for Linux |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Application Control for Windows |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Automation |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Avalanche | 6.2.2, 6.3.0 to 6.3.3 |  | Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Avalanche Remote Control |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | CETerm (Naurtech) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Cherwell Asset Management (CAM) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Cherwell Service Management (CSM) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Connect Pro |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | ConnectPro (Termproxy) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Credential mgr (PivD Manager) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Discovery Classic |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | DSM |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Environment Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | GoldMine |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | HEAT Classic |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | IIRIS (Neurons for IIOT) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Incapptic Connect |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Insight |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | ITSM 6/7 |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Asset Lifecycle Management |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Device Application Control |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Endpoint Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Endpoint Security |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Environment Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti EPM - Cloud Service Appliance |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti File Director | 2019.1.*, 2020.1.*, 2020.3.*, 2021.1.*, 4.4.* | 2021.3 HF2, 2021.1 HF1, 2020.3 HF2 | Fixed | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Identity Director |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti License Optimizer (ILO) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Management Center |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Neurons Platform |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Performance Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Security Controls (Patch ISec) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | See More INFO for Ivanti Security Controls (Patch ISec) in the Advisory Page |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Service Desk |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | Not Affected. Java is no longer required since version 2018.3U3 Customers on older versions can uninstall JRE on their ISD Servers for mitigation. This will disable indexing of Attachments and Documents for full-text search. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Service Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Service Manager for Neurons (Cloud) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Voice |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Ivanti Workspace Control |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MI Appconnect |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MI Email+ |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MI Go Client |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MI MobileAtWork |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MI Security Productivity Apps |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Mi Tunnel App |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Access ZSO | All |  | Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | Mitigated. No Impact |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron BYOD Portal |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Cloud |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Cloud Connector |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Core | All |  | Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | See Advisory details for mitigation instructions for MobileIron Core. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Core Connector | All |  | Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | See Advisory details for mitigation instructions for MobileIron Core Connector. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | MobileIron Sentry (Core/Cloud) | 9.13, 9.14 |  | Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) | See Advisory details for mitigation instructions for MobileIron Sentry. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Patch MEM (Microsoft Endpoint Manager) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Patch OEM APIs |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Performance Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Connect Secure |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Desktop Client |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Mobile Client |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse One |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Policy Secure |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Services Director |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Virtual Traffic Manager |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse Web Application Firewall |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Pulse ZTA |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Risksense Threat and Vulnerability Management |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | SpeakEasy (add-on to Velocity) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | SpeakEasy (WinCE) |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Terminal Emulation and Industrial Browser |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Velocity |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | VelocityCE |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Virtual Desktop Extender |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Wavelink License Server |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Ivanti | Xtraction |  |  | Not Affected | [link](https://forums.ivanti.com/s/article/CVE-2021-44228-Java-logging-library-log4j-Ivanti-Products-Impact-Mapping?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
