# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| Jamasoftware | All |  |  | Unknown | [link](https://community.jamasoftware.com/communities/community-home/digestviewer/viewthread?MessageKey=06d26f9c-2abe-4c10-93d4-c0f6c8a01b22&amp;CommunityKey=c9d20d4c-5bb6-4f19-92eb-e7cee0942d51&amp;tab=digestviewer#bm06d26f9c-2abe-4c10-93d4-c0f6c8a01b22) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Cloud |  |  | Fixed | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Connect |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Data Policy |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Health Care Listener |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Infrastructure Manager |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Now |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Private Access |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Pro (On-Prem) |  | 10.34.1 | Fixed | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Protect |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf School |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jamf | Jamf Threat Defense |  |  | Not Affected | [link](https://docs.jamf.com/technical-articles/Mitigating_the_Apache_Log4j_2_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Janitza | GridVis |  |  | Not Affected | [link](https://www.janitza.com/us/gridvis-download.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Jaspersoft | All |  |  | Unknown | [link](https://community.jaspersoft.com/wiki/apache-log4j-vulnerability-update-jaspersoft-products) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Java Melody | All |  | 1.90.0 | Fixed | [link](https://github.com/javamelody/javamelody/wiki/ReleaseNotes) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jedox | All |  |  | Unknown | [link](https://www.jedox.com/en/trust/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jenkins | CI |  |  | Not Affected | [link](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jenkins | CI/CD Core |  |  | Not Affected | [link](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jenkins | Plugins |  |  | Unknown | [link](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/) |  | [Instructions to test your installations in announcement](https://www.jenkins.io/blog/2021/12/10/log4j2-rce-CVE-2021-44228/) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| JetBrains | All .NET tools (ReSharper, Rider, ReSharper C++, dotTrace, dotMemory, dotCover, dotPeek) |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jetbrains | Code With Me |  |  | Fixed | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Datalore |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Floating License Server |  | 30241 | Fixed | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Gateway |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Hub |  | 2021.1.14080 | Fixed | [link](https://blog.jetbrains.com/hub/2021/12/14/hub-update-regarding-log4j2-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | IntelliJ platform based IDEs (AppCode, CLion, DataGrip, DataSpell, GoLand, IntelliJ IDEA Ultimate/Community/Edu, PhpStorm, PyCharm Professional/Community/Edu, Rider, RubyMine, WebStorm) |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Kotlin |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Ktor |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | MPS |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | Space |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | TeamCity |  |  | Not Affected | [link](https://youtrack.jetbrains.com/issue/TW-74298) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | ToolBox |  |  | Not Affected | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | UpSource |  | 2020.1.1952 | Fixed | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | YouTrack InCloud |  |  | Fixed | [link](https://blog.jetbrains.com/blog/2021/12/13/log4j-vulnerability-and-jetbrains-products-and-services/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JetBrains | YouTrack Standalone |  | 2021.4.35970 | Fixed | [link](https://blog.jetbrains.com/youtrack/2021/12/youtrack-update-regarding-log4j2-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JFrog | All |  |  | Not Affected | [link](https://jfrog.com/knowledge-base/general-jfrog-services-are-not-affected-by-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| JGraph | DrawIO |  |  | Not Affected | [link](https://github.com/jgraph/drawio/issues/2490) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jitsi | jitsi-videobridge |  | v2.1-595-g3637fda42 | Fixed | [link](https://github.com/jitsi/security-advisories/blob/4e1ab58585a8a0593efccce77d5d0e22c5338605/advisories/JSA-2021-0004.md) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jitterbit | All |  |  | Unknown | [link](https://success.jitterbit.com/display/DOC/Mitigating+the+Apache+Log4j2+JNDI+Vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Johnson Controls | Athena |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | BCPro |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | CEM AC2000 |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | CEM Hardware Products |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | CK721-A (P2000) |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | CloudVue Gateway |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | CloudVue Web |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Connect24 |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Connected Equipment Gateway (CEG) |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | C•CURE Client |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | C•CURE Server |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | C•CURE Web |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | C•CURE-9000 |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | DataSource |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | DLS |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Entrapass |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | exacqVision Client |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | exacqVision Server |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | exacqVision WebService |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Facility Explorer |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Illustra Cameras |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Illustra Insight |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | iSTAR |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Kantech Entrapass |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Metasys Products and Tools |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Active Responder |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Bridge |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Chiller Utility Plant Optimizer |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Cloud |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Connected Chiller |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Enterprise Manager |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Location Manager |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Risk Insight |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Twin |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | OpenBlue Workplace |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | P2000 |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | PowerSeries NEO |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | PowerSeries Pro |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Qolsys IQ Panels |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | RFID Overhead360 Backend |  | All | Fixed | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | S321-IP (P2000) |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Shoppertrak Analytics (STaN) - Traffic |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Shoppertrak Market Intelligence |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Shoppertrak Perimeter Apps |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Shoppertrak Shopper Journey |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Shoppertrak Video Analytics |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Sur‐Gard Receivers |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | TrueVue Cloud |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Tyco AI |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | victor |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | victor/ C•CURE‐9000 Unified |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | VideoEdge |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Johnson Controls | Xaap |  |  | Not Affected | [link](https://www.johnsoncontrols.com/cyber-solutions/security-advisories) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Journyx | All |  |  | Unknown | [link](https://community.journyx.com/support/solutions/articles/9000209044-apache-log4j-2-vulnerability-cve-2021-44228-) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| jPOS | (ISO-8583) bridge |  |  | Not Affected | [link](https://github.com/jpos/jPOS/commit/d615199a1bdd35c35d63c07c10fd0bdbbc96f625) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Jump Desktop | All |  |  | Unknown | [link](https://support.jumpdesktop.com/hc/en-us/articles/4416720395021-Log4j-CVE-2021-44228-CVE-2021-45046-Statement) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Advanced Threat Prevention (JATP) |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | AppFormix |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Apstra System |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Apstra System |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Connectivity Services Director |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Contrail Analytics |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Contrail Cloud |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Contrail Networking |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Contrail Service Orchestration |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Cross Provisioning Platform |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | CTPOS and CTPView |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | ICEAAA Manager |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | JATP Cloud |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Juniper Identity Management Services (JIMS) |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Juniper Mist Edge |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Juniper Sky Enterprise |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Junos OS |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Junos OS Evolved |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Junos Space Network Management Platform |  |  | Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | MIST - Juniper Networks Marvis Virtual Network Assistant (VNA) |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | MIST - Juniper Networks Mist AI |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | MIST - Juniper Networks Wi-Fi Assurance |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | MIST - Juniper Networks Wired Assurance |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Mist Access Points |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Network Director |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Northstar Controller |  |  | Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Northstar Planner |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Paragon Insights | &gt;= 21 version 21.1 ; &gt;= 22 version 22.2 |  | Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Paragon Pathfinder | &gt;= 21 version 21.1 ; &gt;= 22 version 22.2 |  | Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Paragon Planner | &gt;= 21 version 21.1 ; &gt;= 22 version 22.2 |  | Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Policy Enforcer |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Products using Wind River Linux in Junos OS and Junos OS Evolved |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | ScreenOS |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | SecIntel |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Secure Analytics |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Security Director |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Security Director Insights |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Session Smart Router (Formerly 128T) |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Space SDK |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | Standalone Log Collector 20.1 (as also used by Space Security Director) |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Juniper Networks | User Engagement Virtual BLE |  |  | Not Affected | [link](https://kb.juniper.net/InfoCenter/index?page=content&amp;id=JSA11259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Justice Systems | All |  |  | Unknown | [link](https://www.justicesystems.com/services/support/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
