# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| MailStore |  |  |  | Unknown | [link](https://www.mailstore.com/en/blog/mailstore-affected-by-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Maltego |  |  |  | Unknown | [link](https://www.maltego.com/blog/our-response-to-log4j-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ManageEngine | AD SelfService Plus |  |  | Not Affected |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-27 |
| ManageEngine | Servicedesk Plus | 11305 and below |  | Affected | [link](https://www.manageengine.com/products/service-desk/security-response-plan.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| ManageEngine Zoho |  |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/log4j-ad-manager-plus) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ManageEngine Zoho | ADAudit Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | ADManager Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | Analytics Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | Cloud Security Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | DataSecurity Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | EventLog Analyzer |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | Exchange Reporter Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | Log360 |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | Log360 UEBA |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | M365 Manager Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | M365 Security Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| ManageEngine Zoho | RecoveryManager Plus |  |  | Unknown | [link](https://pitstop.manageengine.com/portal/en/community/topic/update-on-the-recent-apache-log4j2-vulnerability-impact-on-manageengine-on-premises-products-1) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| MariaDB |  |  |  | Unknown | [link](https://mariadb.com/resources/blog/log4shell-and-mariadb-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MathWorks | All MathWorks general release desktop or server products |  |  | Not Affected | [link](https://www.mathworks.com/matlabcentral/answers/1610640-apache-log4j-vulnerability-cve-2021-44228-how-does-it-affect-matlab-run-time) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| MathWorks | MATLAB |  |  | Not Affected | [link](https://www.mathworks.com/content/dam/mathworks/policies/mathworks-response-to-cve-2021-44228-log4j-vulnerability.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-18 |
| Matillion | Matillion ETL |  | 1.59.10+ | Fixed | [link](https://documentation.matillion.com/docs/security-advisory-14th-december-2021) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-11-01 |
| Matomo |  |  |  | Unknown | [link](https://forum.matomo.org/t/matomo-is-not-concerned-by-the-log4j-security-breach-cve-2021-44228-discovered-on-december-2021-the-9th/44089) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mattermost FocalBoard |  |  |  | Unknown | [link](https://forum.mattermost.org/t/log4j-vulnerability-concern/12676) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| McAfee | Data Exchange Layer (DXL) Client |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Data Loss Prevention (DLP) Discover |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Data Loss Prevention (DLP) Endpoint for Mac |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Data Loss Prevention (DLP) Endpoint for Windows |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Data Loss Prevention (DLP) Monitor |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Data Loss Prevention (DLP) Prevent |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Endpoint Security (ENS) for Linux |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Endpoint Security (ENS) for Mac |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Endpoint Security (ENS) for Windows |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Enterprise Security Manager (ESM) |  | 11.5.3 | Fixed | [link](https://kc.mcafee.com/agent/index?page=content&amp;id=SB10377) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | ePolicy Orchestrator Agent Handlers (ePO-AH) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | ePolicy Orchestrator Application Server (ePO) |  | 5.10 CU11 | Fixed | [link](https://kc.mcafee.com/agent/index?page=content&amp;id=SB10377) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Host Intrusion Prevention (Host IPS) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Management of Native Encryption (MNE) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Active Response (MAR) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Agent (MA) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Application and Change Control (MACC) for Linux |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Application and Change Control (MACC) for Windows |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Client Proxy (MCP) for Mac |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Client Proxy (MCP) for Windows |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Drive Encryption (MDE) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Security for Microsoft Exchange (MSME) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Security for Microsoft Exchange (MSME) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | McAfee Security for Microsoft SharePoint (MSMS) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Network Security Manager (NSM) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Network Security Platform (NSP) |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Policy Auditor |  |  | Unknown |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Threat Intelligence Exchange (TIE) |  |  | Unknown | [link](https://kc.mcafee.com/agent/index?page=content&amp;id=SB10377) | Latest status in linked Security Bulletin |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| McAfee | Web Gateway (MWG) |  |  | Unknown | [link](https://kc.mcafee.com/agent/index?page=content&amp;id=SB10377) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Medtronic |  |  |  | Unknown | [link](https://global.medtronic.com/xg-en/product-security/security-bulletins/log4j-vulnerabilities.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| MEINBERG |  |  |  | Unknown | [link](https://www.meinbergglobal.com/english/news/meinberg-lantime-and-microsync-systems-not-at-risk-from-log4j-security-exploit.htm) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MEINBERG | LANTIME and microSync |  |  | Unknown | [link](https://www.meinbergglobal.com/english/news/meinberg-lantime-and-microsync-systems-not-at-risk-from-log4j-security-exploit.htm) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Meltano | Meltano |  |  | Unknown | [link](https://github.com/meltano/meltano) | Project is written in Python |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Memurai |  |  |  | Unknown | [link](https://www.memurai.com/blog/apache-log4j2-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Micro Focus | Data Protector |  | 10.20, 10.30, 10.40, 10.50, 10.60, 10.70, 10.80, 10.90, 10.91, 11.00 | Fixed | [link](https://portal.microfocus.com/s/article/KM000003052) |  | [https://portal.microfocus.com/s/article/KM000003050](https://portal.microfocus.com/s/article/KM000003050) | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Microsoft | Azure API Gateway |  |  | Unknown | [link](https://msrc-blog.microsoft.com/2021/12/11/microsofts-response-to-cve-2021-44228-apache-log4j2/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure Application Gateway |  |  | Unknown | [link](https://msrc-blog.microsoft.com/2021/12/11/microsofts-response-to-cve-2021-44228-apache-log4j2/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure Data lake store java | &lt; 2.3.10 |  | Affected | [link](https://github.com/Azure/azure-data-lake-store-java/blob/ed5d6304783286c3cfff0a1dee457a922e23ad48/CHANGES.md#version-2310) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure Data lake store java | &lt; 2.3.10 |  | Affected | [link](https://github.com/Azure/azure-data-lake-store-java/blob/ed5d6304783286c3cfff0a1dee457a922e23ad48/CHANGES.md#version-2310) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure DevOps |  |  | Unknown | [link](https://devblogs.microsoft.com/devops/azure-devops-and-azure-devops-server-and-the-log4j-vulnerability/?WT.mc_id=DOP-MVP-5001511) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure DevOps Server | 2019.0 - 2020.1 |  | Affected | [link](https://devblogs.microsoft.com/devops/azure-devops-and-azure-devops-server-and-the-log4j-vulnerability/?WT.mc_id=DOP-MVP-5001511) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Azure Traffic Manager |  |  | Unknown | [link](https://msrc-blog.microsoft.com/2021/12/11/microsofts-response-to-cve-2021-44228-apache-log4j2/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microsoft | Team Foundation Server | 2018.2+ |  | Affected | [link](https://devblogs.microsoft.com/devops/azure-devops-and-azure-devops-server-and-the-log4j-vulnerability/?WT.mc_id=DOP-MVP-5001511) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Microstrategy |  |  |  | Unknown | [link](https://community.microstrategy.com/s/article/MicroStrategy-s-response-to-CVE-2021-44228-The-Log4j-0-Day-Vulnerability?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Midori Global |  |  |  | Unknown | [link](https://www.midori-global.com/blog/2021/12/15/cve-2021-44228-log4shell-midori-apps-are-not-affected) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mikrotik |  |  |  | Unknown | [link](https://forum.mikrotik.com/viewtopic.php?p=897938) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Milestone sys |  |  |  | Unknown | [link](https://supportcommunity.milestonesys.com/s/article/Log4J-vulnerability-faq?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mimecast |  |  |  | Unknown | [link](https://community.mimecast.com/s/article/Mimecast-Information-for-Customers-on-the-Log4Shell-Vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Minecraft |  |  |  | Unknown | [link](https://www.minecraft.net/en-us/article/important-message--security-vulnerability-java-edition) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mirantis |  |  |  | Unknown | [link](https://github.com/Mirantis/security/blob/main/news/cve-2021-44288.md) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Miro |  |  |  | Unknown | [link](https://miro.com/trust/updates/log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mitel |  |  |  | Unknown | [link](https://www.mitel.com/support/security-advisories/mitel-product-security-advisory-21-0010) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MMM Group | Control software of all MMM series |  |  | Unknown | [link](https://www.mmmgroup.com/en/news/cybersecurity-vulnerability-log4shell-java-library-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| MMM Group | RUMED360 Cycles, RUMED360 Cycles View, RUMED360 Sicon, RUMED360 ISA-Server |  |  | Unknown | [link](https://www.mmmgroup.com/en/news/cybersecurity-vulnerability-log4shell-java-library-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| MongoDB | All other components of MongoDB Atlas (including Atlas Database, Data Lake, Charts) |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Atlas Search |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Community Edition (including Community Server, Cloud Manager, Community Kubernetes Operators) |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Drivers |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Enterprise Advanced (including Enterprise Server, Ops Manager, Enterprise Kubernetes Operators) |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Realm (including Realm Database, Sync, Functions, APIs) |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MongoDB | MongoDB Tools (including Compass, Database Shell, VS Code Plugin, Atlas CLI, Database Connectors) |  |  | Unknown | [link](https://www.mongodb.com/blog/post/log4shell-vulnerability-cve-2021-44228-and-mongodb) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Moodle |  |  |  | Unknown | [link](https://moodle.org/mod/forum/discuss.php?d=429966) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| MoogSoft |  |  |  | Unknown | [link](https://servicedesk.moogsoft.com/hc/en-us/articles/4412463233811?input_string=log4j+vulnerability+%7C%7C+cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Motorola Avigilon |  |  |  | Unknown | [link](https://support.avigilon.com/s/article/Technical-Notification-Apache-Log4j2-vulnerability-impact-on-Avigilon-products-CVE-2021-44228?language=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Moxa |  |  |  | Not Affected | [link](https://www.moxa.com/en/support/product-support/security-advisory/moxa-s-response-regarding-the-apache-log4j-vulnerability) | Moxa is investigating to determine if any of our products are affected by this vulnerability. At the time of publication, none of Moxa's products are affected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-19 |
| Mulesoft |  |  |  | Unknown | [link](https://help.mulesoft.com/s/article/Apache-Log4j2-vulnerability-December-2021) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Mulesoft | Anypoint Studio | 7.x |  | Affected | [link](https://help.mulesoft.com/s/article/Apache-Log4j2-vulnerability-December-2021) | This advisory is available to account holders only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Mulesoft | Cloudhub |  |  | Unknown | [link](https://help.mulesoft.com/s/article/Apache-Log4j2-vulnerability-December-2021) | This advisory is available to account holders only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Mulesoft | Mule Agent | 6.x |  | Affected | [link](https://help.mulesoft.com/s/article/Apache-Log4j2-vulnerability-December-2021) | This advisory is available to account holders only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Mulesoft | Mule Runtime | 3.x, 4.x |  | Affected | [link](https://help.mulesoft.com/s/article/Apache-Log4j2-vulnerability-December-2021) | This advisory is available to account holders only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
