# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| Paessler | PRTG |  |  | Not Affected | [link](https://docs.rundeck.com/docs/history/CVEs/#log4shell-cves) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| PagerDuty | PagerDuty Rundeck |  | 3.3+ | Fixed | [link](https://support.pagerduty.com/docs/pagerduty-log4j-zero-day-vulnerability) | We currently see no evidence of compromises on our platform. Our teams continue to monitor for new developments and for impacts on sub-processors and dependent systems. PagerDuty SaaS customers do not need to take any additional action for their PagerDuty SaaS environment. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| PagerDuty | PagerDuty SaaS |  |  | Fixed | [link](https://support.pagerduty.com/docs/pagerduty-log4j-zero-day-vulnerability) | We currently see no evidence of compromises on our platform. Our teams continue to monitor for new developments and for impacts on sub-processors and dependent systems. PagerDuty SaaS customers do not need to take any additional action for their PagerDuty SaaS environment |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Palantir | Palantir AI Inference Platform (AIP) |  | All | Fixed | [link](https://www.palantir.com/security-advisories/log4j-vulnerability/) | Fully remediated as of 1.97.0. Disconnected customer instances may require manual updates. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-19 |
| Palantir | Palantir Apollo |  |  | Not Affected | [link](https://www.palantir.com/security-advisories/log4j-vulnerability/) | No impact, and updates have been deployed for full remediation. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-19 |
| Palantir | Palantir Foundry |  | All | Fixed | [link](https://www.palantir.com/security-advisories/log4j-vulnerability/) | No impact to Palantir-hosted or Apollo-connected instances, and updates have been deployed for full remediation. Disconnected customer instances may require manual updates. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-19 |
| Palantir | Palantir Gotham |  | All | Fixed | [link](https://www.palantir.com/security-advisories/log4j-vulnerability/) | No impact to Palantir-hosted or Apollo-connected instances, and updates have been deployed for full remediation. Disconnected customer instances may require manual updates. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-19 |
| Palo-Alto Networks | Bridgecrew |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | CloudGenix |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Cortex Data Lake |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Cortex XDR Agent |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Cortex Xpanse |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Cortex XSOAR |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Exact Data Matching CLI |  | 1.2 | Fixed | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Expedition |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | GlobalProtect App |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | IoT Security |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Okyo Grade |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Palo-Alto Networks-DB Private Cloud |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Palo-Alto Networks-OS for Firewall and Wildfire |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Palo-Alto Networks-OS for Panorama |  | 9.0.15, 9.1.12-h3, 10.0.8-h8 | Fixed | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  | Upgrade Panorama to PAN-OS 10.1 to remediate this issue. This advisory will be updated when hot fixes for the affected Panorama versions are available. PAN-OS for Panorama versions 8.1, 10.1 are not affected. | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Palo-Alto Networks | Prisma Access |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Prisma Cloud |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Prisma Cloud Compute |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | Prisma SD-WAN (CloudGenix) |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | SaaS Security |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | User-ID Agent |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | WildFire Appliance |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Palo-Alto Networks | WildFire Cloud |  |  | Not Affected | [link](https://security.paloaltonetworks.com/CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Panasonic | KX-HDV100 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV130 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV230 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV330 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV340 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV430 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-HDV800 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-TGP500 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-TGP550 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-TGP600 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-TGP700 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UDS124 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT113 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT123 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT133 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT136 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT248 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panasonic | KX-UT670 |  |  | Not Affected | [link](https://panasonic.net/cns/pcc/support/sipphone/disposaldoc-Apache_Log4j_Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-20 |
| Panopto | All |  |  | Unknown | [link](https://support.panopto.com/s/article/Panopto-Statement-on-the-Log4j2-Zero-Day-Vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PaperCut | PaperCut Hive |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut MF | 21.0 and later |  | Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) | Versions 21.0 and later are impacted. Versions 20 and earlier are NOT impacted by this. Workaround manual steps available in reference. Upgrade to PaperCut NG/MF version 21.2.3 Now Available to resolve. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut MobilityPrint |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut MultiVerse |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut NG | 21.0 and later |  | Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) | Versions 21.0 and later are impacted. Versions 20 and earlier are NOT impacted by this. Workaround manual steps available in reference. Upgrade to PaperCut NG/MF version 21.2.3 Now Available to resolve. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut Online Services |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut Pocket |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut Print Logger |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PaperCut | PaperCut Views |  |  | Not Affected | [link](https://www.papercut.com/kb/Main/Log4Shell-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Parallels | Remote Application Server |  |  | Not Affected | [link](https://kb.parallels.com/en/128696) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Parse.ly | All |  |  | Unknown | [link](https://blog.parse.ly/parse-ly-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PBXMonitor | RMM for 3CX PBX |  |  | Not Affected | [link](https://www.pbxmonitor.net/changelog.php) | Mirror Servers were also checked to ensure Log4J was not installed or being used by any of our systems. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| PDQ | Deploy |  |  | Unknown | [link](https://www.pdq.com/blog/log4j-vulnerability-cve-2021-44228/?utm_content=190941012&amp;utm_medium=social&amp;utm_source=twitter&amp;hss_channel=tw-90432152) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| PDQ | Inventory |  |  | Unknown | [link](https://www.pdq.com/blog/log4j-vulnerability-cve-2021-44228/?utm_content=190941012&amp;utm_medium=social&amp;utm_source=twitter&amp;hss_channel=tw-90432152) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Pega | Platform |  | 7.3.x - 8.6.x | Fixed | [link](https://docs.pega.com/security-advisory/security-advisory-apache-log4j-zero-day-vulnerability) | Hotfixes made available for registered customers by Pega. When using Stream nodes, the embedded Kafka instances require a separate hotfix to be installed. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pentaho | All |  |  | Unknown | [link](https://support.pentaho.com/hc/en-us/articles/4416229254541-log4j-2-zero-day-vulnerability-No-impact-to-supported-versions-of-Pentaho-) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pepperl+Fuchs | All |  |  | Unknown | [link](https://www.pepperl-fuchs.com/global/en/29079.htm) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Percona | All |  |  | Unknown | [link](https://www.percona.com/blog/log4jshell-vulnerability-update/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Personio | All |  |  | Fixed | [link](https://status.personio.de/incidents/kn4c6mf6lpdv) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Endpoint Activation |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Eptools |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Infinity |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Infinity Connect Client |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Microsoft Teams Connector |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | My Meeting Video |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Reverse Proxy and TURN Server |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | Service |  | All | Fixed | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pexip | VMR Self-Service Portal |  |  | Not Affected | [link](https://www.pexip.com/blog1.0/pexip-statement-on-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Phenix Id | All |  |  | Unknown | [link](https://support.phenixid.se/uncategorized/log4j-fix/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Philips | Event Analytics (All VUE PACS Versions) | All |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | HealthSuite Marketplace |  | 1.2 | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Philips hosting environment has deployed a patch. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | IntelliBridge Enterprise | B.13, B.15 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided it is customer responsibility to validate and deploy patches. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | IntelliSite Pathology Solution 5.1 | L1 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | IntelliSpace Enterprise |  | v11 and above | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. Information or patch available in Inleft. Please contact your local service support team. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | IntelliSpace PACS |  |  | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Philips hosting environment is evaluating the VMware provided workaround and in the process of deploying for managed service customers. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | IntelliSpace Portal Server/workstation |  | v9 and above | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. Information or patch available in Inleft. Please contact your local service support team. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Pathology De-identifier 1.0 | L1 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Performance Bridge |  | 2.0 with Practice, 3.0 | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. Information or patch available in Inleft. Please contact your local service support team. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Pinnacle | 18.x |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Protocol Analytics |  | 1.1 | Fixed | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. Information or patch available in Inleft. Please contact your local service support team. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Protocol Applications | 1.1 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Report Analytics (All VUE PACS Versions) | All |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | RIS Clinic |  |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Scanner Protocol Manager | 1.1 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Tasy EMR |  |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Software only products with customer owned Operating Systems. For products solutions where the server was provided by Philips, it will be Philips responsibility to validate and provide patches. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | Univeral Data Manager (UDM) |  |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) | Philips hosting environment is evaluating the VMware provided workaround and in the process of deploying for managed service customers. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| Philips | VuePACS | 12.2.8 |  | Affected | [link](https://www.philips.com/a-w/security/security-advisories/product-security-2021.html#2021_archive) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-13 |
| PHOENIX CONTACT | Cloud Services |  |  | Fixed | [link](https://www.phoenixcontact.com/online/portal/pc?1dmy&amp;urile=wcm:path:/pcen/web/offcontext/insite_landing_pages/a7217e47-af46-4c7b-a748-3b6bf94a30a0/a7217e47-af46-4c7b-a748-3b6bf94a30a0) | Cloud Services were either not vulnerable or are completely fixed. No exploits observed. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| PHOENIX CONTACT | Physical products containing firmware |  |  | Not Affected | [link](https://www.phoenixcontact.com/online/portal/pc?1dmy&amp;urile=wcm:path:/pcen/web/offcontext/insite_landing_pages/a7217e47-af46-4c7b-a748-3b6bf94a30a0/a7217e47-af46-4c7b-a748-3b6bf94a30a0) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| PHOENIX CONTACT | Software Products |  |  | Not Affected | [link](https://www.phoenixcontact.com/online/portal/pc?1dmy&amp;urile=wcm:path:/pcen/web/offcontext/insite_landing_pages/a7217e47-af46-4c7b-a748-3b6bf94a30a0/a7217e47-af46-4c7b-a748-3b6bf94a30a0) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Ping Identity | PingAccess |  | 4.0 &lt;= version &lt;= 6.3.2 | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ping Identity | PingCentral |  |  | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ping Identity | PingFederate |  | 8.0 &lt;= version &lt;= 10.3.4 | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ping Identity | PingFederate Java Integration Kit |  | &lt; 2.7.2 | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ping Identity | PingFederate OAuth Playground |  | &lt; 4.3.1 | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Ping Identity | PingIntelligence |  |  | Fixed | [link](https://support.pingidentity.com/s/article/Log4j2-vulnerability-CVE-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pitney Bowes | All |  |  | Unknown | [link](https://www.pitneybowes.com/us/support/apache-log4j-vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Planmeca | All |  |  | Unknown | [link](https://www.planmeca.com/apache-log4j-vulnerability-in-planmeca-products/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Planon Software | Planon Universe |  |  | Not Affected | [link](https://my.planonsoftware.com/uk/news/log4j-impact-on-planon/) | This advisory is available for customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Platform.SH | All |  |  | Unknown | [link](https://platform.sh/blog/2021/platformsh-protects-from-apache-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Plesk | All |  |  | Unknown | [link](https://support.plesk.com/hc/en-us/articles/4412182812818-CVE-2021-44228-vulnerability-in-log4j-package-of-Apache) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Plex | Plex Industrial IoT |  |  | Not Affected | [link](https://rockwellautomation.custhelp.com/app/answers/answer_view/a_id/1133605) | This advisory is available to customer only and has not been reviewed by CISA. Mitigation already applied, patch available. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Plex | Plex Media Server |  |  | Not Affected | [link](https://rockwellautomation.custhelp.com/app/answers/answer_view/a_id/1133605) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Polycom | Cloud Relay (OTD and RealConnect hybrid use case) |  |  | Unknown | [link](https://support.polycom.com/content/dam/polycom-support/global/documentation/plygn-21-08-poly-systems-apache.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Polycom | Poly Clariti Core/Edge (a.k.a. DMA/CCE) |  | 9.0 and above | Fixed | [link](https://support.polycom.com/content/dam/polycom-support/global/documentation/plygn-21-08-poly-systems-apache.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Polycom | Poly Clariti Relay |  | 1.0.2 | Fixed | [link](https://support.polycom.com/content/dam/polycom-support/global/documentation/plygn-21-08-poly-systems-apache.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Polycom | Poly RealConnect for Microsoft Teams and Skype for Business |  |  | Fixed | [link](https://support.polycom.com/content/dam/polycom-support/global/documentation/plygn-21-08-poly-systems-apache.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Polycom | RealAccess |  |  | Fixed | [link](https://support.polycom.com/content/dam/polycom-support/global/documentation/plygn-21-08-poly-systems-apache.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Portainer | All |  |  | Unknown | [link](https://www.portainer.io/blog/portainer-statement-re-log4j-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PortSwigger | All |  |  | Unknown | [link](https://forum.portswigger.net/thread/are-burp-collaborator-or-burp-enterprise-vulnerable-to-log4j-dc6524e0) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Postgres | PostgreSQL JDBC |  |  | Not Affected | [link](https://www.postgresql.org/about/news/postgresql-jdbc-and-the-log4j-cve-2371/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Postman | All |  |  | Unknown | [link](https://support.postman.com/hc/en-us/articles/4415791933335-Is-Postman-impacted-by-the-Log4j-vulnerability-CVE-2021-44228-) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Power Admin LLC | PA File Sight |  |  | Not Affected | [link](https://www.poweradmin.com/blog/solarwinds-hack-our-safety-measures/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Power Admin LLC | PA Server Monitor |  |  | Not Affected | [link](https://www.poweradmin.com/blog/solarwinds-hack-our-safety-measures/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Power Admin LLC | PA Storage Monitor |  |  | Not Affected | [link](https://www.poweradmin.com/blog/solarwinds-hack-our-safety-measures/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PowerDNS | dnsdist |  |  | Not Affected | [link](https://blog.powerdns.com/2021/12/16/powerdns-and-log4j-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PowerDNS | metronome |  |  | Not Affected | [link](https://blog.powerdns.com/2021/12/16/powerdns-and-log4j-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PowerDNS | PowerDNS Authoritative Server |  |  | Not Affected | [link](https://blog.powerdns.com/2021/12/16/powerdns-and-log4j-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PowerDNS | PowerDNS Recursor |  |  | Not Affected | [link](https://blog.powerdns.com/2021/12/16/powerdns-and-log4j-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Pretix | All |  |  | Unknown | [link](https://pretix.eu/about/de/blog/20211213-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PrimeKey | All |  |  | Unknown | [link](https://support.primekey.com/news/posts/information-about-primekey-products-and-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Procentec (HMS Group) | All |  |  | Not Affected | [link](https://mailchi.mp/procentec.com/security_message) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Progress | DataDirect Hybrid Data Pipeline |  |  | Fixed | [link](https://knowledgebase.progress.com/articles/Knowledge/Is-Hybrid-Data-Pipeline-vulnerable-CVE-2021-44228-Log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Progress | OpenEdge |  |  | Fixed | [link](https://knowledgebase.progress.com/articles/Knowledge/Is-Hybrid-Data-Pipeline-vulnerable-CVE-2021-44228-Log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ProofPoint | Archiving Appliance |  |  | Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Archiving Backend |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Cloud App Security Broker |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Cloudmark Cloud/Cloudmark Hybrid |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Cloudmark On-Premise |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Compliance Gateway |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Content Patrol |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Data Discover |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | DLP Core Engine |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Email Community |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Email Fraud Defense (EFD) |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Email Protecton OnDemand (PoD), including Email DLP and Email Encryption |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Email Security Relay |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Endpoint DLP |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Essentials Archive |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Essentials Email |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Insider Threat Management Saas |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Insiders Threat Management On-Premise |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Isolation |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | ITM Saas Endpoint Agents |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Mail Protection On-Premise (PPS), including Email DLP and Email Encryption |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Meta/ZTNA |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Nexus People Risk Explorer |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Secure Email Relay |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Secure Share |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Security Awareness Training |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Sentrion |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Social Discover |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Social Patrol |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Targeted Attack Protection (TAP) |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Threat Response (TRAP) |  |  | Not Affected | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Web Gateway |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProofPoint | Web Security |  |  | Fixed | [link](https://www.proofpoint.com/us/blog/corporate-news/proofpoints-response-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| ProSeS | All |  |  | Unknown | [link](https://www.proses.de/en/2021/12/16/log4shell-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Prosys | All |  |  | Unknown | [link](https://prosysopc.com/news/important-security-release/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Proxmox | Backup Server |  |  | Not Affected | [link](https://forum.proxmox.com/threads/log4j-exploit-what-to-do.101254/#post-436880) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Proxmox | Mail Gateway |  |  | Not Affected | [link](https://forum.proxmox.com/threads/log4j-exploit-what-to-do.101254/#post-436880) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Proxmox | VE |  |  | Not Affected | [link](https://forum.proxmox.com/threads/log4j-exploit-what-to-do.101254/#post-436880) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PRTG Paessler | All |  |  | Unknown | [link](https://kb.paessler.com/en/topic/90213-is-prtg-affected-by-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTC | ACA Client |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Adapter Toolkit |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | AdaWorld |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ApexAda |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Arbortext Editor, Styler, and Publishing Engine |  | &gt;8.0.0.0 | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Arena |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Axeda |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Axeda Platform | 6.9.2 |  | Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Creo Elements/Direct Model Manager |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Creo Parametric |  |  | Unknown | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Creo View |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Flexnet License Server |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | FlexPLM | 12.0.2.2 (CPS03), 12.0.2.3 |  | Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | FlexPLM |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | FlexPLM |  | 12.0.2.0 (CPS01 and CPS02) | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Implementer |  |  | Unknown | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Intellicus |  | &gt;=19.1 SP11 | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | OnShape |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Servigistics Service Parts Management |  | 12.1, 12.2 | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Servigistics Service Parts Pricing |  | 12.1, 12.2 | Fixed | [link](https://www.ptc.com/en/support/article/CS358990) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Advisor Apps |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Agents |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Analytics |  | 8.5, 9.0, 9.1, 9.2 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx DPM |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Extensions |  |  | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Flow |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Kepware |  | &lt;=1.3 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Manufacturing Apps |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Navigate |  | 9.1, 9.2 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Ping Federate Integration |  | &gt;=9.1 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Platform |  | &gt;=8.5.7 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | ThingWorx Platform High Availability |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | WCTK |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill PDMLink | 12.0.2.2 (CPS03) |  | Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill PDMLink |  | 12.0.2.0 (CPS01 &amp; CPS02) | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill PDMLink |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill Performance Advisor |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill Rest Services |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill RV&amp;S(Integrity Lifcycle Manager) |  | 4.6/8.6 4.6 SP0 to 12.5 | Fixed | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTC | Windchill Workgroup Manager |  |  | Not Affected | [link](https://www.ptc.com/en/support/article/CS358901) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| PTV Group | Map&amp;Market | &gt; 2017 |  | Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | Map&amp;Market |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Arrival Board |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Balance |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Content Update Service |  | 2 (on prem) | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Developer |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Drive&amp;Arrive |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Drive&amp;Arrive App |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV EM Portal |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Epics |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Hyperpath |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV MaaS Modeller |  |  | Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Map&amp;Guide Intranet |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Navigator App |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Navigator License Manager |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Optima |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Road Editor |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Route Optimiser CL |  |  | Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Route Optimiser ST |  | on prem xServer2 | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Route Optimiser ST (TourOpt) |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Route Optimizer Saas/Demonstrator |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV TLN Planner Internet |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV TRE |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Tre-Addin |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Trip Creator |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Vissim |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Vistad Euska |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Vistro |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Visum |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Visum Publisher |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV Viswalk |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV xServer |  | 1.34 (on prem), 2 (on prem) | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV xServer |  |  | Not Affected | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV xServer Internet 1 |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| PTV Group | PTV xServer Internet 2 |  |  | Fixed | [link](https://company.ptvgroup.com/en/resources/service-support/log4j-latest-information) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Ivanti Connect Secure (ICS) |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Ivanti Neurons for Secure Access |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Ivanti Neurons for ZTA |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Connect Secure |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Desktop Client |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Mobile Client |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse One |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Policy Secure |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Secure Services Director |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Secure Virtual Traffic Manager |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse Secure Web Application Firewall |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pulse Secure | Pulse ZTA |  |  | Not Affected | [link](https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB44933/?kA13Z000000L3dR) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Puppet | Agents |  |  | Not Affected | [link](https://puppet.com/blog/puppet-response-to-remote-code-execution-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Puppet | Continuous Delivery for Puppet Enterprise |  | 3.x, &lt; 4.10.2 | Fixed | [link](https://puppet.com/blog/puppet-response-to-remote-code-execution-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Puppet | Enterprise |  |  | Not Affected | [link](https://puppet.com/blog/puppet-response-to-remote-code-execution-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pure Storage | Cloud Blockstore | CBS6.1.x, CBS6.2.x |  | Affected | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pure Storage | Flash Array | 5.3.x, 6.0.x, 6.1.x, 6.2.x |  | Affected | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pure Storage | Flash Blade | 3.1.x, 3.2.x, 3.3.x |  | Affected | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pure Storage | PortWorx |  | 2.8.0+ | Fixed | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pure Storage | Pure1 |  |  | Fixed | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Pure Storage | VM Analytics OVA Collector |  | &lt; v3.1.4 | Fixed | [link](https://support.purestorage.com/Field_Bulletins/Interim_Security_Advisory_Regarding_CVE-2021-44228_log4j) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| PuTTY | All |  |  | Not Affected | [link](https://www.chiark.greenend.org.uk/~sgtatham/putty/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Pyramid Analytics | All |  |  | Not Affected | [link](https://community.pyramidanalytics.com/t/83hjjt4/log4j-security-vulnerability-pyramid) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
