# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| SAE-IT |  |  |  | Unknown | [link](https://www.sae-it.com/nc/de/news/sicherheitsmeldungen.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SAFE FME Server |  |  |  | Unknown | [link](https://community.safe.com/s/article/Is-FME-Server-Affected-by-the-Security-Vulnerability-Reported-Against-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SAGE |  |  |  | Unknown | [link](https://www.sagecity.com/sage-global-solutions/sage-crm/f/sage-crm-announcements-news-and-alerts/178655/advisory-apache-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SailPoint |  |  |  | Unknown | [link](https://community.sailpoint.com/t5/IdentityIQ-Blog/IdentityIQ-log4j-Remote-Code-Execution-Vulnerability/ba-p/206681) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Salesforce | Analytics Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Analytics Cloud was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | B2C Commerce Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | B2C Commerce Cloud was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | ClickSoftware (As-a-Service) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | ClickSoftware (As-a-Service) was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | ClickSoftware (On-Premise) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | ClickSoftware (On-Premise) was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. Additional details are available here. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Data.com |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Data.com was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | DataLoader |  | &gt;=53.0.2 | Fixed | [link](https://github.com/forcedotcom/dataloader/releases/tag/v53.0.2) | This version is for use with Salesforce Winter '22 or higher release through Salesforce Force Partner API and Force WSC v53.0.0. It contains the fix for CVE-2021-44228, CVE-2021-45046, and CVE-2021-45105 by upgrading to log4j 2.17.0. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Datorama |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Datorama was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Evergage (Interaction Studio) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Evergage (Interaction Studio) was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Experience (Community) Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Experience Cloud was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Force.com |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Force.com was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. The Data Loader tool has been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. Make sure that you are using Data Loader version 53.0.2 or later. Follow the steps described here to download the latest version of Data Loader. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Heroku |  |  | Not Affected | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Heroku is reported to not be affected by the issues currently identified in CVE-2021-44228 or CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Marketing Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Salesforce-owned services within Marketing Cloud are not affected by the issues currently identified in CVE-2021-44228 or CVE-2021-45046. Third-party vendors have been patched to address the security issues currently identified in CVE-2021-44228 or CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | MuleSoft (Cloud) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | MuleSoft (Cloud) was affected by CVE-2021-44228 and CVE-2021-45046. Mulesoft services, including dataloader.io, have been updated to mitigate the issues currently identified in CVE-2021-44228 and CVE-2021-45046. Please see additional details here. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | MuleSoft (On-Premise) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | MuleSoft (On-Premise) was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors, including Private Cloud Edition (PCE) and Anypoint Studio, have a mitigation in place to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. Please see additional details here. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Pardot |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Pardot was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Sales Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Sales Cloud was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Service Cloud |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Service Cloud was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Slack |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Slack was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in both CVE-2021-44228 and CVE-2021-45046. Additional details are available here. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Social Studio |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Social Studio was affected by CVE-2021-44228 and CVE-2021-45046. Salesforce-owned services and third-party vendors have been patched to address the issues currently identified in CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Salesforce | Tableau (On-Premise) |  | &lt; 2021.4.1 | Fixed | [link](https://kb.tableau.com/articles/issue/Apache-Log4j2-vulnerability-Log4shell) | Tableau (On-Premise) was affected by CVE-2021-44228 and CVE-2021-45046. Patches to address the issues currently identified in both CVE-2021-44228 and CVE-2021-45046 are available for download. Additional details are available here. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Salesforce | Tableau (Online) |  | All | Fixed | [link](https://help.salesforce.com/s/articleView?id=000363736&amp;type=1) | Tableau Online was affected by CVE-2021-44228 and CVE-2021-45046. Services have been patched to mitigate the issues currently identified in both CVE-2021-44228 and CVE-2021-45046. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| Samsung Electronics America | Knox Admin Portal |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Asset Intelligence |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Configure |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox E-FOTA One |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Guard |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox License Management |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Manage |  | Cloud | Fixed | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Managed Services Provider (MSP) |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Mobile Enrollment |  |  | Not Affected | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Samsung Electronics America | Knox Reseller Portal |  | Cloud | Fixed | [link](https://www.samsungknox.com/en/blog/an-update-on-the-impact-of-the-apache-log4j-cve-2021-44228-vulnerability-on-samsung-knox-cloud-services) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-17 |
| Sangoma |  |  |  | Unknown | [link](https://help.sangoma.com/community/s/article/Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SAP |  |  |  | Unknown | [link](https://support.sap.com/content/dam/support/en_us/library/ssp/my-support/trust-center/sap-tc-01-5025.pdf) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| SAP Advanced Platform |  |  |  | Unknown | [link](https://launchpad.support.sap.com/#/notes/3130698) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| SAP BusinessObjects |  |  |  | Unknown | [link](https://blogs.sap.com/2021/12/16/cve-2021-44228-impact-of-log4j-vulnerability-on-sap-businessobjects/) | The support document is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| SAS |  |  |  | Unknown | [link](https://support.sas.com/content/support/en/security-bulletins/remote-code-execution-vulnerability-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SASSAFRAS |  |  |  | Unknown | [link](https://www.sassafras.com/log4j-vulnerability-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Savignano software solutions |  |  |  | Unknown | [link](https://savignano.atlassian.net/wiki/spaces/SNOTIFY/blog/2021/12/13/2839740417/No+Log4j+Vulnerability+in+S+Notify) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SBT | SBT | &lt;1.5.6 |  | Affected | [link](https://github.com/sbt/sbt/releases/tag/v1.5.7) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| ScaleComputing |  |  |  | Unknown | [link](https://community.scalecomputing.com/s/article/Apache-Log4j-Vulnerability) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ScaleFusion MobileLock Pro |  |  |  | Unknown | [link](https://help.mobilock.in/article/t9sx43yg44-scalefusion-security-advisory-for-apache-log-4-j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Schneider Electric | EASYFIT | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | Ecoreal XL | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | EcoStruxure IT Expert |  | Cloud | Fixed |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | EcoStruxure IT Gateway |  | V1.5.0 to V1.13.0 | Fixed | [link](https://ecostruxureit.com/download-and-set-upecostruxureit-gateway/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | Eurotherm Data Reviewer | V3.0.2 and prior |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | Facility Expert Small Business |  | Cloud | Fixed | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | MSE | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | NetBotz750/755 | Software versions 5.0 through 5.3.0 |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | NEW630 | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK BOM | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK-Docgen | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK-TNC | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK-UMS | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK3D2DRenderer | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SDK3D360Widget | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | Select and Config DATA | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SNC-API | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SNC-CMM | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SNCSEMTECH | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SPIMV3 | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SWBEditor | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | SWBEngine | Current software and earlier |  | Affected | [link](https://www.se.com/us/en/download/document/7EN52-0390/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schneider Electric | Wiser by SE platform |  | Cloud | Fixed |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Schweitzer Engineering Laboratories |  |  |  | Unknown | [link](https://selinc.com/support/security-notifications/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| SCM Manager |  |  |  | Unknown | [link](https://scm-manager.org/blog/posts/2021-12-13-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ScreenBeam |  |  |  | Unknown | [link](https://customersupport.screenbeam.com/hc/en-us/articles/4416468085389-December-2021-Security-Alert-Log4j-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SDL worldServer |  |  |  | Unknown | [link](https://gateway.sdl.com/apex/communityknowledge?articleName=000017707) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Seagull Scientific |  |  |  | Unknown | [link](https://support.seagullscientific.com/hc/en-us/articles/4415794235543-Apache-Log4Shell-Vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SecurePoint |  |  |  | Unknown | [link](https://www.securepoint.de/news/details/sicherheitsluecke-log4j-securepoint-loesungen-nicht-betroffen.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Security Onion |  |  |  | Unknown | [link](https://blog.securityonion.net/2021/12/security-onion-2390-20211210-hotfix-now.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Securonix | Extended Detection and Response (XDR) | All |  | Affected | [link](https://www.securonix.com/wp-content/uploads/2021/12/CVE-2021-44228-Securonix-Cloud-Customer-Update.pdf) | Patching ongoing as of 12/10/2021 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Securonix | Next Gen SIEM | All |  | Affected | [link](https://www.securonix.com/wp-content/uploads/2021/12/CVE-2021-44228-Securonix-Cloud-Customer-Update.pdf) | Patching ongoing as of 12/10/2021 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Securonix | Security Analytics and Operations Platform (SOAR) | All |  | Affected | [link](https://www.securonix.com/wp-content/uploads/2021/12/CVE-2021-44228-Securonix-Cloud-Customer-Update.pdf) | Patching ongoing as of 12/10/2021 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Securonix | SNYPR Application |  |  | Unknown | [link](https://www.securonix.com/wp-content/uploads/2021/12/CVE-2021-44228-Securonix-OnPrem-Customer-Update.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Securonix | User and Entity Behavior Analytics(UEBA) | All |  | Affected | [link](https://www.securonix.com/wp-content/uploads/2021/12/CVE-2021-44228-Securonix-Cloud-Customer-Update.pdf) | Patching ongoing as of 12/10/2021 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Seeburger |  |  |  | Unknown | [link](https://servicedesk.seeburger.de/portal/en-US/Knowledge/Article/?defId=101040&amp;id=25486312&amp;COMMAND=Open) | This advisory is available to customers only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SentinelOne |  |  |  | Unknown | [link](https://www.sentinelone.com/blog/cve-2021-44228-staying-secure-apache-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sentry |  |  |  | Unknown | [link](https://blog.sentry.io/2021/12/15/sentrys-response-to-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SEP |  |  |  | Unknown | [link](https://support.sep.de/otrs/public.pl?Action=PublicFAQZoom;ItemID=132) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Server Eye |  |  |  | Unknown | [link](https://www.server-eye.de/blog/sicherheitsluecke-log4j-server-eye-systeme-sind-nicht-betroffen/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ServiceNow |  |  |  | Unknown | [link](https://support.servicenow.com/kb?id=kb_article_view&amp;sysparm_article=KB1000959) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| ServiceTitan | ServiceTitan |  | Cloud | Fixed | [link](https://security.servicetitan.com/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-02-07 |
| Shibboleth |  |  |  | Unknown | [link](http://shibboleth.net/pipermail/announce/2021-December/000253.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Shibboleth | All Products |  |  | Not Affected | [link](https://shibboleth.net/pipermail/announce/2021-December/000253.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-10 |
| Shopify |  |  |  | Unknown | [link](https://community.shopify.com/c/technical-q-a/is-shopify-affected-by-the-log4j-vulnerability/td-p/1417625) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Siebel |  |  |  | Unknown | [link](https://www.siebelhub.com/main/2021/12/log4j-vulnerability-cve-2021-44228-and-siebel-crm.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Siemens | Affected Products |  |  | Unknown | [link](https://cert-portal.siemens.com/productcert/pdf/ssa-661247.pdf) | Siemens requests: See pdf for the complete list of affected products, CSAF for automated parsing of data |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens | Affected Products |  |  | Unknown | [link](https://cert-portal.siemens.com/productcert/pdf/ssa-501673.pdf) | Siemens requests: See pdf for the complete list of affected products, CSAF for automated parsing of data |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-19 |
| Siemens Energy | Affected Products |  |  | Unknown | [link](https://cert-portal.siemens.com/productcert/pdf/ssa-479842.pdf) | Siemens requests: See pdf for the complete list of affected products, CSAF for automated parsing of data |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Siemens Energy | Affected Products |  |  | Unknown | [link](https://cert-portal.siemens.com/productcert/pdf/ssa-397453.pdf) | Siemens requests: See pdf for the complete list of affected products, CSAF for automated parsing of data |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Siemens Energy | Affected Products |  |  | Unknown | [link](https://cert-portal.siemens.com/productcert/pdf/ssa-714170.pdf) | Siemens requests: See pdf for the complete list of affected products, CSAF for automated parsing of data |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Siemens Healthineers | ATELLICA DATA MANAGER v1.1.1 / v1.2.1 / v1.3.1 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | If you have determined that your Atellica Data Manager has a “Java communication engine” service, and you require an immediate mitigation, then please contact your Siemens Customer Care Center or your local Siemens technical support representative. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | CENTRALINK v16.0.2 / v16.0.3 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | If you have determined that your CentraLink has a “Java communication engine” service, and you require a mitigation, then please contact your Siemens Customer Care Center or your local Siemens technical support representative. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Cios Flow S1 / Alpha / Spin VA30 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | evaluation ongoing |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Cios Select FD/I.I. VA21 / VA21-S3P |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | evaluation ongoing |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | DICOM Proxy VB10A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: remove the vulnerable class from the .jar file |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.All, Som10 VA20 / VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Fit, Som10 VA30 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Now, Som10 VA10 / VA20 / VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Open Pro, Som10 VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Sim, Som10 VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Top, Som10 VA20 / VA20A_SP5 / VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | go.Up, Som10 VA10 / VA20 / VA30 / VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM AERA 1,5T, MAGNETOM PRISMA, MAGNETOM PRISMA FIT, MAGNETOM SKYRA 3T NUMARIS/X VA30A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Altea NUMARIS/X VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM ALTEA, MAGNETOM LUMINA, MAGNETOM SOLA, MAGNETOM VIDA NUMARIS/X VA31A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Amira NUMARIS/X VA12M |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Free.Max NUMARIS/X VA40 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Lumina NUMARIS/X VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Sempra NUMARIS/X VA12M |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Sola fit NUMARIS/X VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Sola NUMARIS/X VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Vida fit NUMARIS/X VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | MAGNETOM Vida NUMARIS/X VA10A* / VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | LOG4J is used in the context of the help system. Workaround: close port 8090 for standalone systems. Setup IP whitelisting for &quot;need to access&quot; systems to network port 8090 in case a second console is connected. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | SENSIS DMCC / DMCM / TS / VM / PPWS / DS VD12A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | evaluation ongoing |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Somatom Emotion Som5 VC50 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | evaluation ongoing |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Somatom Scope Som5 VC50 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | evaluation ongoing |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Syngo Carbon Space VA10A / VA10A-CUT2 / VA20A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: remove the vulnerable class from the .jar file |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | Syngo MobileViewer VA10A |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | The vulnerability will be patch/mitigated in upcoming releases/patches. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | syngo Plaza VB20A / VB20A_HF01 - HF07 / VB30A / VB30A_HF01 / VB30A_HF02 / VB30B / VB30C / VB30C_HF01 - HF06 / VB30C_HF91 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: remove the vulnerable class from the .jar file |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | syngo Workflow MLR VB37A / VB37A_HF01 / VB37A_HF02 / VB37B / VB37B_HF01 - HF07 / VB37B_HF93 / VB37B_HF94 / VB37B_HF96 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Please contact your Customer Service to get support on mitigating the vulnerability. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | syngo.via VB20A / VB20A_HF01 - HF08 / VB20A_HF91 / VB20B / VB30A / VB30A_HF01 - VB30A_HF08 / VB30A_HF91VB30B / VB30B_HF01 / VB40A / VB40A_HF01 - HF02 /VB40B / VB40B_HF01 - HF05 / VB50A / VB50A_CUT / VB50A_D4VB50B / VB50B_HF01 - HF03 / VB60A / VB60A_CUT / VB60A_D4 / VB60A_HF01 |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: remove the vulnerable class from the .jar file |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | syngo.via WebViewer VA13B / VA20A / VA20B |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: remove the vulnerable class from the .jar file |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | X.Ceed Somaris 10 VA40* |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Siemens Healthineers | X.Cite Somaris 10 VA30*/VA40* |  |  | Unknown | [link](https://www.siemens-healthineers.com/en-us/support-documentation/cybersecurity/cve-2021-44228) | Workaround: In the meantime, we recommend preventing access to port 8090 from other devices by configuration of the hospital network. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Sierra Wireless |  |  |  | Unknown | [link](https://source.sierrawireless.com/resources/security-bulletins/sierra-wireless-technical-bulletin---swi-psa-2021-007/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sierra Wireless | AirVantage and Octave cloud platforms |  |  | Unknown | [link](https://source.sierrawireless.com/resources/security-bulletins/sierra-wireless-technical-bulletin---swi-psa-2021-007/#sthash.iT98k4HP.dpbs) | These systems do not operate with the specific non-standard configuration required for CVE-2021-25046 and hence were not vulnerable to it. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Sierra Wireless | AM/AMM servers |  |  | Unknown | [link](https://source.sierrawireless.com/resources/security-bulletins/sierra-wireless-technical-bulletin---swi-psa-2021-007/#sthash.iT98k4HP.dpbs) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Signald |  |  |  | Unknown | [link](https://gitlab.com/signald/signald/-/issues/259) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Silver Peak | Orchestrator, Silver Peak GMS |  |  | Unknown | [link](https://www.arubanetworks.com/website/techdocs/sdwan/docs/advisories/media/security_advisory_notice_apache_log4j2_cve_2021_44228.pdf) | Customer managed Orchestrator and legacy GMS products are affected by this vulnerability. This includes on-premise and customer managed instances running in public cloud services such as AWS, Azure, Google, or Oracle Cloud. See Corrective Action Required for details about how to mitigate this exploit. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-14 |
| SingleWire |  |  |  | Unknown | [link](https://support.singlewire.com/s/article/Apache-Log4j2-vulnerability-CVE-2021-44228) | This advisory is available to customers only and has not been reviewed by CISA |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SISCO |  |  |  | Unknown | [link](https://sisconet.com/sisco-news/log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Sitecore |  |  |  | Unknown | [link](https://support.sitecore.com/kb?id=kb_article_view&amp;sysparm_article=KB1001391) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Skillable |  |  |  | Unknown | [link](https://skillable.com/log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SLF4J |  |  |  | Unknown | [link](http://slf4j.org/log4shell.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Slurm | Slurm |  |  | Not Affected | [link](https://slurm.schedmd.com/documentation.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| SMA Solar Technology AG |  |  |  | Unknown | [link](https://files.sma.de/downloads/HK_Log4j-en-10.pdf?_ga=2.237963714.352491368.1640298543-2015796445.1640298540) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| SmartBear |  |  |  | Unknown | [link](https://smartbear.com/security/cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SmileCDR |  |  |  | Unknown | [link](https://www.smilecdr.com/our-blog/a-statement-on-log4shell-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sn0m |  |  |  | Unknown | [link](https://www.snom.com/en/press/log4j-poses-no-threat-snom-phones/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Snakemake | Snakemake |  |  | Not Affected | [link](https://snakemake.readthedocs.io/en/stable/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-21 |
| Snow Software | Snow Commander |  | 8.1 to 8.10.2 | Fixed | [link](https://community.snowsoftware.com/s/feed/0D5690000B4U6hUCQS) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Snow Software | VM Access Proxy |  | v3.1 to v3.6 | Fixed | [link](https://community.snowsoftware.com/s/feed/0D5690000B4U6hUCQS) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Snowflake |  |  |  | Unknown | [link](https://community.snowflake.com/s/article/No-Snowflake-exposure-to-Apache-Log4j-vulnerability-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Snyk | Cloud Platform |  |  | Unknown | [link](https://updates.snyk.io/snyk%27s-cloud-platform-all-clear-from-log4j-exploits-216499) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Software AG |  |  |  | Unknown | [link](https://tech.forums.softwareag.com/t/log4j-zero-day-vulnerability/253849) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SolarWinds | Database Performance Analyzer (DPA) | 2021.1.x, 2021.3.x, 2022.1.x |  | Affected | [link](https://www.solarwinds.com/trust-center/security-advisories/cve-2021-44228) | For more information, please see the following KB article: [link](https://support.solarwinds.com/SuccessCenter/s/article/Database-Performance-Analyzer-DPA-and-the-Apache-Log4j-Vulnerability-CVE-2021-44228?language=en_US) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| SolarWinds | Orion Platform |  |  | Unknown | [link](https://www.solarwinds.com/trust-center/security-advisories/cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| SolarWinds | Server &amp; Application Monitor (SAM) | SAM 2020.2.6 and later |  | Affected | [link](https://www.solarwinds.com/trust-center/security-advisories/cve-2021-44228) | For more information, please see the following KB article for the latest details specific to the SAM hotfix: [link](https://support.solarwinds.com/SuccessCenter/s/article/Server-Application-Monitor-SAM-and-the-Apache-Log4j-Vulnerability-CVE-2021-44228?language=en_US) |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-23 |
| SonarSource |  |  |  | Unknown | [link](https://community.sonarsource.com/t/sonarqube-and-the-log4j-vulnerability/54721) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sonatype | All Products |  |  | Not Affected | [link](https://help.sonatype.com/docs/important-announcements/sonatype-product-log4j-vulnerability-status) | Sonatype uses logback as the default logging solution as opposed to log4j. This means our software including Nexus Lifecycle, Nexus Firewall, Nexus Repository OSS and Nexus Repository Pro in versions 2.x and 3.x are NOT affected by the reported log4j vulnerabilities. We still advise keeping your software upgraded at the latest version. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-29 |
| SonicWall | Access Points |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the SonicWall Access Points |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Analytics |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Under Review |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Analyzer |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Under Review |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Capture Client &amp; Capture Client Portal |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the Capture Client. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Capture Security Appliance |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the Capture Security appliance. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | CAS |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Under Review |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Email Security |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | ES 10.0.11 and earlier versions are impacted |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| SonicWall | Gen5 Firewalls (EOS) |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the appliance. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Gen6 Firewalls |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the appliance. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | Gen7 Firewalls |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the appliance. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | GMS |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Under Review |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | MSW |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Mysonicwall service doesn't use Log4j |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | NSM |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | NSM On-Prem and SaaS doesn't use a vulnerable version |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | SMA 100 |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the SMA100 appliance. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | SMA 1000 |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Version 12.1.0 and 12.4.1 doesn't use a vulnerable version |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | SonicCore |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | SonicCore doesn't use a Log4j2 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | SonicWall Switch |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the SonicWall Switch. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | WAF |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Under Review |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | WNM |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | Log4j2 not used in the WNM. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SonicWall | WXA |  |  | Unknown | [link](https://psirt.global.sonicwall.com/vuln-detail/SNWLID-2021-0032) | WXA doesn't use a vulnerable version |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Cloud Optix |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Users may have noticed a brief outage around 12:30 GMT as updates were deployed. There was no evidence that the vulnerability was exploited and to our knowledge no customers are impacted. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Reflexion |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Reflexion does not run an exploitable configuration. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | SG UTM (all versions) |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos SG UTM does not use Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | SG UTM Manager (SUM) (all versions) |  |  | Not Affected | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | SUM does not use Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos Central |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos Central does not run an exploitable configuration. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos Firewall (all versions) |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos Firewall does not use Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos Home |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos Home does not use Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos Mobile |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos Mobile (in Central, SaaS, and on-premises) does not run an exploitable configuration. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos Mobile EAS Proxy | &lt; 9.7.2 |  | Affected | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | The Sophos Mobile EAS Proxy, running in Traffic Mode, is affected. Customers will need to download and install version 9.7.2, available from Monday December 13, 2021, on the same machine where it is currently running. PowerShell mode is not affected. Customers can download the Standalone EAS Proxy Installer version 9.7.2 from the Sophos website. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| Sophos | Sophos ZTNA |  |  | Unknown | [link](https://www.sophos.com/en-us/security-advisories/sophos-sa-20211210-log4j-rce) | Sophos ZTNA does not use Log4j. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-12 |
| SOS Berlin |  |  |  | Unknown | [link](https://www.sos-berlin.com/en/news-mitigation-log4j-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Spacelabs Healthcare | ABP |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | CardioExpress |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | DM3 and DM4 Monitors |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Eclipse Pro |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | EVO |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Intesys Clinical Suite (ICS) |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Intesys Clinical Suite (ICS) Clinical Access Workstations |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Lifescreen Pro |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Pathfinder SL |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Qube |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Qube Mini |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | SafeNSound |  | 4.3.1 | Fixed | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) | Version &gt;4.3.1 - Not Affected |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Sentinel |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Spacelabs Cloud |  |  | Unknown | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Ultraview SL |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Xhibit Telemetry Receiver (XTR) |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Xhibit, XC4 |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | XprezzNet |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spacelabs Healthcare | Xprezzon |  |  | Not Affected | [link](https://www.spacelabshealthcare.com/products/security/security-advisories-and-archives/log4shell-vulnerability-assessment-and-potential-product-impact-statement/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-05 |
| Spambrella |  |  |  | Unknown | [link](https://www.spambrella.com/faq/status-of-spambrella-products-with-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Spigot |  |  |  | Unknown | [link](https://www.spigotmc.org/threads/spigot-security-releases-%E2%80%94-1-8-8%E2%80%931-18.537204/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Splunk | Data Stream Processor | DSP 1.0.x, DSP 1.1.x, DSP 1.2.x |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | IT Essentials Work [App ID 5403](https://splunkbase.splunk.com/app/5403/) | 4.11, 4.10.x (Cloud only), 4.9.x |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | IT Service Intelligence (ITSI) [App ID 1841](https://splunkbase.splunk.com/app/1841/) | 4.11.0, 4.10.x (Cloud only), 4.9.x, 4.8.x (Cloud only), 4.7.x, 4.6.x, 4.5.x |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Add-On for Java Management Extensions [App ID 2647](https://splunkbase.splunk.com/app/2647) | 5.2.0 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Add-On for Tomcat [App ID 2911](https://splunkbase.splunk.com/app/2911/) | 3.0.0 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Application Performance Monitoring | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Connect for Kafka | All versions prior to 2.0.4 |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Enterprise (including instance types like Heavy Forwarders) | All supported non-Windows versions of 8.1.x and 8.2.x only if DFS is used. See Removing Log4j from Splunk Enterprise below for guidance on unsupported versions. |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Enterprise Amazon Machine Image (AMI) | See Splunk Enterprise |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Enterprise Docker Container | See Splunk Enterprise |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Infrastructure Monitoring | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Log Observer | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Logging Library for Java | 1.11.0 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk On-call / VictorOps | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk OVA for VMWare [App ID 3216](https://splunkbase.splunk.com/app/3216/) | 4.0.3 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk OVA for VMWare Metrics [App ID 5096](https://splunkbase.splunk.com/app/5096/) | 4.2.1 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Real User Monitoring | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Splunk Add-On for JBoss [App ID 2954](https://splunkbase.splunk.com/app/2954/) | 3.0.0 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk Synthetics | Current |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk UBA OVA Software | 5.0.3a, 5.0.0 |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Splunk | Splunk VMWare OVA for ITSI [App ID 4760](https://splunkbase.splunk.com/app/4760/) | 1.1.1 and older |  | Affected | [link](https://www.splunk.com/en_us/blog/bulletins/splunk-security-advisory-for-apache-log4j-cve-2021-44228.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-30 |
| Sprecher Automation |  |  |  | Unknown | [link](https://www.sprecher-automation.com/en/it-security/security-alerts) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Spring | Spring Boot |  |  | Unknown | [link](https://spring.io/blog/2021/12/10/log4j2-vulnerability-and-spring-boot) | Spring Boot users are only affected by this vulnerability if they have switched the default logging system to Log4J2 |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Spring Boot |  |  |  | Unknown | [link](https://spring.io/blog/2021/12/10/log4j2-vulnerability-and-spring-boot) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| StarDog |  |  |  | Unknown | [link](https://community.stardog.com/t/stardog-7-8-1-available/3411) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| STERIS | Advantage |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Advantage Plus |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 2000 SERIES WASHER DISINFECTORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 3000 SERIES WASHER DISINFECTORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 400 MEDIUM STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 400 SMALL STEAM STERILIZERS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 5000 SERIES WASHER DISINFECTORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 600 MEDIUM STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO 7000 SERIES WASHER DISINFECTORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO CENTURY MEDIUM STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO CENTURY SMALL STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO EAGLE 3000 SERIES STAGE 3 STEAM STERILIZERS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO EVOLUTION FLOOR LOADER STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | AMSCO EVOLUTION MEDIUM STEAM STERILIZER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Canexis 1.0 |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | CELERITY HP INCUBATOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | CELERITY STEAM INCUBATOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | CER Optima |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Clarity Software |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Connect Software |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | ConnectAssure Technology |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | ConnectoHIS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | CS-iQ Sterile Processing Workflow |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | DSD Edge |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | DSD-201, |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | EndoDry |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Endora |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Harmony iQ Integration Systems |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Harmony iQ Perspectives Image Management System |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | HexaVue |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | HexaVue Integration System |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | IDSS Integration System |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RapidAER |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | ReadyTracker |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RealView Visual Workflow Management System |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RELIANCE 444 WASHER DISINFECTOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RELIANCE SYNERGY WASHER DISINFECTOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RELIANCE VISION 1300 SERIES CART AND UTENSIL WASHER DISINFECTORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RELIANCE VISION MULTI- CHAMBER WASHER DISINFECTOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | RELIANCE VISION SINGLE CHAMBER WASHER DISINFECTOR |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Renatron |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | ScopeBuddy+ |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | SecureCare ProConnect Technical Support Services |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | Situational Awareness for Everyone Display (S.A.F.E.) |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | SPM Surgical Asset Tracking Software |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | SYSTEM 1 endo LIQUID CHEMICAL STERILANT PROCESSING SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | V-PRO 1 LOW TEMPERATURE STERILIZATION SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | V-PRO 1 PLUS LOW TEMPERATURE STERILIZATION SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | V-PRO MAX 2 LOW TEMPERATURE STERILIZATION SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | V-PRO MAX LOW TEMPERATURE STERILIZATION SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | V-PRO S2 LOW TEMPERATURE STERILIZATION SYSTEM |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| STERIS | VERIFY INCUBATOR FOR ASSERT SELF-CONTAINED BIOLOGICAL INDICATORS |  |  | Unknown | [link](https://h-isac.org/wp-content/uploads/2021/12/Steris_Revised-Security-Advisory-For-Apaches-Log4j-12.16.21.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Sterling Order IBM |  |  |  | Unknown | [link](https://www.ibm.com/support/pages/node/6525544) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Storagement |  |  |  | Unknown | [link](https://www.storagement.de/index.php?action=topicofthemonth&amp;site=log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| StormShield |  |  |  | Unknown | [link](https://www.stormshield.com/news/log4shell-security-alert-stormshield-product-response/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| StrangeBee TheHive &amp; Cortex |  |  |  | Unknown | [link](https://blog.strangebee.com/apache-log4j-cve-2021-44228/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Stratodesk |  |  |  | Unknown | [link](http://cdn.stratodesk.com/repository/notouch-center/10/4.5.231/0/ReleaseNotes-Stratodesk-NoTouch_Center-4.5.231.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Strimzi |  |  |  | Unknown | [link](https://strimzi.io/blog/2021/12/14/strimzi-and-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Stripe |  |  |  | Unknown | [link](https://support.stripe.com/questions/update-for-apache-log4j-vulnerability-(cve-2021-44228)) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Styra |  |  |  | Unknown | [link](https://blog.styra.com/blog/newest-log4j-security-vulnerability-cve-2021-44228-log4shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sumologic |  |  |  | Unknown | [link](https://docs.google.com/document/d/e/2PACX-1vSdeODZ2E5k0aZgHm06OJWhDQWgtxxB0ZIrTsuQjg5xaoxlogmTVGdOWoSFtDlZBdHzY6ET6k6Sk-g1/pub) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SumoLogic |  |  |  | Unknown | [link](https://help.sumologic.com/Release-Notes/Collector-Release-Notes#december-11-2021-19-361-12) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Superna EYEGLASS |  |  |  | Unknown | [link](https://manuals.supernaeyeglass.com/project-technical-advisories-all-products/HTML/technical-advisories.html#h2__1912345025) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Suprema Inc |  |  |  | Unknown | [link](https://www.supremainc.com/en/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SUSE |  |  |  | Unknown | [link](https://www.suse.com/c/suse-statement-on-log4j-log4shell-cve-2021-44228-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sweepwidget |  |  |  | Unknown | [link](https://sweepwidget.com/view/23032-v9f40ns1/4zow83-23032) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Swyx |  |  |  | Unknown | [link](https://service.swyx.net/hc/de/articles/4412323539474) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Synchro MSP |  |  |  | Unknown | [link](https://community.syncromsp.com/t/log4j-rce-cve-2021-4428/1350) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Syncplify |  |  |  | Unknown | [link](https://blog.syncplify.com/no-we-are-not-affected-by-log4j-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Synology |  |  |  | Unknown | [link](https://www.synology.com/en-global/security/advisory/Synology_SA_21_30) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Synopsys |  |  |  | Unknown | [link](https://community.synopsys.com/s/article/SIG-Security-Advisory-for-Apache-Log4J2-CVE-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Syntevo |  |  |  | Unknown | [link](https://www.syntevo.com/blog/?p=5240) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| SysAid |  |  |  | Unknown | [link](https://www.sysaid.com/lp/important-update-regarding-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Sysdig |  |  |  | Unknown | [link](https://sysdig.com/blog/cve-critical-vulnerability-log4j/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
