# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| B&amp;R Industrial Automation | APROL |  |  | Not Affected | [link](https://www.br-automation.com/downloads_br_productcatalogue/assets/1639507581859-en-original-1.0.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-16 |
| Backblaze | Cloud |  |  | Fixed | [link](https://help.backblaze.com/hc/en-us/articles/4412580603419) | Cloud service patched. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BackBox | All |  |  | Unknown | [link](https://updates.backbox.com/V6.5/Docs/CVE-2021-44228.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Balbix | All |  |  | Unknown | [link](https://www.balbix.com/blog/broad-exposure-to-log4shell-cve-2021-44228-highlights-how-the-attack-surface-has-exploded/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Baramundi Products | All |  |  | Unknown | [link](https://forum.baramundi.com/index.php?threads/baramundi-produkte-von-log4shell-schwachstelle-in-log4j-nicht-betroffen.12539/#post-62875) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | Demetra |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | Demetra |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | Green Barco Wall Control Manager (gBCM) |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | MediCal QAWeb |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | NexxisOR |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | OpSpace |  | 1.8 - 1.9.4.1 | Fixed | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barco | Transform N (TFN) |  |  | Not Affected | [link](https://www.barco.com/en/support/knowledge-base/kb12495) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Barracuda | All |  |  | Unknown | [link](https://www.barracuda.com/company/legal/trust-center) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Basis Technology | Autopsy |  | 4.18.0 onwards | Fixed | [link](https://www.autopsy.com/autopsy-and-log4j-vulnerability/) | version 4.18.0 onwards use Apache Solr 8. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Baxter | All |  |  | Unknown | [link](https://www.baxter.com/sites/g/files/ebysai746/files/2021-12/Apache_Log4j_Vulnerability.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BBraun | APEX Compounder |  |  | Not Affected | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BBraun | DoseTrac Server, DoseLink Server, and Space® Online Suite Server software |  | All | Fixed | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BBraun | Outlook Safety Infusion System Pump family |  |  | Not Affected | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BBraun | Pinnacle Compounder |  |  | Not Affected | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BBraun | Pump, SpaceStation, and Space Wireless Battery |  |  | Not Affected | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BBraun | Space Infusion Pump family (Infusomat Space Infusion Pump, Perfusor Space Infusion |  |  | Not Affected | [link](https://www.bbraunusa.com/content/dam/b-braun/us/website/customer_communications/21-0894C_Statement_Cybersecurity_Apache_Log4J_Sheet_FINAL_121621.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| BCT | BerichtenCentrale (BCE) &amp; Integrations |  |  | Not Affected | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BCT | CORSA |  |  | Not Affected | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BCT | e-Invoice |  | 2.10.210 | Fixed | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BCT | IDT |  |  | Not Affected | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BCT | iGEN |  |  | Not Affected | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BCT | LIBER |  | 1.125.3 | Fixed | [link](https://support.bctsoftware.com/hc/nl/signin?return_to=https%3A%2F%2Fsupport.bctsoftware.com%2Fhc%2Fnl%2Farticles%2F4413416591761) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris CC Plus Guardrails Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris CC Plus Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris Enteral Plus Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris Gateway Workstation |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris GP Plus Guardrails Volumetric Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris GP Plus Volumetric Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris PK Plus Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris Technical Utility (ATU) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris TiVA Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Alaris VP Plus Guardrails Volumetric Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Accuri C6 Plus |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Action Manager |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Auto-ID Module Model |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Communications Engine |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris CQI Event Reporter |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Guardrails Editor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Infusion Central |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris neXus CC Syringe Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris neXus Editor v5.0 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris neXus GP Volumetric Pump |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris PCA Module Model 8120 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Plus Editor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Point-of-Care Software |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Point-of-Care Unit (PCU) Model 8015 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Pump Module Model 8100 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Syringe Module Model 8110 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris System Mainetnance |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Alaris Systems Manager |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Arctic Sun Analytics |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC 9050 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC 9120 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC 9240 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC FX |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC FX40 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD BACTEC MGIT |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Care Coordination Engine (CCE) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Cato |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD COR |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Diabetes Care App Cloud |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD EpiCenter |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACS Lyse Wash Assistant |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACS Sample Prep Assistant (SPA) III |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACS Workflow Manager |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSAria Fusion |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSAria II |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSAria III |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCalibur |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCanto 10-color |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCanto 10-color clinical |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCanto II (w Diva 9.0) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCanto II clinical |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCelesta |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSCount |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSDuet |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSLink |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSLyric |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSMelody |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSPresto |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSVerse |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSVia |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSymphony A1 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSymphony A3 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSymphony A5 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD FACSymphony S6 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HD Check System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Clinical Advisor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Data Manager |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Diversion Management |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Infection Advisor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Inventory Optimization Analytics |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD HealthSight Medication Safety |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Intelliport |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Intelliport |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Intelliport Medication Management System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Inventory Connect |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Kiestra InoquIA |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Kiestra InoquIA+ |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Knowledge Portal for BD Pyxis Supply |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Knowledge Portal for Infusion Technologies |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Knowledge Portal for Medication Technologies |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD MAX |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Phoenix 100 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Phoenix AP |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Phoenix M50 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Prevue II Peripheral Vascular Access System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Probetec |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Anesthesia Station 4000 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Anesthesia Station ES |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis CIISafe |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis CUBIE System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis ES System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis IV Prep |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Logistics (Pyxis Pharmogistics) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Med Link Queue &amp; Waste |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis MedBank |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis MedStation 4000 System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Medstation ES |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Order Viewer |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis ParAssist |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis PARx |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis PharmoPack |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis RapidRx |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis ReadyMed |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis SupplyStation |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Tissue &amp; Implant Management System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Pyxis Track and Deliver |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD ReadyMed |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Remote Support Services (RSS) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rhapsody Single-Cell Analysis System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa Dose (Windows 10 platform) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa Dose (Windows 7 Workstations only) |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa Pouch Packaging Systems |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa ProLog |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa Smart |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Rowa Vmax |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Sensica Urine Output System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Site~Rite 8 Ultrasound Systems |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Synapsys Informatics Solution |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Totalys DataLink |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Totalys Multiprocessor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Totalys SlidePrep |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Veritor |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Veritor COVID At Home Solution Cloud |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Viper LT |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | BD Viper XTR |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | CoreLite |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | EnCor Enspire Breast Biopsy System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | EnCor Ultra Breast Biopsy System |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | FlowJo Portal |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | FlowJo Software |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Influx |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | LSRFortessa |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | LSRFortessa X-20 |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | PleurX |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | QUANTAFLO Peripheral Arterial Disease Test |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Restock Order |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | SeqGeq Software |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Sherlock 3CG Standalone Tip Confirmation Systems |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Site~Rite PICC Ultrasound Systems |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Site~Rite Prevue Plus Ultrasound Systems |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| BD | Specimen Collection Verification |  |  | Not Affected | [link](https://cybersecurity.bd.com/bulletins-and-patches/third-party-vulnerability-apache-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-20 |
| Beckman Coulter | Access 2 (Immunoassay System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Ac•T 5diff (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Ac•T Family (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU2700 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU480 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU5400 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU5800 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU640 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AU680 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AutoMate 1200 (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AutoMate 1250 (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AutoMate 2500 (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | AutoMate 2550 (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxA 5000 (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxA 5000 Fit (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 500 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 520 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 560 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 600 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 690T (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 800 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH 900 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH SMS (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxH SMS II (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxM Autoplak (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxM WalkAway 1040 (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxM WalkAway 1096 (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxONE Command Central (Information Systems) |  | All | Fixed | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) | Customers can follow instructions to remove log4j |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxONE Insights (Information Systems) |  |  | Fixed | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) | Patch has been applied. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxONE Inventory Manager (Information Systems) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxONE Workflow Manager (Information Systems) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxU Workcell (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxUc (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | DxUm (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | HighFlexX Software (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | HmX (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | HmX AL (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | iChemVELOCITY (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | IMMAGE 800 (Nephelometry) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Intelligent Sample Banking ISB (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Ipaw (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | iQ Workcell (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | iQ200 (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | iRICELL (Urinalysis) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LabPro Workstation and Database Computers Provided by Beckman Coulter (Microbiology) | All |  | Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) | The only known instance of vulnerability due to Log4J is using Axeda services |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH 500 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH Slidemaker (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH Slidestraine (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH750 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH780 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | LH785 (Hematology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | MicroScan autoSCAN-4 (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | PK7300 (Blood Bank) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | PK7400 (Blood Bank) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Power Express (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Power Link (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Power Processor (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | PROService (Information Systems) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | RAP Box (Information Systems) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | REMISOL ADVANCE (Information Systems) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Sorting Drive (Lab Automation) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Unicel DxC 600 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Unicel DxC 800 (Chemistry System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Unicel DxI 600 (Immunoassay System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | Unicel DxI 800 (Immunoassay System) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | WalkAway 40 plus (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | WalkAway 40 SI (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | WalkAway 96 plus (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beckman Coulter | WalkAway 96 SI (Microbiology) |  |  | Not Affected | [link](https://www.beckmancoulter.com/en/about-beckman-coulter/product-security/product-security-updates) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-31 |
| Beijer Electronics | acirro+ |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | BFI frequency inverters |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | BSD servo drives |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | CloudVPN |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | FnIO-G and M Distributed IO |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | iX Developer |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | Nexto modular PLC |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | Nexto Xpress compact controller |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Beijer Electronics | WARP Engineering Studio |  |  | Unknown | [link](https://www05.beijerelectronics.com/en/news---events/news/2021/Important___information___regarding___Log4Shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Belden | Hirschmann Networking Devices and Software Tools |  |  | Not Affected | [link](https://hirschmann-support.belden.com/file.php/18672XKMWSCRYGG186719202C5BA4/Hirschmann_Statement_Log4j_Vulnerability_Dec2021.pdf) | Hirschmann is a brand of Belden. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Bender | All |  |  | Unknown | [link](https://www.bender.de/en/cert) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Best Practical | Request Tracker (RT) |  |  | Not Affected | [link](https://bestpractical.com/blog/2021/12/request-tracker-rt-and-request-tracker-for-incident-response-rtir-do-not-use-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Best Practical | Request Tracker for Incident Response (RTIR) |  |  | Not Affected | [link](https://bestpractical.com/blog/2021/12/request-tracker-rt-and-request-tracker-for-incident-response-rtir-do-not-use-log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BeyondTrust | Privilege Management Cloud |  |  | Fixed | [link](https://www.beyondtrust.com/blog/entry/security-advisory-apache-log4j2-cve-2021-44228-log4shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| BeyondTrust | Privilege Management Reporting in BeyondInsight |  | 21.2 | Fixed | [link](https://www.beyondtrust.com/blog/entry/security-advisory-apache-log4j2-cve-2021-44228-log4shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| BeyondTrust | Secure Remote Access appliances |  |  | Not Affected | [link](https://www.beyondtrust.com/blog/entry/security-advisory-apache-log4j2-cve-2021-44228-log4shell) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| BigBlueButton | All |  |  | Not Affected | [link](https://github.com/bigbluebutton/bigbluebutton/issues/13897) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| BioJava | All |  |  | Fixed | [link](https://github.com/biojava/biojava/releases/tag/biojava-6.0.4) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| BioMerieux | All |  |  | Unknown | [link](https://www.biomerieux.com/en/cybersecurity-data-privacy) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| BisectHosting | All |  |  | Unknown | [link](https://www.bisecthosting.com/clients/index.php?rp=/knowledgebase/205/Java-Log4j-Vulnerability.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BitDefender | GravityZone On-Prem |  |  | Not Affected | [link](https://businessinsights.bitdefender.com/security-advisory-bitdefender-response-to-critical-0-day-apache-log4j2-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BitNami By VMware |  |  |  | Fixed | [link](https://docs.bitnami.com/general/security/security-2021-12-10/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BitRise | All |  |  | Unknown | [link](https://blog.bitrise.io/post/bitrises-response-to-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Bitwarden | All |  |  | Not Affected | [link](https://community.bitwarden.com/t/log4j-log4shell-cve-is-bitwarden-affected-due-to-docker-image/36177/2) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Biztory | Fivetran |  |  | Not Affected | [link](https://www.biztory.com/blog/apache-log4j2-vulnerability) |  | Vendor review indicated Fivetran is not vulnerable to Log4j2 | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Black Kite | All |  |  | Unknown | [link](https://blackkite.com/log4j-rce-vulnerability-log4shell-puts-millions-at-risk/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BlackBerry | 2FA |  | All | Fixed | [link](https://login.blackberry.com/sso/SSORedirect/metaAlias/idp?SAMLRequest=fZNdc6owEIb%2FCpN7JFIqlal2KKio%2BFGgar05EyCWKCRAgqK%2F%2FlA9zvT0ojuzF5l9s%2B9u5snzS52l0hGXnDDaA%2B0WBBKmEYsJ%2FeyB92AoP4GX%2FjNHWZobZiUS6uGiwlxIzT3KjWuhB6qSGgxxwg2KMswNERm%2BOXMNtQWNvGSCRSwFksk5LkVjZDHKqwyXPi6PJMLvntsDiRA5NxSFV3nOStEKUxQdQlyW51bEMqXJrKJEnJWUfRL6wlkPQvuhA68Rdi8XINnNXIQicV3l3u8q%2F9mNc6b4%2FsLDMSlxJJQMC2SmBHGFxDmQxnYP%2FFEts4mNvEhOfDSzzdPP%2FCrr9vFjMig0OBtGswiZ52H6mK9Gbtev5FnViZ2HV3dnV3lSOPvSn2YCboaeFV5Q4Yx2K%2FQ%2B1RcPUzWin0%2F7j%2FlEI1OtULfqpNnC8arkIjaD3X6%2BtlVvF8JJvQqznJlx4MfWIQuC1HJhklLH1m2vA9PHbjgSaB2K3YbND5a3X2%2BLfD48DbofVaIlfBSiLt5qS67P6pW87%2FD4SAaqfDzVzLbrQWGdhq7pkG6AdNt0k4ofMj1Zs7Jeio4%2FpuQURwMtHC%2BdGtZvRVD7Vg7jt%2Ba1OK%2FwmHKBqOgBFaqqDFW5%2FRi0dQO2DbXb0qC6BdLyHwivhN7w%2Bo2a8CbihhMES3m58AMgre6YNgJwg9K4mpffaPy9LbojCPp3QL6hkZ1bHKWY71gZ4S9QnpVvJv3b6f9%2F0P8L&amp;RelayState=%2Fcommunity%2Fs%2Farticle%2F90708&amp;SigAlg=http%3A%2F%2Fwww.w3.org%2F2001%2F04%2Fxmldsig-more%23rsa-sha256&amp;Signature=ThznbsjgVwDX5E2fOcNREcaH%2FaSSD9EIp6MP3c9O9BRVFL%2BETG3n1WQKapplpISRgUkLEs2XvRpJ4%2FfEmynkr5laH4rrAIgMNL%2FauqYIGWvzbdzfp44PkOGUBkHxgo52GjhshHBPyHqJjnvzIoNyIK2zhDBQXevq9etV7wnX7SprJpHX%2B6Ivskj5wAXJzi9SiMafMvUiUFyVq9YBhzd2ZpiTyiYia%2Bdgq4Z74sUIqOyz6bn2KjCKT%2FMqeFqyYYp5JU9CnQk%2BHAH2juQU%2F8MlrGtrRRtgf6fACGMOGria0Vu1wUDwnJiSdI%2BZSzShr%2Fg6Cl9mfaKuTItwlxiqQlbx7hvHEhgg2SNqyrRnJDzpYImSeIMjgHuUy2Iaf6O6J90GdKF4%2BDkCpyXVsm%2FkZhBA6D7uo9rj8tPfE7ml6Njhm9pFZxjuicbCI%2F4Zj66aC52RlpUZwlMgS2HpXOdbILUX8H2FXnm%2FCjDHEDGv49HusCmQehes1g0LzTXXwKkC1hWOYjwWb8uxNneaR0e552R6fjRns%2B2kG04C%2B8COLbJ7v7s3WlUDGBN%2BUa%2BE5q0QNpIYmIW1daXmOx%2FXRBoBdBwWZ1b3GtaBmRiEarb4rF1DgKa9P3SdQBb1M6SvjprcyHRtai7AxnIBW1KMFWB6mETzESVSFwO5KA80co5Aau7HfhM%3D) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BlackBerry | Enterprise Mobility Server |  | 2.12 and above | Fixed | [link](https://login.blackberry.com/sso/SSORedirect/metaAlias/idp?SAMLRequest=fZNdc6owEIb%2FCpN7JFIqlal2KKio%2BFGgar05EyCWKCRAgqK%2F%2FlA9zvT0ojuzF5l9s%2B9u5snzS52l0hGXnDDaA%2B0WBBKmEYsJ%2FeyB92AoP4GX%2FjNHWZobZiUS6uGiwlxIzT3KjWuhB6qSGgxxwg2KMswNERm%2BOXMNtQWNvGSCRSwFksk5LkVjZDHKqwyXPi6PJMLvntsDiRA5NxSFV3nOStEKUxQdQlyW51bEMqXJrKJEnJWUfRL6wlkPQvuhA68Rdi8XINnNXIQicV3l3u8q%2F9mNc6b4%2FsLDMSlxJJQMC2SmBHGFxDmQxnYP%2FFEts4mNvEhOfDSzzdPP%2FCrr9vFjMig0OBtGswiZ52H6mK9Gbtev5FnViZ2HV3dnV3lSOPvSn2YCboaeFV5Q4Yx2K%2FQ%2B1RcPUzWin0%2F7j%2FlEI1OtULfqpNnC8arkIjaD3X6%2BtlVvF8JJvQqznJlx4MfWIQuC1HJhklLH1m2vA9PHbjgSaB2K3YbND5a3X2%2BLfD48DbofVaIlfBSiLt5qS67P6pW87%2FD4SAaqfDzVzLbrQWGdhq7pkG6AdNt0k4ofMj1Zs7Jeio4%2FpuQURwMtHC%2BdGtZvRVD7Vg7jt%2Ba1OK%2FwmHKBqOgBFaqqDFW5%2FRi0dQO2DbXb0qC6BdLyHwivhN7w%2Bo2a8CbihhMES3m58AMgre6YNgJwg9K4mpffaPy9LbojCPp3QL6hkZ1bHKWY71gZ4S9QnpVvJv3b6f9%2F0P8L&amp;RelayState=%2Fcommunity%2Fs%2Farticle%2F90708&amp;SigAlg=http%3A%2F%2Fwww.w3.org%2F2001%2F04%2Fxmldsig-more%23rsa-sha256&amp;Signature=ThznbsjgVwDX5E2fOcNREcaH%2FaSSD9EIp6MP3c9O9BRVFL%2BETG3n1WQKapplpISRgUkLEs2XvRpJ4%2FfEmynkr5laH4rrAIgMNL%2FauqYIGWvzbdzfp44PkOGUBkHxgo52GjhshHBPyHqJjnvzIoNyIK2zhDBQXevq9etV7wnX7SprJpHX%2B6Ivskj5wAXJzi9SiMafMvUiUFyVq9YBhzd2ZpiTyiYia%2Bdgq4Z74sUIqOyz6bn2KjCKT%2FMqeFqyYYp5JU9CnQk%2BHAH2juQU%2F8MlrGtrRRtgf6fACGMOGria0Vu1wUDwnJiSdI%2BZSzShr%2Fg6Cl9mfaKuTItwlxiqQlbx7hvHEhgg2SNqyrRnJDzpYImSeIMjgHuUy2Iaf6O6J90GdKF4%2BDkCpyXVsm%2FkZhBA6D7uo9rj8tPfE7ml6Njhm9pFZxjuicbCI%2F4Zj66aC52RlpUZwlMgS2HpXOdbILUX8H2FXnm%2FCjDHEDGv49HusCmQehes1g0LzTXXwKkC1hWOYjwWb8uxNneaR0e552R6fjRns%2B2kG04C%2B8COLbJ7v7s3WlUDGBN%2BUa%2BE5q0QNpIYmIW1daXmOx%2FXRBoBdBwWZ1b3GtaBmRiEarb4rF1DgKa9P3SdQBb1M6SvjprcyHRtai7AxnIBW1KMFWB6mETzESVSFwO5KA80co5Aau7HfhM%3D) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BlackBerry | Workspaces On-Prem Server |  | All | Fixed | [link](https://login.blackberry.com/sso/SSORedirect/metaAlias/idp?SAMLRequest=fZNdc6owEIb%2FCpN7JFIqlal2KKio%2BFGgar05EyCWKCRAgqK%2F%2FlA9zvT0ojuzF5l9s%2B9u5snzS52l0hGXnDDaA%2B0WBBKmEYsJ%2FeyB92AoP4GX%2FjNHWZobZiUS6uGiwlxIzT3KjWuhB6qSGgxxwg2KMswNERm%2BOXMNtQWNvGSCRSwFksk5LkVjZDHKqwyXPi6PJMLvntsDiRA5NxSFV3nOStEKUxQdQlyW51bEMqXJrKJEnJWUfRL6wlkPQvuhA68Rdi8XINnNXIQicV3l3u8q%2F9mNc6b4%2FsLDMSlxJJQMC2SmBHGFxDmQxnYP%2FFEts4mNvEhOfDSzzdPP%2FCrr9vFjMig0OBtGswiZ52H6mK9Gbtev5FnViZ2HV3dnV3lSOPvSn2YCboaeFV5Q4Yx2K%2FQ%2B1RcPUzWin0%2F7j%2FlEI1OtULfqpNnC8arkIjaD3X6%2BtlVvF8JJvQqznJlx4MfWIQuC1HJhklLH1m2vA9PHbjgSaB2K3YbND5a3X2%2BLfD48DbofVaIlfBSiLt5qS67P6pW87%2FD4SAaqfDzVzLbrQWGdhq7pkG6AdNt0k4ofMj1Zs7Jeio4%2FpuQURwMtHC%2BdGtZvRVD7Vg7jt%2Ba1OK%2FwmHKBqOgBFaqqDFW5%2FRi0dQO2DbXb0qC6BdLyHwivhN7w%2Bo2a8CbihhMES3m58AMgre6YNgJwg9K4mpffaPy9LbojCPp3QL6hkZ1bHKWY71gZ4S9QnpVvJv3b6f9%2F0P8L&amp;RelayState=%2Fcommunity%2Fs%2Farticle%2F90708&amp;SigAlg=http%3A%2F%2Fwww.w3.org%2F2001%2F04%2Fxmldsig-more%23rsa-sha256&amp;Signature=ThznbsjgVwDX5E2fOcNREcaH%2FaSSD9EIp6MP3c9O9BRVFL%2BETG3n1WQKapplpISRgUkLEs2XvRpJ4%2FfEmynkr5laH4rrAIgMNL%2FauqYIGWvzbdzfp44PkOGUBkHxgo52GjhshHBPyHqJjnvzIoNyIK2zhDBQXevq9etV7wnX7SprJpHX%2B6Ivskj5wAXJzi9SiMafMvUiUFyVq9YBhzd2ZpiTyiYia%2Bdgq4Z74sUIqOyz6bn2KjCKT%2FMqeFqyYYp5JU9CnQk%2BHAH2juQU%2F8MlrGtrRRtgf6fACGMOGria0Vu1wUDwnJiSdI%2BZSzShr%2Fg6Cl9mfaKuTItwlxiqQlbx7hvHEhgg2SNqyrRnJDzpYImSeIMjgHuUy2Iaf6O6J90GdKF4%2BDkCpyXVsm%2FkZhBA6D7uo9rj8tPfE7ml6Njhm9pFZxjuicbCI%2F4Zj66aC52RlpUZwlMgS2HpXOdbILUX8H2FXnm%2FCjDHEDGv49HusCmQehes1g0LzTXXwKkC1hWOYjwWb8uxNneaR0e552R6fjRns%2B2kG04C%2B8COLbJ7v7s3WlUDGBN%2BUa%2BE5q0QNpIYmIW1daXmOx%2FXRBoBdBwWZ1b3GtaBmRiEarb4rF1DgKa9P3SdQBb1M6SvjprcyHRtai7AxnIBW1KMFWB6mETzESVSFwO5KA80co5Aau7HfhM%3D) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Blancco | All |  |  | Unknown | [link](https://support.blancco.com/display/NEWS/2021/12/12/CVE-2021-44228+-+Critical+vulnerability+in+Apache+Log4j+library) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Bluemind | All |  |  | Not Affected | [link](https://twitter.com/bluemind/status/1470379923034578946?s=20A) | This advisory is available to customer only and has not been reviewed by CISA. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Blumira | All |  |  | Unknown | [link](https://www.blumira.com/cve-2021-44228-log4shell/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | 3270 SUPEROPTIMIZER/CI |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | 3270 SUPEROPTIMIZER/CICS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Application Restart Control for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Application Restart Control for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Application Restart Control for VSAM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Bladelogic Database Automation |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Apptune for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Backup and Recovery for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Batch Optimizer |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Capacity Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Catalog Manager for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Catalog Manager for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Change Manager for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Change Manager for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Change Manager for IMS for DBCTL |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Change Manager for IMS TM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Change Manager Virtual Terminal for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Check for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Command Center for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Command Center for Security |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Console Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Copy for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Cost Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Data Packer for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Database Administration for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Database Advisor for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Database Performance for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Datastream for Ops |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for McAfee DAM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for Ops Insight |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for z/Linux |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for z/OS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender for z/OS GSIP Package |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender TCP/IP Receiver |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Defender z/VM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI DevOps for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Energizer for IMS Connect |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Enterprise Connector |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Extended Terminal Assist for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Indexer for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Online Analyzer for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Online Image Copy for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Online Reorg for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Online Restructure for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Recovery for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Fast Path Restart for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Integrity for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Large Object Management for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Load for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI LOBMaster for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Log Analyzer for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Log Master for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Message Advisor for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Online Reorg for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Automation |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Automation for Capping |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Common Rest API (CRA) |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops for Networks |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Infrastructure (MVI) - CRA |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Insight |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for CICS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for CMF |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for IMS Offline |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for IMS Online |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for IP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for JE |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for MQ |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for USS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for WAS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor for z/OS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops Monitor SYSPROG Services |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Ops UI |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Partitioned Database Facility for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Pointer Checker for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Pool Advisor for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Recover for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Recovery for VSAM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Recovery Manager for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Reorg for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Reorg for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Security Administrator |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Security Policy Manager |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Security Privileged Access Manager (BMC AMI Security Breakglass) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Security Self Service Password Reset |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI SQL Explorer for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI SQL Performance for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Stats for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Storage |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Unload for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Utility Mangement for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Utility Mangemer for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC AMI Utlities for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Application Accelerator for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Check Plus for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Client Gateway (Kaazing) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Client Management |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Abend-Aid |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Application Audit |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware DevEnterprise |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Enterprise Common Components (ECC) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Enterprise Services (CES) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID Data Privacy |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID Data Solutions |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID/MVS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware File-AID/RDX |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Hiperstation ALL Product Offerings |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware ISPW |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware iStrobe |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Program Analyzer |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Storage Backup and Recovery |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Storage Migration |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Storage Performance |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Strobe |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware ThruPut Manager |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Connect (including NXPromote) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Enterprise Data |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz for Java Performance |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz for Total Test |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Program Analysis |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Workbench |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Xpediter/CICS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Xpediter/Code Coverage |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Xpediter/TSO and IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz Xpediter/Xchange |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Compuware Topaz zAdviser |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC COPE for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC DASD Manger for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Database Recovery Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Db2 Plus Utilities |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender Agent Configuration Manager |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender Agent for SAP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender Agent for Unix/Linux |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender Agent for Windows |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender App for Splunk |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender SIEM Correlation Server |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender SIEM for Motorola |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender SIEM for NNT |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender SyslogDefender |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Defender Windows Agent for Splunk |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Digital Workplace Advanced (DWPA) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Digital Workplace Basic (DWP) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Digital Workplace Catalog (DWPC) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Discovery |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Discovery for z/OS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Business Workflows |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Continuous Optimization (REE) |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Continuous Optimization - Agents |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Data Manager |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Discovery |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Discovery Outpost |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix ITSM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix ITSM |  | 21.x | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Knowledge Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Helix Platform |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC License Usage Collection Utility |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC LOADPLUS for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MainView Explorer |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MainView Middleware Administrator |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MainView Middleware Monitor |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MainView Transaction Analyzer |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MainView Vistapoint &amp; Energizer |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MAXM Reorg for IMS with Online/Defrag Feature |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MAXM Reorg/EP for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC MAXM Reorg/EP for IMS with Online/Defrag Feature |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Next Generation Logger (NGL) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Opertune for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC PATROL Agent |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC PATROL Agent (TSOM &amp; BHOM) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC PATROL for Linux KM |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC PATROL for Sybase |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC PATROL Knowledge Modules - PATROL KM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) | Except Sybase and Linux |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Plus Utilities |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy AR System |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy CMDB |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy ITSM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy Mid-Tier |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy SLM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy Smart Reporting |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy SmartIT |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Remedy SRM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Reorg Plus for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC RSSO Agent |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC RSSO Auth Proxy |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC RSSO DataTransfer Tool |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC RSSO Server |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Runtime Component System (RTCS) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Automation Console |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Automation for Networks |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Automation for Servers - Data Wharehouse |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Capacity Optimization |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Capacity Optimization - Agents |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Operations Management - App Visibility Manager |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Operations Management - Infrastructure Management |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Operations Management - IT Data Analytics |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Operations Management - Presenttion Server |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Operations Management Reporting |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Orchestration |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Server Automation |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Smart Reporting |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Smart Reporting Platform |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TrueSight Vulnerability Management |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC TSCO for Mainframes |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC Unload Plus for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | BMC User Interface Middleware (UIM) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Change Accumulation Plus |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Concurrent Reorg Facility |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Conditional Image Copy |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Control-M |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | DASD Manager Plus for Db2 |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Data Accelerator Compression |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Delta IMS DB/DC |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Delta IMS Virtual Terminal |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | ExceptionReporter |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Extended Buffer Manager |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Fast Path Analyzer/EP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Fast Path Facility |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Fast Path Facility/EP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Fast Path Reorg/EP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FASTCOPY |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FASTCPK |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDR |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDR/UPSTREAM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRABR |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRERASE |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRMOVE |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRPAS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRPASVM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | FDRREORG |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Footprints |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | IAM |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Image Copy Plus |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | LOADPLUS for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | LOADPLUS/EP for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Local Copy Plus |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Partner KMs Hardware Sentry Open Telemetry Collector |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Partner KMs Storage All-in-One ETL for BMC Truesight Capacity Optimization |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Partner KMs Storage Analyzer for PATROL |  |  | Fixed | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Prefix Resolution Plus |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Prefix Update for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Recovery Advisor for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Recovery Manager for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Recovery Plus for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Release Package and Deployment |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Release Process Management |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Resident Security Server |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Secondary Index Utility |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Secondary Index Utility/EP |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Snapshot Upgrade Feature |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | Track-It! |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | ULTRAOPT/CICS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | ULTRAOPT/IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | UNLOAD PLUS for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | UNLOAD PLUS/EP for IMS |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | UXF for IMS (non product) |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BMC | zDetect |  |  | Not Affected | [link](https://community.bmc.com/s/news/aA33n000000TSUdCAO/bmc-security-advisory-for-cve202144228-log4shell-vulnerability) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Bosch | Bosch IoT Gateway |  | 3.7.0 | Fixed | [link](https://psirt.bosch.com/security-advisories/bosch-sa-572602.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Bosch | Bosch IoT Suite |  |  | Fixed | [link](https://bosch-iot-suite.com/news/apache-log4j-rce-vulnerability/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Bosch | Bosch Other Products |  |  | Not Affected | [link](https://www.boschsecurity.com/xc/en/support/product-security/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Bosch | Bosch PRAESENSA PRA-APAS |  | 1.0.32 | Fixed | [link](https://media.boschsecurity.com/fs/media/pb/security_advisories/BOSCH-SA-993110-BT.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | Heart Connect Tablet |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Clarity |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Classic |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Communicators |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Consult |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE EMR Secure Courier Client |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Link |  | 6215 | Fixed | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) | Customer action needed to secure customer system. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE NXT |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LATITUDE Programmer &amp; Apps |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | LUX-Dx Clinic Assistant App |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | MyLATITUDE Patient App |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | myLUX Patient App |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Boston Scientific | ZOOM Programmers &amp; Apps |  |  | Not Affected | [link](https://www.bostonscientific.com/en-US/customer-service/product-security/product-security-information.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| Box | All |  |  | Unknown | [link](https://blog.box.com/boxs-statement-recent-log4j-vulnerability-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Brainworks | All |  |  | Unknown | [link](https://www.brainworks.de/log4j-exploit-kerio-connect-workaround/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| BrightSign | All |  |  | Unknown | [link](https://brightsign.atlassian.net/wiki/spaces/DOC/pages/370679198/Security+Statement+Log4J+Meltdown+and+Spectre+Vulnerabilities#SecurityStatement%3ALog4J%2CMeltdownandSpectreVulnerabilities-JavaApacheLog4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Advanced Secure Gateway (ASG) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Automic Automation |  |  | Fixed | [link](https://knowledge.broadcom.com/external/article?articleId=230308) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | BCAAA |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | CA Advanced Authentication |  | 9.1, 9.1.01, 9.1.02 | Fixed | [link](https://knowledge.broadcom.com/external/article?articleId=230308) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | CA Risk Authentication |  |  | Fixed |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | CA Strong Authentication |  |  | Fixed |  |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Cloud Workload Assurance (CWA) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) | The complete remediation was deployed on Dec 23. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Cloud Workload Protection (CWP) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) | The complete remediation was deployed on Dec 23. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Cloud Workload Protection for Storage (CWP:S) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) | The complete remediation was deployed on Dec 23. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | CloudSOC Cloud Access Security Broker (CASB) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Content Analysis (CA) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Critical System Protection (CSP) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Data Center Security (DCS) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Data Loss Prevention (DLP) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Email Security Service (ESS) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Ghost Solution Suite (GSS) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | HSM Agent |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Industrial Control System Protection (ICSP) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Information Centric Analytics (ICA) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Information Centric Tagging (ICT) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Integrated Cyber Defense Exchange (ICDx) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Integrated Cyber Defense Manager (ICDm) |  |  | Unknown | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Integrated Secure Gateway (ISG) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Intelligence Services |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | IT Analytics (ITA) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | IT Management Suite |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Layer7 API Developer Portal |  | 4.4, 4.5, 5.0, 5.0 CR1, 5.0.2, 5.0.2.1 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Layer7 API Developer Portal SaaS |  | 5.0.3 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Layer7 API Gateway |  | 9.4, 10.0, 10.1 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Layer7 Live API Creator |  | 5.4, 5.1 - 5.3 (EOS) | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Layer7 Mobile API Gateway |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | LiveUpdate Administrator (LUA) |  | 2.3.10 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Management Center (MC) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Mirror Gateway |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | PacketShaper (PS) S-Series |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | PolicyCenter (PC) S-Series |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Privileged Access Manager |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Privileged Access Manager Server Control |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Privileged Identity Manager |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | ProxySG |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Reporter |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Secure Access Cloud (SAC) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Security Analytics (SA) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | ServiceDesk |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | SiteMinder (CA Single Sign-On) |  | 12.8.x Policy Server, 12.8.04 or later Administrative UI, 12.8.x Access Gateway, 12.8.x SDK, 12.7 ASA Agents, 12.8 ASA Agents | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | SSL Visibility (SSLV) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Advanced Authentication |  | 9.1, 9.1.01, 9.1.02 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Control Compliance Suite (CCS) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Directory |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Detection and Response (EDR) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Detection and Response (EDR) On-Prem |  | 4.6.0, 4.6.5, 4.6.7, 4.6.8 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Encryption (SEE) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Protection (SEP) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Protection (SEP) for Mobile |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Protection Manager (SEPM) |  | 14.3 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Endpoint Security (SES) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Identity Governance and Administration (IGA) |  | 14.2, 14.3, 14.4 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Mail Security for Microsoft Exchange (SMSMSE) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Messaging Gateway (SMG) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec PGP Solutions |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Privileged Access Manager (PAM) |  | 3.4.6, 4.0, 4.0.1 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Privileged Access Manager (PAM) Server Control |  | 14.1 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Privileged Identity Manager (PIM) |  | 12.9.x, 14.0 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Protection Engine (SPE) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec Protection for SharePoint Servers (SPSS) |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Symantec VIP |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Threat Defense for Active Directory (TDAD) |  | 3.6.2.4 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | VIP |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | VIP Authentication Hub |  | 1.0 | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Web Isolation (WI) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Web Isolation (WI) Cloud |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Web Security Service (WSS) |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | Web Security Service (WSS) Reporting |  |  | Fixed | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | WebFilter |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Broadcom | WebPulse |  |  | Not Affected | [link](https://support.broadcom.com/security-advisory/content/security-advisories/Symantec-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/SYMSA19793) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
