# CISA Log4j (CVE-2021-44228) Affected Vendor & Software List #

[0-9](software_list_Non-Alphabet.md) [A](software_list_A.md) [B](software_list_B.md)
[C](software_list_C.md) [D](software_list_D.md) [E](software_list_E.md)
[F](software_list_F.md) [G](software_list_G.md) [H](software_list_H.md)
[I](software_list_I.md) [J](software_list_J.md) [K](software_list_K.md)
[L](software_list_L.md) [M](software_list_M.md) [N](software_list_N.md)
[O](software_list_O.md) [P](software_list_P.md) [Q](software_list_Q.md)
[R](software_list_R.md) [S](software_list_S.md) [T](software_list_T.md)
[U](software_list_U.md) [V](software_list_V.md) [W](software_list_W.md)
[X](software_list_X.md) [Y](software_list_Y.md) [Z](software_list_Z.md)

## Status Descriptions ##

| Status | Description |
| ------ | ----------- |
| Unknown | Status unknown. Default choice. |
| Affected | Reported to be affected by CVE-2021-44228. |
| Not Affected | Reported to NOT be affected by CVE-2021-44228 and no further action necessary. |
| Fixed | Patch and/or mitigations available (see provided links). |
| Under Investigation | Vendor investigating status. |

## Software List ##

This list has been populated using information from the following sources:

- Kevin Beaumont
- SwitHak
- National Cyber Security Centre - Netherlands (NCSC-NL)

NOTE: This file is automatically generated. To submit updates, please refer to
[`CONTRIBUTING.md`](CONTRIBUTING.md).

| Vendor | Product | Affected Versions | Patched Versions | Status | Vendor Links | Notes | References | Reporter | Last Updated |
| ------ | ------- | ----------------- | ---------------- | ------ | ------------ | ----- | ---------- | -------- | ------------ |
| WAGO | WAGO Smart Script |  | 4.2.x &lt; 4.8.1.3 | Fixed | [link](https://www.wago.com/de/automatisierungstechnik/psirt#log4j) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-17 |
| Wallarm | All |  |  | Unknown | [link](https://lab.wallarm.com/cve-2021-44228-mitigation-update/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Wasp Barcode technologies | All |  |  | Unknown | [link](https://support.waspbarcode.com/kb/articles/assetcloud-inventorycloud-are-they-affected-by-the-java-exploit-log4j-no) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Watcher | All |  |  | Not Affected | [link](https://twitter.com/felix_hrn/status/1470387338001977344) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | AuthPoint |  | Cloud | Fixed | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | Dimension |  |  | Not Affected | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | EDPR and Panda AD360 |  |  | Not Affected | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | Firebox |  |  | Not Affected | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | System Manager, Dimension, and Panda AD360 |  |  | Not Affected | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | Threat Detection and Response |  | Cloud | Fixed | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WatchGuard | Wi-Fi Cloud |  | Cloud | Fixed | [link](https://techsearch.watchguard.com/KB?type=Security%20Issues&amp;SFDCID=kA16S000000SNnuSAG&amp;lang=en_US) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Western Digital |  |  |  | Unknown | [link](https://www.westerndigital.com/support/product-security/wdc-21016-apache-log4j-2-remote-code-execution-vulnerability-analysis) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WIBU Systems | CodeMeter Cloud Lite |  | 2.2 and prior | Fixed | [link](https://cdn.wibu.com/fileadmin/wibu_downloads/security_advisories/Advisory_WIBU-211213-01.pdf) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| WIBU Systems | CodeMeter Keyring for TIA Portal |  | 1.30 and prior | Fixed | [link](https://cdn.wibu.com/fileadmin/wibu_downloads/security_advisories/Advisory_WIBU-211213-01.pdf) | Only the Password Manager is affected |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-22 |
| WildFly | All |  |  | Not Affected | [link](https://www.wildfly.org/news/2021/12/13/Log4j-CVEs/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | LTS17 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | LTS18 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | LTS19 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | LTS21 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Wind River | WRL-6 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) | The Wind River Linux Product Versions 8.0 and prior contains the log4j1.2 and JMSAppender components, however, JMSAppender is deactivated in the release package and not affected by CVE-2021-4104 customers are advised to NOT manually activate the JMSAppender component. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | WRL-7 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) | The Wind River Linux Product Versions 8.0 and prior contains the log4j1.2 and JMSAppender components, however, JMSAppender is deactivated in the release package and not affected by CVE-2021-4104 customers are advised to NOT manually activate the JMSAppender component. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | WRL-8 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) | The Wind River Linux Product Versions 8.0 and prior contains the log4j1.2 and JMSAppender components, however, JMSAppender is deactivated in the release package and not affected by CVE-2021-4104 customers are advised to NOT manually activate the JMSAppender component. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| Wind River | WRL-9 |  |  | Not Affected | [link](https://support2.windriver.com/index.php?page=security-notices&amp;on=view&amp;id=7191) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-21 |
| WireShark | All |  |  | Not Affected | [link](https://www.wireshark.org/news/20211215.html) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2021-12-15 |
| Wistia | All |  |  | Unknown | [link](https://status.wistia.com/incidents/jtg0dfl5l224) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WitFoo | Precinct |  | 6.x | Fixed | [link](https://www.witfoo.com/blog/emergency-update-for-cve-2021-44228-log4j/) | WitFoo Streamer &amp; Apache Kafka Docker containers are/were vulnerable.  See advisory. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WordPress | All |  |  | Not Affected | [link](https://wordpress.org/support/topic/is-the-log4j-vulnerability-an-issue/) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Worksphere | All |  |  | Unknown | [link](https://www.worksphere.com/product/security-update-on-log4j-cve-2021-44228) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| Wowza | Streaming Engine |  | 4.7.8, 4.8.x | Fixed | [link](https://www.wowza.com/docs/known-issues-with-wowza-streaming-engine#log4j2-cve) |  |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-12 |
| WSO2 | API Manager |  | &gt;= 3.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | API Manager Analytics |  | &gt;= 2.6.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Enterprise Integrator |  | &gt;= 6.1.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Enterprise Integrator Analytics |  | &gt;= 6.6.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Identity Server |  | &gt;= 5.9.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Identity Server Analytics |  | &gt;= 5.7.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Identity Server as Key Manager |  | &gt;= 5.9.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Micro Gateway |  | &gt;= 3.2.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Micro Integrator |  | &gt;= 1.1.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Micro Integrator Dashboard |  | &gt;= 4.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Micro Integrator Monitoring Dashboard |  | &gt;= 1.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Open Banking AM |  | &gt;= 2.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Open Banking BI |  | &gt;= 1.3.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Open Banking KM |  | &gt;= 2.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Stream Integrator |  | &gt;= 1.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Stream Integrator Tooling |  | &gt;= 1.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
| WSO2 | Stream Processor |  | &gt;= 4.0.0 | Fixed | [link](https://docs.wso2.com/pages/viewpage.action?pageId=180948677) | A temporary mitigation is available while vendor works on update. |  | [cisagov](https://github.com/cisagov/log4j-affected-db) | 2022-01-26 |
